function [Q_RespMTONE	Q_cell] = Buss_XR4_Init( xReal, Opt, ...
    Q_RespMTONE, fQMIX, fxQMIX, fxVEC, InputSymCEL, ...
    Qmix, Q_cell, ...
    Opt_Disp)
if ~exist('Opt_Disp','var')
    Opt_Disp = 0;
end

%========================== x2 Re => Cmplx
%[b1     InputNumCEL     aNumCEL     zxNumQMIX ] = Buss_XR4_XReal2zxNumQMIX_3a( xReal, Opt, ...
[b1     InputNumCEL     aNumCEL     zxNumQMIX ] = Buss_XR4_XReal2zxNumQMIX_3b( xReal, Opt, ...
    InputSymCEL, ...%Q_RespMTONE, 
    Opt_Disp);
%==========================
[zNumQMIX   zenvNumQMIX ...
 zNumCEL    ] = Buss_xParam2zk_Func2( zxNumQMIX, ...
    fQMIX, fxQMIX, fxVEC, ...
    Qmix, Q_cell, ...
    0);% celldisp( zNumQMIX )
% {zNumCEL{:} aNumCEL{:}}
% SYMcel2SYMvec( HvnV_MatCEL )% DEBUG
%disp('ok')

%% #################### User Def Func
for nQ = 1 : size(Q_cell,1)% Opt.Qstart
    if(Opt_Disp) 
        disp(['%###################################################### nQ=' int2str(nQ)])
    end
	Q       = Q_cell{nQ,1};
 	%fVEC	= Q_cell{nQ,2};
        %f_SymVEC = fVEC(length(fVEC)/2+1 : end);
    %------------------------------------------------
    Pin_dBm	= Q_RespMTONE{Q,1}{1,1};% ROWvec [dBm]
    Pin_Vp0	= dBm2Vp0(Pin_dBm - Lin2dB(sqrt(Q)));% 0.0292    0.0443    0.0519    0.0780
    FcdfBB	= Q_RespMTONE{Q,1}{2,1};% COLvec [fc/df]
    if(Opt_Disp) 
        size(Pin_Vp0)%DEBUG
    end
Q_RespMTONE{Q,1}{1,2} = Pin_Vp0;% ROWvec [Vp0]
%######################################################
for nRESP = 1 : length(Q_cell{nQ,3})% nRESP = 3
    if(Opt_Disp) 
        disp([ '%########################### nRESP=' num2str([nRESP]) ])
    end
  	%fRESP	= Q_cell{nQ,3}(nRESP);
    %Fmix  	= Q_cell{nQ,4}{1,nRESP};% N = size(Fmix, 1);
    %Fidx  	= Q_cell{nQ,4}{2,nRESP};
    %cFidx	= Q_cell{nQ,4}{3,nRESP};
    %Hv             = Q_cell{nQ,4}{4,nRESP};% {n}[nV,1]
    %Hv_SymCHAR     = Q_cell{nQ,4}{5,nRESP};% {nV,n}[Char]
    %Hv_SymCEL      = Q_cell{nQ,4}{6,nRESP};% {nV,n}{nSYM}
    Hv_SymCEL_IDX   = Q_cell{nQ,4}{7,nRESP};% {nV,n}{nCEL [nSYM;IDX  nSYM;IDX]}
	Hv_NumfreqptsCEL = ExprSUBnumfreqpts_Func(Hv_SymCEL_IDX, Opt.N, {zNumCEL{:} aNumCEL{:}}, Opt_Disp);
Q_cell{nQ,4}{8,nRESP} = Hv_NumfreqptsCEL;% {nV,n} NumFreqPts
    %------------------------------------------------
    wtCONST 	= Q_RespMTONE{Q,2}{1,nRESP};
    VRespMEAS 	= Q_RespMTONE{Q,2}{2,nRESP};% VResp @fRESP  [df Pin]
    if(Opt_Disp) 
        size(VRespMEAS)
    end
    %VRespMDL	= Q_RespMTONE{Q,2}{3,nRESP};% VResp @fRESP  [df Pin]
    %VRespERR	= Q_RespMTONE{Q,2}{4,nRESP};
switch Opt.Optim_Wt
    % size(VResp)
    %------------------------
    case{'WtConst'}
 	wtCONST% debug
	wtMAT       = wtCONST * ones([length(FcdfBB) length(Pin_dBm)]);
    %------------------------
    case{'WtPin'}
	wtVEC_Pin   = dBErr_ScaleFct(Pin_dBm, Pin_dBm(end))% debug
	wtMAT       = wtCONST * repmat(wtVEC_Pin, [length(FcdfBB) 1]);
    %------------------------
    case{'WtPinDf'}
    %Lin2dB(Pin_Vp0 / Pin_Vp0(1))
    % 5 centers weighting at 2-DEC bandwidth
    wtVEC_Pin	= sqrt(5 + Lin2dB(Pin_Vp0 / Pin_Vp0(1)));
    wtVEC_Pin   = (1./wtVEC_Pin) / max(1./wtVEC_Pin);
    wtVEC_Pin   = wtCONST * wtVEC_Pin;
                              %FcdfBB / FcdfBB(1)
                   %0.5*Lin2dB(FcdfBB / FcdfBB(1))
    % 20 centers weighting at 2-DEC bandwidth
    %wtTEMP     = 20 + 0.5*Lin2dB(FcdfBB / FcdfBB(1))% DEBUG
    %    (1./wtTEMP) / max(1./wtTEMP)
    wtTEMP      = sqrt(20 + 0.5*Lin2dB(FcdfBB / FcdfBB(1)));% DEBUG
    %    (1./wtTEMP) / max(1./wtTEMP)
    wtVEC_FcdfBB = (1./wtTEMP) / max(1./wtTEMP);
    wtMAT       = wtVEC_FcdfBB * wtVEC_Pin;
    %------------------------
    otherwise
        disp('UnKnown Wt')
end
switch Opt.Optim_MtoneFit
    %------------------------
    case{'Pout'}
        nMEAS   = 2;
        nOFFSET = 0;
    %------------------------
    case{'S21H3'}
        nMEAS   = 3;
        switch nRESP
            case{1 2}
                nOFFSET = 1;
            case{3 4}
                nOFFSET = 3;
        end
    %------------------------
    otherwise
        disp('UnKnown Opt.Optim_MtoneFit');
end
    Q_RespMTONE{Q,2}{5,nRESP} = wtMAT;% [df Pin]
    Q_RespMTONE{Q,2}{6,nRESP} = nMEAS;
    Q_RespMTONE{Q,2}{7,nRESP} = nOFFSET;
%######################################################
end
end

%% ####################TEST
if(0)
    %wtVEC_Pin 	= wtCONST ./ dBm2Vp0(Pin_dBm);
    %Lin2dB(Pin_Vp0 / Pin_Vp0(1))
    % 5 centers weighting at 2-DEC bandwidth
    %wtVEC_Pin  = sqrt(5 + Lin2dB(Pin_Vp0 / Pin_Vp0(1)));
    %wtVEC_Pin  = (1./wtVEC_Pin) / max(1./wtVEC_Pin);
    wtVEC_Pin	= fliplr( Pin_Vp0 / Pin_Vp0(1) ) .^2;
    wtMAT       = wtCONST * repmat(wtVEC_Pin, [length(FcdfBB) 1]);
%------------------------------------------------
%x_Lin	= dB2Lin( x_dB, 10);
%y_Lin2	= fliplr( x_Lin / x_Lin(1) ) .^2;

end