function [x0	x] = Buss_XR4_N3Estim_NLSQ_3b( Opt, ...
    VSA, fQMIX, fxQMIX, ...% Q_RespMTONE, 
	Qmix, Q_cell, ...
    figVEC, PlotOpt, Opt_Disp)
% OPT  = {'VSA'     Opt_Atmpt     nPwr}
% Iter1: ZB         RIEO-Fit w/Z_Im3_0
% Iter2: 
% Iter3: ZB + ZHD2	RIEO-Fit w/Z_Im3_0
marker = PlotOpt.marker(6);

nPwr        = Opt.Third_nPwr;
disp('%---------------------------------------------- N3Estim_NLSQ_3b ')
	x0.xData    = VSA.fDSB_dB;
    x0.yData	= VSA.H3_DSBavg(:,nPwr);

f_fc = fQMIX{1,2}{1,1};
%================================================ 
    fVEC	 = Q_cell{2,2};
    f_SymVec = fVEC(length(fVEC)/2+1 : end);
%================================================ Env-band
f_BB = fxQMIX{2,1}{1};
    [f_BB_SSBdB,  f_BB_DSBdB] 	= FreqAxis_Func(f_BB,	struct('LindB','dB'), PlotOpt.df_dBRef);
f_B1_Expr   =   (f_SymVec(2) - f_SymVec(1));
f_B2_Expr   = 2*(f_SymVec(2) - f_SymVec(1));
[FLAG   f_B1_QMIXidx] = Buss_fmBasis_Func(Qmix{2,1}, f_B1_Expr, 'fm_idx',f_SymVec);
[FLAG   f_B2_QMIXidx] = Buss_fmBasis_Func(Qmix{2,1}, f_B2_Expr, 'fm_idx',f_SymVec);
	[f_B1_Expr          f_B2_Expr   ]% DEBUG
    [f_B1_QMIXidx       f_B2_QMIXidx]% DEBUG
    f_B1	= fQMIX{2,1}{f_B1_QMIXidx,1};% fQMIX{2,1}{1,1};	
    f_B2	= fQMIX{2,1}{f_B2_QMIXidx,1};% fQMIX{2,1}{2,1};
%================================================ HD1-band
%f_fcB      = fxQMIX{2,2}{1};
%f_fcB_SSB	= fxQMIX{2,2}{1}( length(fxQMIX{2,2}{1})/2+1 : end );
f_f1_QCELidx  	= 1;
f_f2_QCELidx  	= 2;
f_Im3L_QCELidx	= 3;
f_Im3H_QCELidx	= 4;
[FLAG   f_f1_QMIXidx]   = Buss_fmBasis_Func(Qmix{2,2}, Q_cell{2,3}(f_f1_QCELidx),   'fm_idx',f_SymVec);
[FLAG   f_f2_QMIXidx]   = Buss_fmBasis_Func(Qmix{2,2}, Q_cell{2,3}(f_f2_QCELidx),   'fm_idx',f_SymVec);
[FLAG   f_Im3L_QMIXidx]	= Buss_fmBasis_Func(Qmix{2,2}, Q_cell{2,3}(f_Im3L_QCELidx), 'fm_idx',f_SymVec);
[FLAG   f_Im3H_QMIXidx]	= Buss_fmBasis_Func(Qmix{2,2}, Q_cell{2,3}(f_Im3H_QCELidx),	'fm_idx',f_SymVec);
    [f_f1_QMIXidx       f_f2_QMIXidx        f_Im3L_QMIXidx      f_Im3H_QMIXidx]% DEBUG
    f_f1    = fQMIX{2,2}{f_f1_QMIXidx,1};       f_f1_IDX    = fQMIX{2,2}{f_f1_QMIXidx,2};
    f_f2    = fQMIX{2,2}{f_f2_QMIXidx,1};       f_f2_IDX    = fQMIX{2,2}{f_f2_QMIXidx,2};   f_f1f2 = Cat_Func(f_f1, f_f2, 'DSB');
    f_Im3L  = fQMIX{2,2}{f_Im3L_QMIXidx,1};     f_Im3L_IDX  = fQMIX{2,2}{f_Im3L_QMIXidx,2};
    f_Im3H  = fQMIX{2,2}{f_Im3H_QMIXidx,1};     f_Im3H_IDX	= fQMIX{2,2}{f_Im3H_QMIXidx,2}; f_Im3 = Cat_Func(f_Im3L, f_Im3H, 'DSB');
    %[f_Im3L        f_f1     	f_f2        f_Im3H      ] - f_fc
    %[f_Im3L_IDX    f_f1_IDX 	f_f2_IDX    f_Im3H_IDX  ]
    %[f_f1f2_SSB_dB,    f_f1f2_DSB_dB]	= FreqAxis_Func((f_f2       - f_fc), struct('LindB','dB'));% , PlotOpt.df_dBRef
    %[f_im3_SSB_dB,     f_im3_DSB_dB]	= FreqAxis_Func((f_Im3H     - f_fc), struct('LindB','dB'));% , PlotOpt.df_dBRef
    %[f_fcB_SSB_dB,     f_fcB_DSB_dB] 	= FreqAxis_Func((f_fcB_SSB  - f_fc), struct('LindB','dB'));% , PlotOpt.df_dBRef
%================================================ HD2-band = ODD-NumFreqPts (be MID-pt duplicate HD2 value)
switch Opt.Nth_HD2band
    %-------------------------
	case{'ZHD2_REIO','ZHD2_NO_REIO','ZHD2_Flat'}
%f_2fcB   	= fxQMIX{2,3}{1};
f_2fcB_SSB	= fxQMIX{2,3}{1}( floor(length(fxQMIX{2,3}{1})/2)+1+1 : end );
f_2f1_Expr  = 2*f_SymVec(1);
f_2f2_Expr  = 2*f_SymVec(2);
[FLAG   f_2f1_QMIXidx]	= Buss_fmBasis_Func(Qmix{2,3}, f_2f1_Expr, 'fm_idx',f_SymVec);
[FLAG   f_2f2_QMIXidx]	= Buss_fmBasis_Func(Qmix{2,3}, f_2f2_Expr, 'fm_idx',f_SymVec);
	[f_2f1_Expr     	f_2f2_Expr      ]% DEBUG
    [f_2f1_QMIXidx      f_2f2_QMIXidx   ]% DEBUG
    f_2f1	= fQMIX{2,3}{f_2f1_QMIXidx,1};      %f_2f1_IDX	= fQMIX{2,3}{f_2f1_QMIXidx,2};
    f_2f2	= fQMIX{2,3}{f_2f2_QMIXidx,1};      %f_2f2_IDX	= fQMIX{2,3}{f_2f2_QMIXidx,2};  f_2f12f2 = Cat_Func(f_2f1, f_2f2, 'DSB');
f_2fcBENV_SSB       = (f_2fcB_SSB	- 2*f_fc);
f_2f12f2ENV_SSB     = (f_2f2     	- 2*f_fc);
    [f_2fcBENV_SSB_dB,      f_2fcBENV_DSB_dB] 	= FreqAxis_Func(f_2fcBENV_SSB,   struct('LindB','dB'));% , PlotOpt.df_dBRef
    [f_2f12f2ENV_SSB_dB,	f_2f12f2ENV_DSB_dB]	= FreqAxis_Func(f_2f12f2ENV_SSB, struct('LindB','dB'));% , PlotOpt.df_dBRef
    %-------------------------
end
%================================================ 
x0.f_fc         = f_fc;
x0.f_BB         = f_BB;
    x0.f_B1   	= f_B1;
x0.f_f1_IDX     = f_f1_IDX;
x0.f_f2_IDX     = f_f2_IDX;
    x0.f_f1f2	= f_f1f2;
x0.f_Im3L_IDX   = f_Im3L_IDX;
x0.f_Im3H_IDX   = f_Im3H_IDX;
    x0.f_Im3	= f_Im3;
switch Opt.Nth_HD2band
    %-------------------------
	case{'ZHD2_REIO','ZHD2_NO_REIO','ZHD2_Flat'}
x0.f_2f2            = f_2f2;
x0.f_2fcB_SSB       = f_2fcB_SSB;
x0.f_2fcBENV_SSB	= f_2fcBENV_SSB;
x0.f_2f12f2ENV_SSB	= f_2f12f2ENV_SSB;
end
%================================================ 

%% #################### InBand FreqResp x2Zf
disp('%---------------------------------------------- S21_RI_Interp ')
%########## PNA
%S21_DegVEC  = 0 + j*imag(      Lin2dB_dB(Snp_Freq{2})  );
%[x2Zf_0] = Interp1_Func(Freq, ...%Cat_Func(fCEL{2}{1}, fCEL{2}{2}, 'DSB')
%            dB2Lin_RI(Snp_Freq{2}), ...% dB2Lin_RI( S21_DegVEC - mean(S21_DegVEC) ), ...% 
%            fxQMIX{2,2}{1}, {'linear' 'xLOG' 'MA'}, [[0 0 300];[0 0 300]], PlotOpt);
%figure; 
%plot(Freq,'-bo'); grid on; hold on; 
%plot(fxQMIX{2,2}{1},'-ko');

switch Opt.DataType
    case{'VSA'}
        PWR_STOP = 1;
    case{'LSNA_RFMD'}
        PWR_STOP = 3;
end
[S21_RI_Avg]    = Avg_Func( VSA.S21_DSBavg(:,(1:PWR_STOP)), ...
                    struct('RIdB','RI', 'Dim',''));% 'RIdB','dB'
[S21_RI_Interp]	= Interp1_Func(f_f1f2, S21_RI_Avg, fxQMIX{2,2}{1}, ...% VSA.fDSB_Lin = Cat_Func(f_f1, f_f2, 'DSB')
                    struct('xScale','xLOG', 'yFormat','MA', 'Meth','linear'));%, ... [[0 0 401];[0 0 401]], PlotOpt);
	%plot_Sio_Func(x0.xData, Lin2dB_dB( S21_RI_Avg ),...
    %    'dB','RI-Lin', 1000,'Xlin',['-g.'], ...
    %    [],[''],[''],{},['RI avg']);% 'dB avg'
    %plot_Sio_Func( f_f1f2_DSB_dB, Lin2dB_dB( S21_RI_Avg ),...
    %    'dB','RI-Lin', [100],'Xlin',['-ko'],...
    %    [],['S21'],['Envelop Freq (dBHz)'],{},['S21_RI_Avg']);
    %plot_Sio_Func( f_fcB_DSB_dB, Lin2dB_dB( S21_RI_Interp ),...
    %    'dB','RI-Lin', [100],'Xlin',['b' marker],...
    %    [],['S21'],['Envelop Freq (dBHz)'],{},['S21_RI_Interp']);
    plot_Sio_Func( f_f1f2, Lin2dB_dB( S21_RI_Avg ),...
        'dB','RI-Lin', [100],'Xlin',['-ko'],...
        [],['S21'],['Envelop Freq (dBHz)'],{},['S21_RI_Avg']);
    plot_Sio_Func( fxQMIX{2,2}{1}, Lin2dB_dB( S21_RI_Interp ),...
        'dB','RI-Lin', [100],'Xlin',['b' marker],...
        [],['S21'],['Envelop Freq (dBHz)'],{},['S21_RI_Interp']);
%------------------------------------------------
S21_PhaMA       = j*imag( Lin2dB_dB( S21_RI_Interp ) );
x0.S21_PhaRI	= dB2Lin_RI( S21_PhaMA - mean(S21_PhaMA) );
    %plot_Sio_Func( f_fcB_DSB_dB, Lin2dB_dB( x0.S21_PhaRI ),...
    %    'dB','RI-Lin', [100],'Xlin',['-.b' marker],...
    %    [],['S21'],['Envelop Freq (dBHz)'],{},['S21_PhaRI']);
    plot_Sio_Func( fxQMIX{2,2}{1}, Lin2dB_dB( x0.S21_PhaRI ),...
        'dB','RI-Lin', [100],'Xlin',['-.b' marker],...
        [],['S21'],['Envelop Freq (dBHz)'],{},['S21_PhaRI']);
%------------------------------------------------
x0.S21_Const	= Avg_Func( S21_RI_Avg( length(S21_RI_Avg)/2 : 1+length(S21_RI_Avg)/2 ), ...
                struct('RIdB','RI', 'Dim','VEC'));
    % -1.1810 + 0.1611i  -1.1655 + 0.1309i
    Lin2dB_dB( x0.S21_Const )% 1.3845 + 1.7359e+002i
    %Lin2dB_dB( mean( S21_RI_Avg( length(S21_RI_Avg)/2 : 1+length(S21_RI_Avg)/2 ) ) )
x0.S21_Var      = S21_RI_Interp / x0.S21_Const;
    %plot_Sio_Func( f_fcB_DSB_dB, Lin2dB_dB( x0.S21_Var ),...
    %    'dB','RI-Lin', [100],'Xlin',['b' marker],...
    %    [],['S21'],['Envelop Freq (dBHz)'],{},['S21_Var']);
    plot_Sio_Func( fxQMIX{2,2}{1}, Lin2dB_dB( x0.S21_Var ),...
        'dB','RI-Lin', [100],'Xlin',['b' marker],...
        [],['S21'],['Envelop Freq (dBHz)'],{},['S21_Var']);
%------------------------------------------------
%Z_f1	= x0.S21_Var( f_f1_IDX );
%Z_f2  	= x0.S21_Var( f_f2_IDX );
    %Z_f1f2  = Cat_Func(Z_f1, Z_f2,'DSB');
%ExtrpL_IDX	= find(f_Im3L < min(f_f1),1,'first');
%ExtrpH_IDX	= find(f_Im3H > max(f_f2),1,'first');
%Z_Im3L_fix	= x0.S21_Var( f_Im3L_IDX(1          : ExtrpL_IDX-1) );
%Z_Im3H_fix	= x0.S21_Var( f_Im3H_IDX(1          : ExtrpH_IDX-1) );
%Z_Im3L_0	= x0.S21_Var( f_Im3L_IDX(ExtrpL_IDX : end) );
%Z_Im3H_0	= x0.S21_Var( f_Im3H_IDX(ExtrpH_IDX : end) );
%   Z_Im3_0	= Cat_Func( Cat_Func(Z_Im3L_fix, Z_Im3L_0), ...
%                      	Cat_Func(Z_Im3H_fix, Z_Im3H_0), 'DSB');

%% #################### Data = (Re + Ro) +j*(Ie + Io)
switch 11
    %====================================================FET
    case{11}
        x.a1_Mag   	=   abs( x0.S21_Const );
        x.b1        =   1;
    %-------------------------
    %case{12}
    %    x.a1_Mag	= - abs( x0.S21_Const );
    %    x.b1       =   1;
    %-------------------------
    %case{13}
    %    x.a1_Mag	=   abs( x0.S21_Const );
    %    x.b1    	= - 1;
	%====================================================BJT
    %case{21}
    %    x.a1_Mag 	=   1;
    %    x.b1       =   abs( x0.S21_Const );
	%-------------------------
    %case{22}
    %    x.a1_Mag	= - 1;
    %    x.b1    	=   abs( x0.S21_Const );
	%-------------------------
    %case{23}
    %    x.a1_Mag	=   1;
    %    x.b1       = - abs( x0.S21_Const );
	%====================================================
end
        x.ZHD1  	= x0.S21_Const / (x.a1_Mag * x.b1);
        %x.ZHD1     = Avg_Func( x0.S21_Var( length(x0.S21_Var)/2 : 1+length(x0.S21_Var)/2 ), ...
        %             	struct('RIdB','RI', 'Dim','VEC')); 
        
[ x x0] = Buss_XR4_N3Estim_LLSQ2('g2g3_Init', Opt, x0, x, x.ZHD1 * x0.S21_Var, Opt_Disp);
    %================================================
        %plot_Sio_Func( x0.f_f1f2_DSB_dB, Lin2dB_dB( x0.Z_f1f2 ),...
        %    'dB','RI-Lin', [100],'Xlin',['-y' marker],...
        %    [],['S21'],['Envelop Freq (dBHz)'],{},['Z_f1f2']);
        plot_Sio_Func( x0.f_f1f2, Lin2dB_dB( x0.Z_f1f2 ),...
            'dB','RI-Lin', [100],'Xlin',['-y' marker],...
            [],['S21'],['Envelop Freq (dBHz)'],{},['Z_f1f2']);
        %plot_Sio_Func( x0.f_im3_DSB_dB, Lin2dB_dB( x0.Z_Im3_0 ),...
        %    'dB','RI-Lin', [100],'Xlin',['-y' marker],...
        %    [],['S21'],['Envelop Freq (dBHz)'],{},['Z_Im3_0']);
        plot_Sio_Func( x0.f_Im3, Lin2dB_dB( x0.Z_Im3_0 ),...
            'dB','RI-Lin', [100],'Xlin',['-y' marker],...
            [],['S21'],['Envelop Freq (dBHz)'],{},['Z_Im3_0']);
%================================================
        Plot_Sio_EvenOdd(x0.xData,  x0.yData,                   figVEC(1:2), ['-k' PlotOpt.marker(1)], ...
            'NLTF', 'Envelop Freq (dBKhz)', 'Measured');
        Plot_pDSB(x0.xData,         [],             x0.yData,  	figVEC(3:4), ['k' PlotOpt.marker(1)], ...
            'NLTF', 'Envelop Freq (dBKhz)', {'' 'Measured'});
    %------------------------------------------------
        Plot_Sio_EvenOdd(x0.xData,  x0.yModel,                  figVEC(1:2), ['-.b' marker], ...
            'NLTF', 'Envelop Freq (dBKhz)', 'Model w/BB Filter');
        Plot_pDSB(x0.xData,         x0.yModel_0,    x0.yModel,	figVEC(3:4), ['b' marker], ...
            'NLTF', 'Envelop Freq (dBKhz)', {'Model w/BB Filter Init Estim' 'Model w/BB Filter Final Estim'});
%================================================
        Plot_pDSB(x0.xData,         x0.ZB_DSB_0,    x0.ZB_DSB,	figVEC(5:6), ['b' marker], ...
            'Baseband Filter', 'Envelop Freq (dBKhz)', {'Init Estim' 'Final Estim'});
if(1)
    %------------------------------------------------
    [pSSB_Cmplx offset pSSB pDSB] = Extract_xSSB2( VSA, 21, [0 0 0 0], PlotOpt.marker);%[201 202 203 204]
        %Plot_pDSB(x0.xData, [], pDSB, figVEC(5:6), ['y' marker], ...
        %    'Baseband Filter', 'Envelop Freq (dBKhz)', {'' 'Orig'});
    %------------------------------------------------
	Opt_                = Opt;
    Opt_.Nth_Atmpt{2}	= 'g2g3_Recalc';
[ y ] = Buss_XR4_N3Estim_LLSQ2('Iter', Opt_, x0, x, x.ZHD1 * x0.S21_Var, 0);% S21_RI_Interp
        Plot_pDSB(x0.xData,         [],             y.ZB_DSB,	figVEC(5:6), ['g' marker], ...
            'Baseband Filter', 'Envelop Freq (dBKhz)', {'' 'LLSQ'});
    %------------------------------------------------
end
%================================================
    ZHD2_DSB_ = Cat_ReoIeoDSB({[0] real(x0.ZHD2_ROIE) imag(x0.ZHD2_ROIE) [0]},0);
switch Opt.Nth_HD2band
    %-------------------------
	case{'ZHD2_REIO','ZHD2_NO_REIO','ZHD2_Flat'}
        Plot_pDSB(f_2f12f2ENV_DSB_dB, [],           ZHD2_DSB_,   figVEC(11:12), ['r' marker], ...
            '2nd-Harmonic Band Filter', 'Envelop Freq (dBKhz)', {'' 'HD2 Filter'});
        Plot_pDSB(f_2f12f2ENV_DSB_dB, [],           y.ZHD2_DSB_, figVEC(11:12), ['g' marker], ...
            '2nd-Harmonic Band Filter', 'Envelop Freq (dBKhz)', {'' 'LLSQ'});
    %-------------------------
    otherwise% case{'No'}
        Plot_pDSB(x0.xData,         [],             ZHD2_DSB_,   figVEC(11:12), ['r' marker], ...
            '2nd-Harmonic Band Filter', 'Envelop Freq (dBKhz)', {'' 'HD2 Filter'});
        Plot_pDSB(x0.xData,         [],             y.ZHD2_DSB_, figVEC(11:12), ['g' marker], ...
            '2nd-Harmonic Band Filter', 'Envelop Freq (dBKhz)', {'' 'LLSQ'});
    %-------------------------
end
%================================================

%% #################### Param
disp('%---------------------------------------------- Param ')
% N = 5
%x2a_0      = x2Param(5:end);%  x2a_0   = x2a_0.'
%x2ZHD_0  	= x2Param(1:4);%    x2ZHD_0 = x2ZHD_0.'
%x2a_0      =[   0.6532 - 0.1250i  -5.7416 + 0.7154i  22.1280 - 0.9083i -39.4873 + 15.0435i];
%x2ZHD_0	=[  -0.2788 - 3.7206i  -1.1993 + 0.1564i  -0.3619 - 2.9744i   6.7565 + 10.5603i];
% other vars above:     x0.S21_PhaRI	
%x0.yData_fct
%================================================ a1
%x.a1_Mag
%x.b1
x.ZBHD2_Scale   = 1;
%================================================ a
%x.g2
%x.g3
x0.g2   = x.g2;
x0.g3   = x.g3;
  	Nth_Root  	= 2;
 	x0.g2_PhaFct = exp(j*2*pi ./ (1:Nth_Root));
%================================================ ZHD
%x.ZHD1
%x0.ZDC_f     	= 0;
%x0.ZHD1_f      = f_fc;
%x0.ZHD2_f    	= 2*f_fc;% MID-pt
%================================================ Env-band      Q_RespMTONE{2,1}{2,1} = f_B1
[ZB_ConstVar	x0.ZB_Const     x0.ZB_Var] = Decompose_ConstVar_2( x0.ZB_SSB,'SSB');
x.ZDC 	 =	real( x0.ZB_Const );
x.ZBreio =        x0.ZB_Const;% j*imag( x0.ZB_Const );
    [ZB_ConstVar        x0.ZB_Var               ]% DEBUG
    [x0.ZB_SSB(1)       x.ZDC           x.ZBreio]% DEBUG
	%ZB_SSB_ = x.ZBreio + x0.ZB_Var;
    %ZB_DSB_ = Cat_Func( conj(ZB_SSB_), ZB_SSB_, 'DSB');
    %    Plot_pDSB(x0.xData, ZB_DSB_, [], figVEC(5:6), ['m' marker], ...
    %        'Baseband Filter', 'Envelop Freq (dBKhz)', {'verify' ''});
x0.ZB_Var_Interp = Interp1_Func(x0.f_B1, x0.ZB_Var, x0.f_BB, ...
                    struct('xScale','xLOG', 'yFormat','MA', 'Meth','linear'), ...
                  	[[0 0 0];[0 0 0]], PlotOpt);
	ZB_SSB_ = x.ZBreio + x0.ZB_Var_Interp;
	ZB_DSB_ = Cat_Func( conj(ZB_SSB_), ZB_SSB_, 'DSB');
        Plot_pDSB(f_BB_DSBdB, ZB_DSB_, [], figVEC(5:6), ['m' marker], ...
            'Baseband Filter', 'Envelop Freq (dBKhz)', {'verify Interp' ''});
%-------------------------
%x0.ZB_SSB       = ZB_SSB;
%x0.ZB_SSB_Interp = Interp1_Func(x0.f_B1, ZB_SSB, x0.f_BB, ...
%                    struct('xScale','xLOG', 'yFormat','MA', 'Meth','linear'), ...
%                  	[[0 0 101];[0 0 101]], PlotOpt);
%x0.ZB_DSB     	= ZB_DSB;
%x0.ZB_DSB_Interp = Cat_Func( conj(x0.ZB_SSB_Interp), x0.ZB_SSB_Interp, 'DSB');
%x0.ZB_SSB_f  	= x0.f_BB;
%-------------------------
x0.pSSB       	= pSSB;
x0.pSSB_Interp	= Interp1_Func(x0.f_B1, pSSB, x0.f_BB, ...
                    struct('xScale','xLOG', 'yFormat','MA', 'Meth','linear'), ...
                  	[[0 0 101];[0 0 101]], PlotOpt);
x0.pDSB       	= pDSB;
%================================================ HD1-band
%x0.Zf1f2_DSB_f = fxQMIX{2,2}{1};
%================================================ HD2-band = ODD-NumFreqPts (be MID-pt duplicate HD2 value)
[ZHD2roie_ConstVar     x0.ZHD2roie_Const     x0.ZHD2roie_Var] = Decompose_ConstVar_2( x0.ZHD2_ROIE,'SSB');
x.ZHD2      	= x0.ZHD2roie_Const;% j*imag( x0.ZHD2roie_Const );
x.ZHD2roie   	= x0.ZHD2roie_Const;%   real( x0.ZHD2roie_Const );
    [ZHD2roie_ConstVar	x0.ZHD2roie_Var         	]% DEBUG
    [x0.ZHD2_ROIE(1)  	x.ZHD2          x.ZHD2roie  ]% DEBUG
	%ZHD2_SSB_ = x.ZHD2roie + x0.ZHD2roie_Var;
	%ZHD2_DSB_ = Cat_ReoIeoDSB({[0] real(ZHD2_SSB_) imag(ZHD2_SSB_) [0]},0);
    %    Plot_pDSB(f_2f12f2ENV_DSB_dB, ZHD2_DSB_, [], figVEC(11:12), ['m' marker], ...
    %        '2nd-Harmonic Band Filter', 'Envelop Freq (dBKhz)', {'verify' ''});
switch Opt.Nth_HD2band
    %-------------------------
	case{'ZHD2_REIO','ZHD2_NO_REIO','ZHD2_Flat'}
        %x0.ZHD2roie_Interp    = Interp1_Func( f_2f12f2, [], fxQMIX{2,3}{1}, ...
        x0.ZHD2roie_Var_Interp = Interp1_Func( f_2f12f2ENV_SSB, x0.ZHD2roie_Var, f_2fcBENV_SSB, ...
                            struct('xScale','xLOG', 'yFormat','RI', 'Meth','linear'), ...
                            [[0 0 0];[0 0 0]], PlotOpt);
	ZHD2_SSB_ = x.ZHD2roie + x0.ZHD2roie_Var_Interp;
	ZHD2_DSB_ = Cat_ReoIeoDSB({[0] real(ZHD2_SSB_) imag(ZHD2_SSB_) [0]},0);
        Plot_pDSB(f_2fcBENV_DSB_dB, ZHD2_DSB_, [], figVEC(11:12), ['m' marker], ...
            '2nd-Harmonic Band Filter', 'Envelop Freq (dBKhz)', {'verify Interp' ''});
    %-------------------------
    otherwise% case{'No'}
    %-------------------------
end
%-------------------------
%x0.ZHD2_ROIE 	= ZHD2_ROIE;
%x0.ZHD2_DSB_  	= ZHD2_DSB;
%switch Opt.Nth_HD2band
%    %-------------------------
%    case{'No'}
%    %-------------------------
%    otherwise% case{'ZHD2_REIO','ZHD2_NO_REIO','ZHD2_Flat'}
%%x0.ZHD2_ROIE_Interp = Interp1_Func(f_2f12f2, ZHD2_ROIE, fxQMIX{2,3}{1}, ...
%x0.ZHD2_ROIE_Interp	= Interp1_Func((x0.f_2f2 - 2*x0.f_fc), ZHD2_ROIE, (x0.f_2fcB_SSB - 2*x0.f_fc), ...
%                            struct('xScale','xLOG', 'yFormat','RI', 'Meth','linear'), ...
%                            [[0 0 102];[0 0 102]], PlotOpt);
%x0.ZHD2_DSB_Interp_	= Cat_ReoIeoDSB({[0] real(x0.ZHD2_ROIE_Interp) imag(x0.ZHD2_ROIE_Interp) [0]},0);
%%x0.ZHD2_DSB_f	= fxQMIX{2,3}{1}( [[1:floor(length(fxQMIX{2,3}{1})/2)] [floor(length(fxQMIX{2,3}{1})/2)+1+1 : end]] );% wo/MID-pt
%    %-------------------------
%end
%================================================

%% #################### Plot Filter
function [] = Plot_pDSB(xData, HB_DSB_0, HB_DSB, figVEC, marker, ...
    Title, xLabel, Legend)

%------------------------------- RI Plot
if (figVEC(1) > 0)
    %----- HB_DSB_0
    if ~isempty(HB_DSB_0)
    plot_Sio_Func(xData, HB_DSB_0,...
        'RI','RI-Lin', figVEC(1),'Xlin',['-.' marker], ...
        [],[Title],[xLabel],{},[Legend{1}])
    end
    %----- HB_DSB
    if ~isempty(HB_DSB)
	plot_Sio_Func(xData, HB_DSB,...
        'RI','RI-Lin', figVEC(1),'Xlin',['-' marker], ...
        [],[Title],[xLabel],{},[Legend{2}])
    end
end
%------------------------------- MA Plot
if (figVEC(2) > 0)
    %----- HB_DSB_0
    if ~isempty(HB_DSB_0)
	plot_Sio_Func(xData, Lin2MA_MA(HB_DSB_0),...
        'MA','RI-Lin', figVEC(2),'Xlin',['-.' marker], ...
        [],[Title],[xLabel],{},[Legend{1}])
    end
    %----- HB_DSB
    if ~isempty(HB_DSB)
	plot_Sio_Func(xData, Lin2MA_MA(HB_DSB),...
        'MA','RI-Lin', figVEC(2),'Xlin',['-' marker], ...
        [],[Title],[xLabel],{},[Legend{2}])
    end
end

return
