function [  Qmix	zSymQMIX	VvecQMIX	zSymQMIX_ENV	zSymCEL ...
            fQMIX	fxQMIX    	fxVEC       f ] = Buss_zvQMIX_Func( ...
    z_SymVEC, Vvec, ...
    HdBand, Q_RespMTONE, ...
  	Qmix, Q_cell, ...
    Opt_Disp)
% eval fRESP/fExpr in Qmix  => sort into fQMIX + fxQMIX + fxVEC
% HdBand                    => blank Qmix{Q=2, nHD s.t HdBand=1)
% 
% zSymQMIX_ENV 	{Q,nHD}{fExprIDX,1-2}   {Q,nHD}{freq,(1-2)(+,-CONJ)}
% VvecQMIX      {Q,nHD}{fExprIDX,1-2}   {Q,nHD}{freq,(1-2)(+,-CONJ)}
% fQMIX         {Q,nHD}{[freq=fxVEC_QHD          ] [IDX-to-fxQMIX =fx_IDX2] of size (fExprIDX,1-2)}
% fxQMIX        {Q,nHD}{[freq=fxVEC_QHD Condensed] [IDX-to-fxVEC  =fx_IDX1] of size (fExprIDX,1-2)}
% fxVEC         [SuperSet of [fxVEC_QHD Condensed] ]
if ~exist('Opt_Disp','var')
    Opt_Disp = 0;
end

fc      = Q_RespMTONE{1,1}{2};% Q=1
df_BB   = Q_RespMTONE{2,1}{2};% Q=2
    f{1} = {fc};
    f{2} = {fc-df_BB/2   fc+df_BB/2};

zSymQMIX    = {};   VvecQMIX = {};      zSymQMIX_ENV = {};	
zSymCEL     = {};	Count = 0;
fQMIX   	= {};   %fxVEC_QHD
fxQMIX      = {};   fxVEC = [];
%% ###########################
for nQ = 1 : size(Qmix,1)
	Q       = Q_cell{nQ,1};
 	fVEC	= Q_cell{nQ,2};
        f_SymVEC = fVEC( length(fVEC)/2+1 : end);
    	f_SymCEL = SYMvec2SYMcel( f_SymVEC );
    %fRESP 	= Q_cell{nQ,3}(nRESP)
    %Fmix  	= Q_cell{nQ,4}{1,nRESP};
    %Fidx  	= Q_cell{nQ,4}{2,nRESP}
    %cFidx 	= Q_cell{nQ,4}{3,nRESP}
    if(Opt_Disp) 
        disp(['%###################################################### nQ=' int2str(nQ)])
        f_SymVEC
    end
for nHD = 1 : size(Qmix,2)
    if (Q>1) && (HdBand(nHD) == 1)
        Qmix{Q,nHD} = [];% Qmix{1,nHD}
    end
    switch (nHD-1)
        case 0
            HD_char = ['DC'];%
        case 1
            HD_char = ['f'];
        otherwise
            HD_char = ['hd' int2str(nHD-1)];
    end
	if(Opt_Disp) 
        disp(['%########################### nHD=' int2str(nHD)])
    end
%######################################################
fxVEC_QHD = [];
for fExprIDX = 1 : size(Qmix{Q,nHD},1)
    %TREAT all fExprIDX same
    if (Q>1) && (size(Qmix{Q,nHD},1) > 0)
        Env_char = 'env';
    else
        Env_char = '';
    end
    %------------------------------------------------ 
    zSym_TEMP       = [];
    zSym_CONJ       = [];
    zSymENV_TEMP  	= [];
    zSymENV_CONJ   	= [];
    for nZ = 1 : length(z_SymVEC)
        zSym_TEMP    = [zSym_TEMP       [char(z_SymVEC(nZ))          HD_char '_' int2str(Q) int2str(fExprIDX)    ]];
        zSym_CONJ    = [zSym_CONJ       [char(z_SymVEC(nZ))          HD_char '_' int2str(Q) int2str(fExprIDX) '_']];
        zSymENV_TEMP = [zSymENV_TEMP   	[char(z_SymVEC(nZ)) Env_char HD_char           	                    ]];
        zSymENV_CONJ = [zSymENV_CONJ 	[char(z_SymVEC(nZ)) Env_char HD_char '_'       	                    ]];
    end
    zSymQMIX{Q,nHD}{fExprIDX,1}   	= subs(z_SymVEC, z_SymVEC, zSym_TEMP);
    zSymQMIX_ENV{Q,nHD}{fExprIDX,1}	= subs(z_SymVEC, z_SymVEC, zSymENV_TEMP);
    if(Q==1 && nHD==1)% DC-case
        %zSymQMIX{Q,nHD}{fExprIDX,2}     = subs(z_SymVEC, z_SymVEC, zSym_TEMP);
        %zSymQMIX_ENV{Q,nHD}{fExprIDX,2} = subs(z_SymVEC, z_SymVEC, zSymENV_TEMP);
    else
        zSymQMIX{Q,nHD}{fExprIDX,2}     = subs(z_SymVEC, z_SymVEC, zSym_CONJ);
        zSymQMIX_ENV{Q,nHD}{fExprIDX,2}	= subs(z_SymVEC, z_SymVEC, zSymENV_CONJ);
    end
    %------------------------------------------------ 
    Count = Count + 1;
    if(Q==1 && nHD==1)% DC-case
        zSymCEL{Count} = [zSymQMIX{Q,nHD}{fExprIDX,1}   ];
    else
        zSymCEL{Count} = [zSymQMIX{Q,nHD}{fExprIDX,1}	zSymQMIX{Q,nHD}{fExprIDX,2}];
    end
    %------------------------------------------------ 
    Vvec_TEMP = [];
    Vvec_CONJ = [];
    for nV = 1 : length(Vvec)
        Vvec_TEMP = [Vvec_TEMP;     [char(Vvec(nV)) Env_char HD_char]];
        Vvec_CONJ = [Vvec_CONJ;  	[char(Vvec(nV)) Env_char HD_char '_']];
    end
	VvecQMIX{Q,nHD}{fExprIDX,1} = subs(Vvec, Vvec, Vvec_TEMP);
    if(Q==1 && nHD==1)% DC-case
        %VvecQMIX{Q,nHD}{fExprIDX,2} = subs(Vvec, Vvec, Vvec_TEMP);
    else
        VvecQMIX{Q,nHD}{fExprIDX,2} = subs(Vvec, Vvec, Vvec_CONJ);
    end
    %------------------------------------------------ 
    fExpr                   = Qmix{Q,nHD}(fExprIDX);
	%fQMIX{Q,nHD}{fExprIDX,1}	= subs(fExpr, f_SymCEL, f{Q});
        %temp = subs(fExpr, f_SymCEL, f{Q});
        %whos temp
    [Expr_SymCHAR	Expr_SymCEL     SymCEL_IDX] = ExprSUBsym_Func( fExpr, f_SymCEL, 0);%Opt_Disp
	[Expr_MatCEL]               = ExprSUBnum_Func( SymCEL_IDX, f{Q}, 'LOOPvecELEM');
	fQMIX{Q,nHD}{fExprIDX,1}	= ExprEVALnum_Func( fExpr, Expr_SymCHAR, Expr_MatCEL);
   	fxVEC_QHD	= [ fxVEC_QHD; ...
                 	fQMIX{Q,nHD}{fExprIDX,1}];
    %------------------------------------------------ 
	if(Opt_Disp) 
        disp(['%############# fExprIDX=' int2str(fExprIDX)])
        [zSymENV_TEMP	'     '	zSymENV_CONJ]
        [Vvec_TEMP      '     '	Vvec_CONJ]
        fExpr
        NumFreqPts = length( fQMIX{Q,nHD}{fExprIDX,1} )
    end
end
if ~isempty(Qmix{Q,nHD})
    %fxVEC_QHD: condense [SuperSet of fQMIX{Q,nHD}{ALL-fExprIDX}]
    [fxVEC_QHD]         = sort( MatRowCondens(fxVEC_QHD),'ascend' );%( , fx_IDX, fx_count, fx_IDXcel)
    fxQMIX{Q,nHD}{1}	= fxVEC_QHD;
        if(Opt_Disp)
            sprintf('%.9g \n', [fxVEC_QHD].')% prints MATRIX COL-Wise
        end
	fxVEC               = [fxVEC; fxVEC_QHD];% [SuperSet of fxVEC_QHD]
end
%######################################################
end
end
    %celldisp( zSymQMIX_ENV{1,1} )
    %celldisp( VvecQMIX{1,1} )
[fxVEC] = sort( MatRowCondens(fxVEC),'ascend' );%( , fx_IDX, fx_count, fx_IDXcel)
    if(Opt_Disp) 
        disp(['%--------------------------------------------------------------------- fxVEC'])
        sprintf('%d \t %.9g \n', [(1:length(fxVEC)).' fxVEC].')% prints MATRIX COL-Wise
    end
    % Duplicates exist in fxVEC, need fix
    
%% ########################### fxVEC : fxQMIX{Q,nHD} : fQMIX{Q,nHD}
disp(['%---------------------------------------------------------------------'])
for nQ = 1 : size(Qmix,1)
	Q       = Q_cell{nQ,1};
 	%fVEC	= Q_cell{nQ,2};    
    %fRESP 	= Q_cell{nQ,3}(nRESP)
    %Fmix  	= Q_cell{nQ,4}{1,nRESP};
    %Fidx  	= Q_cell{nQ,4}{2,nRESP}
    %cFidx 	= Q_cell{nQ,4}{3,nRESP}
    if(Opt_Disp) 
        disp(['%###################################################### nQ=' int2str(nQ)])
    end
for nHD = 1 : size(Qmix,2)
%1st-layerIDX: fxQMIX in fxVEC
if ~isempty(Qmix{Q,nHD})
        %if(Opt_Disp) 
        %    disp(['%########################### nHD=' int2str(nHD)])
        %    sprintf('%.9g \n', [fxQMIX{Q,nHD}{1}].')% prints MATRIX COL-Wise
        %end
    [fx_IDX1] = Find_VecIDX_Func(fxVEC, fxQMIX{Q,nHD}{1},'MATRIX',[],0);% fx_IDX_ f_IDX f_IDX_
    fxQMIX{Q,nHD}{2} = fx_IDX1.';
        if(Opt_Disp) %==========================
            disp(['%########################### nHD=' int2str(nHD)])
            sprintf('%d \t %.9g \n', [fx_IDX1.' fxQMIX{Q,nHD}{1}].')% prints MATRIX COL-Wise
        end
end
%######################################################
for fExprIDX = 1 : size(Qmix{Q,nHD},1)
%2nd-layerIDX: fQMIX in fxQMIX
    [fx_IDX2] = Find_VecIDX_Func(fxQMIX{Q,nHD}{1}, fQMIX{Q,nHD}{fExprIDX,1},'MATRIX',[],0);% fx_IDX_ f_IDX f_IDX_
    fQMIX{Q,nHD}{fExprIDX,2} = fx_IDX2.';
        if(Opt_Disp)%==========================
            disp(['%############# fExprIDX=' int2str(fExprIDX)])
            sprintf('%d \t %.9g \n', [fx_IDX2.' fQMIX{Q,nHD}{fExprIDX,1}].')
        end
end
%######################################################
end
end

%% ########################### TEST
if(0)

%%Zmix_Fmix	= [sym(0)  f1      2*f1    3*f1; ...
%                Z0      Zf      Zhd2	Zhd3; ...
%                sym(0) ];
for n = 1 : size(Fmix,1)% N
    %Fmix_VECsum = sum(Fmix{n,1},2);% DEBUG
for nMIX = 1 : size(Fmix{n,1},1)
    HD = single( Fmix{n,2}(nMIX) / fRESP );
    switch abs(HD)
        case 0
            %HD_char = '0';
            HD_char = ['0' int2str(n)];
            HD_charFUNC = [Zmix_Char '0' int2str(n) '(x)'];
        case 1
            HD_char = 'f';
            HD_charFUNC = ['0'];
        otherwise
            HD_char = ['hd' int2str(abs(HD))];
            HD_charFUNC = ['0'];
    end
    if (HD < 0)
        HD_char = [Zmix_Char HD_char ZmixConj_Char];
    else
        HD_char = [Zmix_Char HD_char];
    end
    %HD_char% DEBUG
    %HD_charFUNC% DEBUG
    Zmix{n,1}(nMIX,1) = sym(HD_char);
    Zmix{n,2}(nMIX,1) = sym(HD_charFUNC);
end
    if(Opt_Disp)
        [Zmix{n,1} Zmix{n,2}]% DEBUG
    end
end

end
