function [Data_E	Data_O] = Decompose_EvenOdd(...
    Data, Opt_DSB)
% Data  = [freq, pwr]
% Data_ = (Re + Ro) + j*(Ie + Io)
if ~exist('Opt_DSB','var')
    Opt_DSB = struct('In','DSB', 'Out','DSB');
end

%disp('--------- Decompose_EvenOdd ')

%% ########################################
%  ########## Separate Even + Odd freq variation, for Real/Complex Data
%NumDF = size(Data, 1);
%	if ~IsEven_Func(NumDF)
%     	error('NumDF in Data is ODD');
%	end
%NumDF = NumDF / 2;

Data_E = (Data + flipud(Data)) /2;
Data_O = (Data - flipud(Data)) /2;

switch Opt_DSB.Out
    %-------------------------
    case{'DSB'}
    %-------------------------
    case{'SSB'}
        NumDF   = size(Data, 1);
        if ~IsEven_Func(NumDF)
            error('NumDF in DSB-Data is ODD');
        end
        NumDF   = NumDF / 2;
        Data_E  = Data_E( NumDF+1:end, :);% get USB
        Data_O  = Data_O( NumDF+1:end, :);% get USB
    %-------------------------
    otherwise
        disp('Unknown Opt_DSB.Out')
end

%% ######################################## scrap
if(0)
    
switch Opt_RiMaDecomp
    case{'RI'}% Better
    case {'MA'}% Dont Work Well
        H3_SSB_Me   = 0.5*( abs(VSA.H3h_avg) + abs(VSA.H3l_avg) );
        H3_SSB_Po   = 0.5*( angle(VSA.H3h_avg) - angle(VSA.H3l_avg) );
        H3_DSB_ReIo = Cat_Func( H3_SSB_Me, H3_SSB_Me, 'DSB') ...
             .* exp(j*Cat_Func(-H3_SSB_Po, H3_SSB_Me, 'DSB'));
    otherwise
        disp('Unknown Opt_RiMaDecomp')
end

end