function [ Expr_NumCEL ] = ExprSUBnum_Func( ...
    SymCEL_IDX, MatCEL, ...
  	Opt_)
%----------------------------
% 	SymCEL_IDX	= IDX of these Syms in SymCEL / MatCEL
%              	= Hv_SymCEL_IDX{nV,n};
%                   {nCEL [nSYM;IDX  nSYM;IDX ...for diff Z#]}
%	MatCEL   	= corresp to SymCEL
%                   {zNumCEL{:} aNumCEL{:} InputNumCEL{:}}
%                   {MATRIX [FreqPts   FreqPts   ...for diff Z#]}   xx[NODE, FreqPts]
%----------------------------
%   Expr_NumCEL{nSYM} = MatCEL{nCEL}(:,IDX)
%                   for each [nSYM;IDX] in SymCEL_IDX(nCEL)
%                   find in each MatCEL{nCEL}
%----------------------------------------------
% NumFreqPts = Hv_NumfreqptsCEL{nV,n};

Expr_NumCEL = {};
%% ###########################
%=================================================================
for nCEL = 1 : length( SymCEL_IDX )% type of Param, (> length(MatCEL)
%----------------------------------------------
for nZ = 1 : size( SymCEL_IDX{nCEL},2 )
 	nSYM	= SymCEL_IDX{nCEL}(1,nZ);
   	IDX     = SymCEL_IDX{nCEL}(2,nZ);
	%###########################
switch Opt_
	%-------------------
    %case{'SUBSvec'}% need NumFreqPts
    %    NumFreqPts_NEW = length(MatCEL{nCEL}(:,IDX));
    %    if(NumFreqPts ~= NumFreqPts_NEW)
    %        if(NumFreqPts_NEW == 1)
    %            Expr_NumCEL{nSYM} = repmat(MatCEL{nCEL}(:,IDX), [NumFreqPts 1]);
    %        else
    %            disp('>1 but UnEqual NumFreqPts NumFreqPts_NEW')
    %        end
    %    else
    %        Expr_NumCEL{nSYM} = MatCEL{nCEL}(:,IDX);
    %    end
	%-------------------
    case{'LOOPvecELEM'}
       	Expr_NumCEL{nSYM} = MatCEL{nCEL}(:,IDX);% take COLumns
	%-------------------
    otherwise
        disp('ERROR: Unknown Opt_ in ExprSUBnum_Func')
	%-------------------
end
end
%----------------------------------------------
end
%=================================================================

%% ########################### TEST