function [  ExprVar_CHAR    Expr_SymCEL     SymCEL_IDX] = ExprSUBsym_Func( ...
	Expr, Var_SYMcel, ...% MatCEL, 
    Opt_Disp)
%----------------------------
%  	Var_SYMcel    	= corresp to MatCEL 
%                 	{zSymCEL{:} aSymCEL{:} InputSymCEL{:}} = {ROWvec [Z#sym]}
%      	Var_SYM      = SYMcel2SYMvec( Var_SYMcel )
%----------------------------
% Expr related:     ExprVar_CHAR    = Syms-in-Expr
%                   ExprVar_SYM     = sym( ExprVar_CHAR )
%                   Expr_SymCEL     = Syms-in-Expr (taken from Var_SYMcel)
%                                       {Z#}
% Var_SYMcel related:	SymCEL_IDX      = IDX of Syms-in-Expr in Var_SYMcel
%                                   {nCEL [nSYM;IDX  nSYM;IDX ...for diff Z#]}
%----------------------------------------------
% Expr_NumCEL 	{[COLvec FreqPts]}
% zNumMAT ( same# freq-pts for Z#s)
% IvecMAT (?same# freq-pts for NODEs)
% VvecMAT       [NODE, FreqPts]        ?problem when nodes with diff# FreqPts
if ~exist('Opt_Disp','var')
	Opt_Disp = 0;
end

ExprVar_CHAR    = '';% [Char]
Expr_SymCEL     = {};% {nSYM}
SymCEL_IDX      = {};% {nCEL [nSYM;IDX  nSYM;IDX]}

if(Expr ~= 0)
%% ###########################
ExprVar_CHAR    = findsym( Expr );
ExprVar_SYM     = sym( ExprVar_CHAR );
	if(Opt_Disp)
        disp('%------------------------------------------------------')
        Expr
        ExprVar_SYM
    end
    
%t0 = clock;
Var_SYM = SYMcel2SYMvec( Var_SYMcel );
%=================================================================
for nCEL = 1 : length( Var_SYMcel )
    Var = Var_SYMcel{nCEL};
	if(Opt_Disp)
        disp('%---------------------------')
        nCEL
        Var
    end
SymCEL_IDX{nCEL} = [];
%---------------------------------------------- find ExprVar_SYM(nSYM) in Var_SYMcel{nCEL}
for nSYM = 1 : length( ExprVar_SYM)
  	%[flagISFOUND2	IDX2	IDX2_] = Buss_fmBasis_Func( Var, ExprVar_SYM(nSYM),'fm_idx',Var_SYM);
    %    isequal(IDX,IDX2)
    %    isequal(IDX_,IDX2_)
  	[flagISFOUND	IDX     IDX_ ] = Find_ElemIDX( Var, ExprVar_SYM(nSYM),'symSUBnum',Var_SYM);
    if(flagISFOUND)
        Expr_SymCEL{nSYM}	= ExprVar_SYM(nSYM);
        SymCEL_IDX{nCEL}	= [SymCEL_IDX{nCEL}     [nSYM; IDX]];
        if(Opt_Disp)
            disp('%-------------')
            [ExprVar_SYM(nSYM)	nSYM	IDX]% DEBUG
        end
    end
end
%----------------------------------------------
end
%=================================================================
%etime(clock,t0)

    if(Opt_Disp)
        SYMcel2SYMvec( Expr_SymCEL )% DEBUG
 	end
%% ###########################
end
