%%
if (0)
file    = [folder 'S21_Mag.prn'];
fid     = fopen(file, 'r');
c       = textscan(fid, '%f%s%f%s', 200, 'headerLines',2)
Pin_dBm = c{1}.';
S21_dB  = c{3}.';
%
file    = [folder 'S21_Pha_kg.prn'];
fid     = fopen(file, 'r');
c       = textscan(fid, '%f%s%f%s', 200, 'headerLines',2)
S21_PhaDeg = c{3}.';
end

%% ###############################  read .prn
PC              = 'DODO';
Path_Self       = 'C:\Documents and Settings\jhu\My Documents\lv8\PNA_Data';

Cal             = {'_Cal', '_NoCal'};
    CalFormat   = Cal{1}
FileNam_PNA     = 'Amp1_S';
FileFormat_PNA  = '.prn';
SparaFormat     = {'_mag', '_pha'};
NumPort         = 2;
NumPort_rx      = 2;
NumPort_tx      = 1;

FreqRead    = 0;
for port_rx = 1:NumPort_rx
    for port_tx = 1:NumPort_tx
            Spara_Index     = (port_rx-1)*NumPort + port_tx
        for Format_Index = 1:length(SparaFormat)
            File_Index      = cat(2,num2str(port_rx),num2str(port_tx))
            %FileNam         = cat(2,fullfile(Path_Remote,FileNam_PNA),File_Index,SparaFormat{Format_Index},CalFormat,FileFormat_PNA)
            FileNam         = cat(2,fullfile(Path_Self,FileNam_PNA),File_Index,SparaFormat{Format_Index},CalFormat,FileFormat_PNA)
            %fid            = fopen(FileNam ,'r')   % fid=1 (std output) fid=2 (std error)
            Spara_ColIndex  = (Spara_Index-1)*2 + Format_Index
%if 0
            if (FreqRead==0)
                temp_var	= csvread(FileNam,2,0);
                f           = temp_var(:,1);
                S(:,Spara_ColIndex)	= temp_var(:,2);
                FreqRead    = 1;
            else
                temp_var	= csvread(FileNam,2,1);
                S(:,Spara_ColIndex)	= temp_var(:,1);
            end
%end
        end
    end
end


fc          = 2e9
fc_Index    = find(f==fc)
df          = 2 * (f(fc_Index+1:end) - fc);
S21_f1      = flipud( S(1:fc_Index-1, 5:6) ); %- S(fc_Index, 5:6)
S21_f2      =         S(fc_Index+1:end, 5:6); %- S(fc_Index, 5:6)
%#####
FileNam     = 'S_FreqSwp(1992-2008)_-15dBm.mat';
File_Save   = fullfile(Path_PNA_Data,FileNam)
load(File_Save, 'S','f','S21_f1','S21_f2','df');


