function [Var_Indep, Var_Dep, Var_DepStruct] = Read_MDF_Func2( file)
%, ...
%        Var_Indep, Var_Dep, Var_DepStruct, Flag_SeenAllIndepYet)
%Path_LSNA, Path_Data, FileNam, temp_strFile, ...
%            file = fullfile(Path_LSNA,Path_Data,FileNam);
temp_strFile = ['(']; % ['(n_List,n_List1,n_List2,'];

Flag_SeenAllIndepYet = 0;
Var_Indep       = {};% (4 x N_col) cell {var_name; var_type; var_val; var_CurrentIndex}
Var_Dep         = {};% (2 x N_col) cell {var_name; var_name_alias}
Var_DepStruct   = {};% cell(1, 2); % 

%end % for
%    end % for
%        end % for
%%########################################################################
%%Copy from Var_DepStruct -> Dynamic Creation of Variables (name from Var_Dep)
if(0)
[NamTypeVal NumVar] = size(Var_Dep);
        for n_Blk = 1 : NumVar
            eval([ Var_Dep{2,n_Blk} '= Var_DepStruct{1, n_Blk};' ]);
        end
end
%% ########################################################################
            fid	= fopen(file, 'r') % fclose(fid); % frewind(fid)
            if (fid < 0)
                FileNam     % display for WARNING
                % [fid n_List n_List1 n_List2]
                % Var_Indep{4,2}	: 2nd innermost index
                % index_Freq        : innermost index
                % continue    % only used w/FOR/WHILE loop, comment out if wo/loop % pause
                return
            end

while (feof(fid) == 0)
    c	= textscan(fid,'%s ',1,'commentStyle','!'); % celldisp(c)    % display for debug
    [c_rows c_col] = size(c{1});
if (c_rows ~= 0 && c_col ~= 0)
switch c{1}{1}
%########################################################################
    case {'VAR'} 
        format_string = '%s %s = ';
        c	= textscan(fid,format_string,1,'delimiter','()','commentStyle','!'); % celldisp(c) % display for debug
        switch c{2}{1}
            case { 'integer', '0' }
                format_string = '%d';
                Var_Type = 0;
            case { 'real', '1' }
                format_string = '%f';
                Var_Type = 1;
            case { 'string', '2' }
                format_string = '%s';
                Var_Type = 2;
            case { 'complex', '3' }
                format_string = '%f %f';
                Var_Type = 3;
            otherwise
              	disp('%##### string type not supported #####%')
        end
        if (Flag_SeenAllIndepYet == 0) %##### record Indep
            [NamTypeVal NumVar] = size(Var_Indep);
            Var_Indep{1, NumVar+1} = c{1}{1};
            Var_Indep{2, NumVar+1} = Var_Type; % c{2};
            Var_Indep{3, NumVar+1} = [];
            Var_Indep{4, NumVar+1} = [];
            n_Indep = NumVar+1;
        else %##### which Indep
            [NamTypeVal NumVar] = size(Var_Indep);
            for n_Indep = 1 : NumVar
                if isequal(c{1}{1}, Var_Indep{1,n_Indep})
                    break
                end
            end
        end
        c	= textscan(fid,format_string,1,'commentStyle','!');     % display for debug
        %temp_Indep = sort(Var_Indep{3,n_Indep},'ascend')
        Var_Indep{4,n_Indep} = find( Var_Indep{3,n_Indep} == c{1} );
        if isempty(Var_Indep{4,n_Indep})
            Var_Indep{4,n_Indep} = length(Var_Indep{3,n_Indep}) + 1;
            Var_Indep{3,n_Indep}(Var_Indep{4,n_Indep}) = c{1};
        end
%Var_Indep % display for debug
%########################################################################
    case {'BEGIN'}
        Flag_SeenAllIndepYet = 1;
        c	= textscan(fid,'%s ',1); % celldisp(c)       % display for debug
        textscan(fid,'%s ',1);                          % display for debug
        temp_line = fgetl(fid);                         % display for debug
        %################################
        Flag_SeenAllBlkYet = 0;
        [NamTypeVal NumVar] = size(Var_Dep);
        for n_Blk = 1 : NumVar
            Flag_SeenAllBlkYet = strcmp(Var_Dep{1, n_Blk}, c{1}{1});
        end
        %################################
        if (Flag_SeenAllBlkYet == 0) % ~exist(c{1}{1},'var') % latter won't work for "df_SWP.IMD.IMD.HB"
            %##### record Block 
            [NamTypeVal NumVar] = size(Var_Dep);
            Var_Dep{1, NumVar+1} = c{1}{1};
            %##### create Block 
            n_Blk = NumVar+1;
            Var_Dep{2,n_Blk} = strrep(Var_Dep{1,n_Blk}, '.', '_');
            eval([ Var_Dep{2,n_Blk} '= {};' ]);
            %##### record Dep
            format_string = '%s %s ';
            position = 0;
            while (position+1 < length(temp_line))
                [c pos_incre]  = textscan(temp_line(position+1:end),format_string,1,'delimiter','()'); % celldisp(c) % display for debug
                switch c{2}{1}
                    case { 'integer', '0' }
                        %format_string = '%d';
                        Var_Type = 0;
                    case { 'real', '1' }
                        %format_string = '%f';
                        Var_Type = 1;
                    case { 'string', '2' }
                        %format_string = '%s';
                        Var_Type = 2;
                    case { 'complex', '3' }
                        %format_string = '%f %f';
                        Var_Type = 3;
                    otherwise
                        disp('%##### string type not supported #####%')
                end
                position = position + pos_incre;
                [NamTypeVal NumVar] = eval([ 'size(' Var_Dep{2,n_Blk} ')' ]);
                eval([ Var_Dep{2,n_Blk} '{1,NumVar+1} = c{1}{1};' ]);
                eval([ Var_Dep{2,n_Blk} '{2,NumVar+1} = Var_Type;' ]); % c{2}
                eval([ Var_Dep{2,n_Blk} '{3,NumVar+1} = [];' ]);
            end
            %Var_Dep                                    % display for debug
            %eval([ Var_Dep{2,n_Blk} ])                 % display for debug
        else %##### which Block 
            [NamTypeVal NumVar] = size(Var_Dep);
            for n_Blk = 1 : NumVar
                if isequal(c{1}{1}, Var_Dep{1,n_Blk})
                    break
                end
            end
        end
%Var_Dep % display for debug
%################################ % Command string for Multi-Dim Power/Lsna/Data Index
temp_str	= temp_strFile;
[NamTypeVal NumVar] = size(Var_Indep);
%for n_temp = (2) : NumVar                         %##### exclude Var_Indep(1,:) dimension, else n_temp=(1):_
for n_temp = (1) : NumVar
    temp_strIncre	= ['Var_Indep{4,' int2str(n_temp) '}'];
    %eval([ temp_strIncre ])                            % display for debug
	temp_str     = [temp_str temp_strIncre];
    %if (n_temp ~= NumVar)
        temp_str = [temp_str ','];
    %end
end
%temp_str % display for debug = [temp_str ')'];
%################################
Flag_ReadBlk	= 0;
index_Freq      = 0;
while (Flag_ReadBlk == 0)
	temp_line = fgetl(fid);                             % display for debug
	c	= textscan(temp_line,'%s ',1); % celldisp(c)    % display for debug
    switch c{1}{1}
        %################################
        case {'END'}
            Flag_ReadBlk = 1; %break;
        %################################
        otherwise %##### read Dep values
        index_Freq = index_Freq + 1;
        Num_Col = 0;
        position = 0;
        [NamTypeVal NumVar] = eval([ 'size(' Var_Dep{2,n_Blk} ')' ]);
        for n_Dep = 1 : NumVar
            Var_Type = eval([ Var_Dep{2,n_Blk} '{2,n_Dep}' ]);
            switch Var_Type
                case {0}
                    Num_Col_incre = 1;
                    format_string = '%d ';
                case {1}
                    Num_Col_incre = 1;
                    format_string = '%f ';
                case {3}
                    Num_Col_incre = 2;
                    format_string = '%f %f ';
                otherwise
                    disp('%##### string type not supported #####%')
            end
            Num_Col     = Num_Col + Num_Col_incre;
            [c pos_incre]  = textscan(temp_line(position+1:end),format_string,1); % display for debug
            position    = position + pos_incre;
            switch Var_Type
                case {0, 1}
                    temp_val = c{1};
                case {3}
                    temp_val = c{1} + j*c{2};
            end
            eval([ Var_Dep{2,n_Blk} '{3,n_Dep}' temp_str  'index_Freq)= temp_val;' ]);
        end
        %################################
    end
end
%################################
%eval([ Var_Dep{2,n_Blk} ])             % display for debug
%eval([ Var_Dep{2,n_Blk} '{3,1}'])      % display for debug
%########################################################################
end % switch
end % if
end % while
            fclose(fid);
%% ########################################################################
%%Save Dynamically Created variables (name from Var_Dep) -> Var_DepStruct 
[NamTypeVal NumVar] = size(Var_Dep);
        for n_Blk = 1 : NumVar
            eval([ 'Var_DepStruct{1, n_Blk} = '  Var_Dep{2,n_Blk} ';' ]);
        end
            %Var_Indep                   % display for debug
            %Var_Dep                     % display for debug
            %eval([ Var_Dep{2,1} ])      % display for debug
            %eval([ Var_Dep{2,2} ])      % display for debug
%%########################################################################
%        end % for
%    end % for
%end % for
 
%% Test
if (0)

% PATH.LSNA = 'C:\Documents and Settings\jhu\My Documents\lv8\Data_LSNA'; 
%PATH.Data = '\NCSU_amp_2tone5khz'; 
%FileNam = 'NCSU_amp_2tone5khz0dB_phase_0_45.mdf';
    %+++++++++++++++++++++++
FileNam = 'AsymTest_PA2_IMD_3ord7HD_10ptdec.mdf';
file = fullfile(Path_ADS_Data, FileNam)
[Var_Indep, Var_Dep, Var_DepStruct] = Read_MDF_Func2(file);

%position = ftell(fid)
            if isequal(c{2}, [])
                fseek(fid, position, 'bof') % position = 292
                Flag_SeenAllDepYet = 0;
            else
            end
            
end