%% read SWP
%##### COMMENT OUT when restarting from broken run, alter INDEX, isolate cells
PowerData = {};
LsnaData = {};
LsnaData(1,:) = {'freq' 'a1' 'b1' 'a2' 'b2'};
LsnaData(2,:) = {1 3 3 3 3 };
LsnaData(3,:) = {[] [] [] [] []};


for n_List = 1 : length(df_List)
    Path_Data = sprintf('%s%d%s',Path_Data1,df_List(n_List),Path_Data2)
    for n_List1 = 1 : length(Pha1_List)
        for n_List2 = 1 : length(Pha2_List)
            FileNam_mdf	= sprintf('%s%s%d_%d%s',Path_Data,FileNam_1,Pha1_List(n_List1),Pha2_List(n_List2),FileNam_2);
            FileNam_swp	= sprintf('%s%s%d_%d%s',Path_Data,FileNam_1,Pha1_List(n_List1),Pha2_List(n_List2),FileNam_3)
%% ########################################################################
            file = fullfile(Path_LSNA,Path_Data,FileNam_swp);
            fid	= fopen(file, 'r');
            if (fid < 0)
                fid
                    n_List
                    n_List1
                    n_List2	
                    % Var_Indep{4,2}	: 2nd innermost index
                    % index_Freq        : innermost index
                FileNam_swp	% display for WARNING
                %continue    % only used w/FOR/WHILE loop, comment out if wo/loop % pause
            end

format_string = '%s%s %s%s%f %s%s%f %s%s%f %s%s%f';
c	= textscan(fid,format_string,1, 'delimiter',', ', 'whitespace','\b\t\n', 'headerLines',7); %celldisp(c)    % display for debug
num_harm = c{8};
num_imods = c{11};
df_FreqGridSpace(n_List) = c{14} * 1e6;
df_BB(n_List) = df_FreqGridSpace(n_List) * 4;
for n_temp = 1 : 1+1
    temp_line = fgetl(fid);              	% display for debug
end

format_string = '%s%s%s%s%f%f%f';
c	= textscan(fid,format_string,1, 'delimiter',', ', 'whitespace','\b\t\n'); %celldisp(c)    % display for debug
num_pwr = c{end};
for n_temp = 1 : 5+1
    temp_line = fgetl(fid);                 % display for debug
end

c	= textscan(fid,'%s ',1); %celldisp(c)	% display for debug
temp_line = fgetl(fid);                   	% display for debug
	%##### record Dep
	position = 0;
	while (position+1 < length(temp_line))
        [c pos_incre]  = textscan(temp_line(position+1:end),'%s',1); %celldisp(c) % display for debug
        position = position + pos_incre;
        [NamTypeVal NumVar] = size(PowerData);
        PowerData{1,NumVar+1} = c{1}{1};
        PowerData{2,NumVar+1} = 1;
        PowerData{3,NumVar+1} = [];
	end
[NamTypeVal NumVar] = size(PowerData);
format_string = repmat('%f',1,NumVar);
c	= textscan(fid,format_string,num_pwr); %celldisp(c)    % display for debug
    for n_temp = 1 : NumVar
        PowerData{3,n_temp}(n_List,n_List1,n_List2,:) = c{n_temp};
    end
temp_line = fgetl(fid);                  	% display for debug

freq = [];
	for n_harm = 0 : num_harm % dc 2Ghz 4Ghz 6Ghz
        if (n_harm == 0) % Lower/Upper, save one
            freq = [freq (2e9*n_harm + df_FreqGridSpace(n_List)*(0:num_imods)) ];
        else % Lower/Upper, save both
            freq = [freq (2e9*n_harm + df_FreqGridSpace(n_List)*(-num_imods:num_imods)) ];
        end
    end

for n_pwr = 1 : num_pwr
    n_DepVar = 1;
    LsnaData{3,1}(n_List,n_List1,n_List2,n_pwr,:) = freq; % freq
    for n_DepVar = 2 : 5 % a1 b1 a2 b2
%########################################################################
	temp_line = fgetl(fid);                                 % display for debug
	wave = [];
	for n_harm = 0 : num_harm % dc 2Ghz 4Ghz 6Ghz
        format_string = '%s %f %f';
        c	= textscan(fid,format_string,1); %celldisp(c)	% display for debug
        wave_harm = complex(c{2},c{3});
        format_string = ['%s%s ' repmat('%f',1,num_imods*2)];
        if (n_harm == 0) % Lower/Upper, save one
            num_sideband = 1;
            c	= textscan(fid,format_string,1); %celldisp(c) % display for debug
        else % Lower/Upper, save both
            num_sideband = 2;
        end
        for n_sideband = 1 : num_sideband
            c	= textscan(fid,format_string,1); %celldisp(c) % display for debug
            wave = [wave complex([c{3:2:end-1}],[c{4:2:end}]) ];
            if (n_sideband == 1)
                wave = [wave wave_harm ];
            end
        end
	end
    LsnaData{3,n_DepVar}(n_List,n_List1,n_List2,n_pwr,:) = wave;    
	temp_line = fgetl(fid);                                 % display for debug
%########################################################################
    end
end

            %frewind(fid)
            fclose(fid);

%% ########################################################################
        end
    end
end
 
