function [f, vout] = Read_svhb_Freeda( File_Load, ...
    fc, Opt_svhb) 
    % fc_vp0, ord_svhb, 

%%
fid     = fopen(File_Load, 'r')

switch Opt_svhb
    case {'hd'}
        FormatStr = '%f %f %f';
        c = textscan(fid, FormatStr,'whitespace',' \b\t\n', 'commentStyle', '!'); %celldisp(c)
        fclose(fid);
        f = c{1};
        vout = complex(c{2},c{3});
        fc_idx = find(f == fc);
        f = f(fc_idx);
        vout = vout(fc_idx,:);
    case {'imd'}
    otherwise
end



%% Test
if(0)

f1      = [];
Pout    = [];

for n = 1 : size(f1_vp0,2)
    file	= [Path_Remote FileNam_1 num2str(f1_vp0(n)) FileNam_2]
    fid     = fopen(file, 'r');
	c       = textscan(fid, '%f %f');
size( c{1}(f1_idx : ord_svhb : end) )
f1(:,n)     = c{1}(f1_idx : ord_svhb : end);
Pout(:,n) 	= Vrms2dBm(dB2Lin( c{2}(f1_idx : ord_svhb : end) )/sqrt(2));
    %for m = 1 : NumRow
    %    c	= textscan(fid, '%f', '%f');
    %    eval([ File_Load{n} '_LUT(' num2str(m) ',:) = c{1};']);
    %end
    fclose(fid);
end

if (nargin > 6)
    figure(fig_HD)
    for n = 1 : size(f1_vp0,2)
        plot(f1(:,n)/f1_scale, Pout(:,n), ['-' colors(ColorIndex_Func(n,colors)) marker1(n)]); grid on; hold on;
    end
end

end