function [] = Write_FosterNport_Func( ...
    pc_Y11,pr_Y11,zr_Y11,zc_Y11, ...
    pc_Y12,pr_Y12,zr_Y12,zc_Y12, ...
    pc_Y21,pr_Y21,zr_Y21,zc_Y21, ...
    pc_Y22,pr_Y22,zr_Y22,zc_Y22, ...
    Path_Data, FileNam)

fid     = fopen(fullfile(Path_Data,FileNam), 'w')
fprintf(fid,'* Foster Y-equiv for Sawtek \n');
fprintf(fid,'* Input Data: invfreqs() \n');
fprintf(fid,'ports=2; \n');
fprintf(fid,'cpoles(1,1)=%d; \n', length(pc_Y11));
fprintf(fid,'rpoles(1,1)=%d; \n', length(pr_Y11));
fprintf(fid,'cpoles(1,2)=%d; \n', length(pc_Y12));
fprintf(fid,'rpoles(1,2)=%d; \n', length(pr_Y12));
fprintf(fid,'cpoles(2,1)=%d; \n', length(pc_Y21));
fprintf(fid,'rpoles(2,1)=%d; \n', length(pr_Y21));
fprintf(fid,'cpoles(2,2)=%d; \n', length(pc_Y22));
fprintf(fid,'rpoles(2,2)=%d; \n', length(pr_Y22));
%###########%###########
    fprintf(fid,'*; \n');
    count = 1;
    for n_1 = 1 : length(pr_Y11)
        fprintf(fid,'realp(1,1,%d)=%f; \n', count,pr_Y11(n_1));
        count = count + 1;
    end
    for n_2 = 1 : length(pc_Y11);
        fprintf(fid,'compp(1,1,%d)=%f+i*%f; \n', count,real(pc_Y11(n_2)),imag(pc_Y11(n_2)));
        count = count + 1;
    end
    count = 1;
    for n_1 = 1 : length(zr_Y11)
        fprintf(fid,'realr(1,1,%d)=%f; \n', count,zr_Y11(n_1));
        count = count + 1;
    end
    for n_2 = 1 : length(zc_Y11);
        fprintf(fid,'compr(1,1,%d)=%f+i*%f; \n', count,real(zc_Y11(n_2)),imag(zc_Y11(n_2)));
        count = count + 1;
    end
%###########%###########
    fprintf(fid,'*; \n');
    count = 1;
    for n_1 = 1 : length(pr_Y12)
        fprintf(fid,'realp(1,2,%d)=%f; \n', count,pr_Y12(n_1));
        count = count + 1;
    end
    for n_2 = 1 : length(pc_Y12);
        fprintf(fid,'compp(1,2,%d)=%f+i*%f; \n', count,real(pc_Y12(n_2)),imag(pc_Y12(n_2)));
        count = count + 1;
    end
    count = 1;
    for n_1 = 1 : length(zr_Y12)
        fprintf(fid,'realr(1,2,%d)=%f; \n', count,zr_Y12(n_1));
        count = count + 1;
    end
    for n_2 = 1 : length(zc_Y12);
        fprintf(fid,'compr(1,2,%d)=%f+i*%f; \n', count,real(zc_Y12(n_2)),imag(zc_Y12(n_2)));
        count = count + 1;
    end
%###########%###########
    fprintf(fid,'*; \n');
    count = 1;
    for n_1 = 1 : length(pr_Y21)
        fprintf(fid,'realp(2,1,%d)=%f; \n', count,pr_Y21(n_1));
        count = count + 1;
    end
    for n_2 = 1 : length(pc_Y21);
        fprintf(fid,'compp(2,1,%d)=%f+i*%f; \n', count,real(pc_Y21(n_2)),imag(pc_Y21(n_2)));
        count = count + 1;
    end
    count = 1;
    for n_1 = 1 : length(zr_Y21)
        fprintf(fid,'realr(2,1,%d)=%f; \n', count,zr_Y21(n_1));
        count = count + 1;
    end
    for n_2 = 1 : length(zc_Y21);
        fprintf(fid,'compr(2,1,%d)=%f+i*%f; \n', count,real(zc_Y21(n_2)),imag(zc_Y21(n_2)));
        count = count + 1;
    end
%###########%###########
    fprintf(fid,'*; \n');
    count = 1;
    for n_1 = 1 : length(pr_Y22)
        fprintf(fid,'realp(2,2,%d)=%f; \n', count,pr_Y22(n_1));
        count = count + 1;
    end
    for n_2 = 1 : length(pc_Y22);
        fprintf(fid,'compp(2,2,%d)=%f+i*%f; \n', count,real(pc_Y22(n_2)),imag(pc_Y22(n_2)));
        count = count + 1;
    end
    count = 1;
    for n_1 = 1 : length(zr_Y22)
        fprintf(fid,'realr(2,2,%d)=%f; \n', count,zr_Y22(n_1));
        count = count + 1;
    end
    for n_2 = 1 : length(zc_Y22);
        fprintf(fid,'compr(2,2,%d)=%f+i*%f; \n', count,real(zc_Y22(n_2)),imag(zc_Y22(n_2)));
        count = count + 1;
    end
fclose(fid);

