function [z f] = plotsym_z(... 
    z_sym, z_str, param, ...
    fo, f_dec, ...
	fig_z, format_str, flag_xscale)
% findsym(z)
% char(z)
%if (nargin > 1)

z_handle = eval([ '@(' z_sym ') ' z_str ])
    z_handle_str = 'z_handle(';
    for n_0 = 1 : length(param)
        z_handle_str = [z_handle_str 'param(' num2str(n_0) '),' ];
    end
	z_handle_str = [z_handle_str 'w(n_3))' ];

%f = (fo/(10^f_dec) : fo/(10^f_dec) : fo*(10^f_dec));
[f w] = freqspace_Func(fo, f_dec, 50);

for n_3 = 1 : length(f)
    z(n_3) = eval(z_handle_str);
end

if (nargin > 5)
    figure(fig_z)
    if (nargin < 8)
        flag_xscale = '';
    end
    switch flag_xscale
        case {'Xlin'}
subplot(2,2,1)
    semilogy(f, abs(real(z)), format_str); grid on; hold on; ylabel('Re|z|')
    %plot(f, real(z), format_str); grid on; hold on; ylabel('Re|z|')
subplot(2,2,2)
    semilogy(f, abs(imag(z)), format_str); grid on; hold on; ylabel('Im|z|')
    %plot(f, imag(z), format_str); grid on; hold on; ylabel('Im|z|')
subplot(2,2,3)
    semilogy(f,   abs(z), format_str); grid on; hold on; ylabel('|z|')
subplot(2,2,4)
    plot(f, angle(z)/pi*180, format_str); grid on; hold on; ylabel('angle|z|')
        otherwise % case {'Xlog'}
subplot(2,2,1)
    loglog(f, abs(real(z)), format_str); grid on; hold on; ylabel('Re|z|')
    %semilogx(f, real(z), format_str); grid on; hold on; ylabel('Re|z|')
subplot(2,2,2)
    loglog(f, abs(imag(z)), format_str); grid on; hold on; ylabel('Im|z|')
    %semilogx(f, imag(z), format_str); grid on; hold on; ylabel('Im|z|')
subplot(2,2,3)
    loglog(f,   abs(z), format_str); grid on; hold on; ylabel('|z|')
subplot(2,2,4)
    semilogx(f, angle(z)/pi*180, format_str); grid on; hold on; ylabel('angle|z|')
    end
end

%% scrap
if(0)

end