function [State_HYBRID] = Buss_3_HYBRID( GA, ...
    NumBestSolnVEC, NumGenVEC, ...
    Q_RespMTONE, fQMIX, fxQMIX, fxVEC, InputSymCEL, ...
    Qmix, Q_cell)

HYB = GA.HYB;
load(GA.FileSav, 'Pop_GA');% 'StateSave','ScoreSortIDX')
    whos('-file', GA.FileSav);
%================================================
    temp = load(GA.FileSav);
	if( isfield(temp, 'State_HYBRID') )
        %---------------------------------
        State_HYBRID            = temp.State_HYBRID;
        [NumGen  NumBestSoln]	= size(State_HYBRID.Score)
     	NumParam                = size(Pop_GA.StateSave(1).Population, 2)
    else
        %---------------------------------
        NumGen                  = size(Pop_GA.StateSave, 2)
        NumParam                = size(Pop_GA.StateSave(1).Population, 2)
        State_HYBRID.Runtime        = zeros(NumGen, NumBestSolnVEC(2));
        State_HYBRID.Score          = zeros(NumGen, NumBestSolnVEC(2));
        State_HYBRID.Population     = zeros(NumGen, NumBestSolnVEC(2), NumParam);%
        %State_HYBRID(ngen, nsoln).Output = output;
        %---------------------------------
        switch HYB.Optim_OutputFcn
            case{'Plot_LSQ_Func'}
        State_HYBRID.Pop0           = zeros(NumGen, NumBestSolnVEC(2), NumParam);%
        State_HYBRID.Optimval0   	= zeros(NumGen, NumBestSolnVEC(2));
        %State_HYBRID.PopIter       = zeros(NumGen, NumBestSolnVEC(2), NumIter, NumParam);%
        %State_HYBRID.OptimvalIter	= zeros(NumGen, NumBestSolnVEC(2), NumIter);%
        end
        %---------------------------------
        save(GA.FileSav, 'State_HYBRID', '-append');
    end
 	clear temp
%================================================
FileSav_LSQ	= GA.FileSav;
save('FileNam_LSQ.mat', 'FileSav_LSQ')% filename var
%================================================

[NumGenVEC]
[NumBestSolnVEC]
NumGenOpt = input(['use [0:NumGen |1:NumGenVEC]: '], 's');
    switch NumGenOpt
        case{'0'}
            NumGenVEC = [1 NumGen];
    end
    [NumBestSolnVEC     NumGenVEC       HYB.MaxIter     NumParam]
pause
%% ######################################## HYBRID
HYB.Optim_Options	= optimset(HYB.Opt.Optim_Meth);
HYB.MaxFunEvals     = 400 * NumParam;
switch HYB.Optim_OutputFcn
    %====================================================
    case{'Plot_LSQ_Func'}
        HYB.Optim_Options	= optimset(HYB.Optim_Options, 'PrecondBandWidth',HYB.PrecondBandWidth, ...
        'MaxIter',HYB.MaxIter, ...
        'OutputFcn',{@Plot_LSQ_Func}, ...% {'Display','final', 'notify' 'iter' 'final'}
        'TolFun',HYB.TolFun, 'MaxFunEvals',HYB.MaxIter);% Default=[100*,400], [400*length(x2_0), 600] 
    %====================================================
    otherwise
        HYB.Optim_Options	= optimset(HYB.Optim_Options, 'PrecondBandWidth',HYB.PrecondBandWidth, ...
        'MaxIter',HYB.MaxIter, ...
        ...%'OutputFcn',{@Plot_LSQ_Func}, ...% {'Display','final', 'notify' 'iter' 'final'}
        'TolFun',HYB.TolFun, 'MaxFunEvals',HYB.MaxIter);% Default=[100*,400], [400*length(x2_0), 600] 
    %====================================================
end

%% ######################################## HYBRID
for ngen = NumGenVEC(1) : NumGenVEC(2)
    %[ScoreSort, ScoreSortIDX] = sort(Pop_GA.StateSave(ngen).Score, 'ascend');
for nsoln = NumBestSolnVEC(1) : NumBestSolnVEC(2)
	%x0_HYBRID  = Pop_GA.StateSave(ngen).Population( Pop_GA.ScoreSortIDX(nsoln), :);
	x0_HYBRID   = Pop_GA.StateSave(ngen).Population( Pop_GA.ScoreSortIDX(ngen,nsoln), :);
	x0_HYBRID   = x0_HYBRID.';% % GA pass ROWvec
switch HYB.Opt.Optim_Meth
	%====================================================
  	case{'lsqnonlin'}
%output.XXX
%iterations     Number of iterations taken
%funcCount      # function evaluations 
%algorithm      Algorithm used 
%cgiterations   # PCG iterations (large-scale algorithm only) 
%stepsize       final step size taken (medium-scale algorithm only) 
%firstorderopt	Measure of 1st-order optimality (large-scale algorithm only) 
%               For large-scale bound constrained problems: infinity norm of v.*g, 
%                       v: as in Box Constraints, g: gradient g = JTF (see Nonlinear Least-Squares).
RunTime_HYBRID = tic;
        [x_HYBRID, resnorm,residual,exitflag,output] = lsqnonlin( @(x) ...
     	Buss_XR4_Iter( x, HYB.Opt, ...
            Q_RespMTONE, fQMIX, fxQMIX, fxVEC, InputSymCEL, ...
            Qmix, Q_cell), ...
            x0_HYBRID, [],[],HYB.Optim_Options);
RunTime_HYBRID = toc(RunTime_HYBRID)
        %----------------------
        %save(GA.FileSav, 'RunTime_HYBRID','residual','x_HYBRID', '-append');
        State_HYBRID(ngen, nsoln).Runtime       = RunTime_HYBRID;
        State_HYBRID(ngen, nsoln).Score      	= sum(abs(residual));% = sum(abs(F2))
        State_HYBRID(ngen, nsoln, :).Population	= x_HYBRID;%
        State_HYBRID(ngen, nsoln).Output        = output;%
        %----------------------
        switch HYB.Optim_OutputFcn
            case{'Plot_LSQ_Func'}
       	load(FileSav_LSQ, 'Pop_LSQ');
        State_HYBRID(ngen, nsoln, :).Pop0           = Pop_LSQ.Pop_0;%
        State_HYBRID(ngen, nsoln).Optimval0         = Pop_LSQ.Optimval_0;%
        State_HYBRID(ngen, nsoln, :,:).PopIter  	= Pop_LSQ.Pop_Iter;%
        State_HYBRID(ngen, nsoln, :).OptimvalIter   = Pop_LSQ.Optimval;%
        end
        %----------------------
        save(GA.FileSav, 'State_HYBRID', 'ngen','nsoln','-append');
	%====================================================
	case{'fminunc'}
        %NOT PREFERRED for solving sums-of-squares problems  => lsqnonlin 
        %LargeScale:  must provide the gradient
        %Medium-scale: Quasi-Newton line search (Algorithm selected)
     	%Warning: Gradient must be provided for trust-region method =>  using line-search method instead.
        %Optimization terminated: relative infinity-norm of gradient less than options.TolFun.
        [x_HYBRID, HYBRID_F2, exitflag, HYBRID_output] = fminunc(@(x) ...
        Buss_XR4_Iter( x, HYB.Opt, ...
            Q_RespMTONE, fQMIX, fxQMIX, fxVEC, InputSymCEL, ...
            Qmix, Q_cell), ...
        x_GA, HYB.Optim_Options)
	%====================================================
  	case{'fminsearch'}
        %NOT PREFERRED for solving sums-of-squares problems  => lsqnonlin 
        %only minimizes over the real numbers, f(x) must only return real numbers
        %COMPLEX VARIABLES must be split into R+jI
    	%robust for discontin problem, less efficient than fminunc order > 2
        [x_HYBRID, HYBRID_F2, exitflag, HYBRID_output] = fminsearch(@(x) ...
        Buss_XR4_Iter( x, HYB.Opt, ...
            Q_RespMTONE, fQMIX, fxQMIX, fxVEC, InputSymCEL, ...
            Qmix, Q_cell), ...
        x_GA, HYB.Optim_Options)
	%====================================================
end
end
end

%%
if(0)
%------------------------------------------------
%   FileNam_GA, FileNam_LSQ, PATH,      
    %if( exist(FileSav_LSQ, 'file') )
        whos('-file', FileSav_LSQ);
    	FileOpt = input([FileNam_LSQ ' exist [0:del |1:diff-file |2:load |3:exit]: '], 's');
      	switch FileOpt
          	case{'0'}
                delete(FileSav_LSQ);% disp('ok')
        	case{'1'}
             	FileNam_LSQ = input('FileNam_LSQ: ', 's');
                FileSav_LSQ = fullfile(PATH.MatlabSave, [FileNam_LSQ '.mat'])
        	case{'2'}
                load(FileSav_LSQ, 'State_HYBRID')
                [NumGen  NumBestSoln]	= size(State_HYBRID)
                NumParam                = size(Pop_GA.StateSave(1).Population, 2)
            case{'3'}
                return
        end   
%------------------------------------------------
end
%compute response
%[HYBRID_F2 Q_RespMTONE] = Buss_XR4_Iter(HYB.Opt.Optim_Meth, x_HYBRID, ...
%    Q_RespMTONE, Opt_ITER, Opt_WtS21Err, ...
%    InputSymCEL, ...
%    fQMIX, fxQMIX, fxVEC, ...
%    Qmix, Q_cell, 0);