function [] = Plot_2Tone_DSBdfpwr( Opt, ...
    VSA, Field_CEL, LindB_CEL, FigVEC, Title_CEL, yLabel_CEL, ...
    DF_KHz, Pwr_dBm, DfPwr_IDX, xLabel, ...
    LineSpec, PlotOpt)% Optim_MtoneFit, ModMeasCEL, ...
% Opt           = struct( 'SweepType',{'DF'} )
% Field_CEL     = { 'f1f2_DSB'                  'IM3_DSB'                   }
% Field_CEL     = { 'f1'            'f2'        'im3l'          'im3h'      }
% LindB_CEL     = { 'Lin2dB_dB'                 'Lin2dB_dB'                 }
% LindB_CEL     = { 'Lin2dB_dB'     'Lin2dB_dB' 'Lin2dB_dB'     'Lin2dB_dB' }
%
% FigVEC        = [ 1                               2                   ]
% FigVEC        = [ 1               1               2               2   ]
% Title_CEL     = { 'f1f2_DSB'                      'IM3_DSB'           } 
% Title_CEL     = { 'f1f2'          'f1f2'          'IM3'           'IM3'}
% yLabel_CEL    = {{'dBm' 'Deg'}                    {'dBm' 'Deg'}               }
% yLabel_CEL    = {{'dBm' 'Deg'}    {'dBm' 'Deg'} 	{'dBm' 'Deg'}	{'dBm' 'Deg'}}
%
% xLabel        = { 'ToneSpace (dBKhz)' }
% xLabel        = { 'ToneSpace (Mhz)' }

%Optim_MtoneFit = 'S21H3'
%ModMeasCEL = { 'MDL' 'Meas'; ...
%               '-k'  '-r';...
%               'GA'  'VSA'}
%FigVEC = [ fig_FreqS21     fig_FreqHBB_RI ]

switch Opt.SweepType
    %====================================================
	case{'DF'}
for nCEL = 1 : length( Field_CEL )
for nIDX = 1 : length( DfPwr_IDX )
    nP	= DfPwr_IDX( nIDX );
    Pin = Round_NumDecim( Pwr_dBm(DfPwr_IDX(1,nP)), 2 );
    Y   = VSA.( Field_CEL{nCEL} )(:,nP);
    switch LindB_CEL{nCEL}
        case{'Vp02dBm_dB'}
            Y = Vp02dBm_dB( Y );	dBMaRi = 'dB';
        case{'Lin2dB_dB'}
            Y = Lin2dB_dB( Y );     dBMaRi = 'dB';
        case{'Lin2MA_MA'}
            Y = Lin2MA_MA( Y );     dBMaRi = 'MA';
        case{'RI'}
                                    dBMaRi = 'RI';
    end
	plot_Sio_Func2( DF_KHz, Y, FigVEC(1), ...
        'dB',{'yLin'},{'xLin'},{}, ...
        {Title_CEL{nCEL}},{xLabel},{yLabel_CEL{nCEL}},{[Field_CEL{nCEL} num2str(Pin) 'dBm']}, ...
        [LineSpec PlotOpt.marker(nP)], PlotOpt)
end
end
    %====================================================
	case{'Pwr'}
for nCEL = 1 : length( Field_CEL )
for nIDX = 1 : length( DfPwr_IDX )% size(bf1f2_DSB_LSNA,1)%
	plot_Sio_Func(adBm_LSNA(nIDX,:), Lin2dB_dB( S21_f1_LSNAavg(nIDX,:) ),...
     	'dB','RI-Lin', fig_PinS21,'Xlin',['-b' marker(nIDX)],...
      	[],['S21'],[],['LSNA '])
	plot_Sio_Func(adBm_LSNA(nIDX,:), Lin2dB_dB( S21_f2_LSNAavg(nIDX,:) ),...
     	'dB','RI-Lin', fig_PinS21,'Xlin',['-.b' marker(nIDX)],...
      	[],['S21'],[],['LSNA '])
end
end
    %====================================================
end

    if(1)%-------------- IM3
	plot_Sio_Func2( ToneSpace, Vp02dBm_dB( VSA.IM3_DSBavg(:,n_pwr) ), FigVEC(2), ...
        'dB',{'yLin'},{'xLin'},{}, ...
        {'IM3'},{xLabel},{'dBm' 'Deg'},{['Meas ' ModMeasCEL{2} num2str(Pin) 'dBm']}, ...
        [LineSpec PlotOpt.marker(n_pwr)], PlotOpt)
    end
    if(0)%++++++++++ H3
	plot_Sio_Func(adBm_LSNAavg, Lin2MA_MA( H3l_LSNAavg(n_dfBB,:)),...
        'MA','RI-Lin', fig_PinHBB_MA,'Xlin',['-b' marker(n_dfBB)],...
      	[],['H3'],[],['LSNA H3l'])
	plot_Sio_Func(adBm_LSNAavg, Lin2MA_MA( H3h_LSNAavg(n_dfBB,:)),...
      	'MA','RI-Lin', fig_PinHBB_MA,'Xlin',['-.b' marker(n_dfBB)],...
       	[],['H3'],[],['LSNA H3h'])
    end

%if want simple legend
ModMeasCEL{2} = '';

switch Optim_MtoneFit
%% ######################################################
    case{'S21H3'}
switch ModMeasCEL{1}
    %====================================================
    case{'MDL'}% VSA.S21_DSBmdl
S21dB_DSB = Lin2dB_dB( VSA.S21_DSBmdl );
for n_idx = 1 : length(VSA.x_IdxSet)
    n_pwr   = VSA.x_IdxSet(n_idx);
    pwr_dBm = Round_NumDecim( VSA.x_dBm(n_idx), 2 );
    if(1)%-------------- S21
	plot_Sio_Func2( ToneSpace, S21dB_DSB(:,n_pwr), FigVEC(1), ...
        'dB',{'yLin'},{'xLin'},{}, ...
        {'S21'},{xLabel},{},{['MDL ' ModMeasCEL{2} num2str(pwr_dBm) 'dBm']}, ...
        [LineSpec PlotOpt.marker(n_pwr)], PlotOpt)
    end
    if(1)%-------------- H3
	plot_Sio_Func2( ToneSpace, VSA.H3_DSBmdl(:,n_pwr), FigVEC(2), ...
        'RI',{'yLin'},{'xLin'},{}, ...
        {'H3'},{xLabel},{},{['MDL ' ModMeasCEL{2} num2str(pwr_dBm) 'dBm']}, ...
        [LineSpec PlotOpt.marker(n_pwr)], PlotOpt)
    end
end
    %====================================================
    case{'Meas'}% VSA.S21_DSBavg
S21dB_DSB = Lin2dB_dB( VSA.S21_DSBavg );
for n_idx = 1 : length(VSA.x_IdxSet)
    n_pwr   = VSA.x_IdxSet(n_idx);
    pwr_dBm = Round_NumDecim( VSA.x_dBm(n_idx), 2 );
    if(1)%-------------- S21
	plot_Sio_Func2( ToneSpace, S21dB_DSB(:,n_pwr), FigVEC(1), ...
        'dB',{'yLin'},{'xLin'},{}, ...
        {'S21'},{xLabel},{},{['Meas ' ModMeasCEL{2} num2str(pwr_dBm) 'dBm']}, ...
        [LineSpec PlotOpt.marker(n_pwr)], PlotOpt)
    end
    if(1)%-------------- H3
	plot_Sio_Func2( ToneSpace, VSA.H3_DSBavg(:,n_pwr), FigVEC(2), ...
        'RI',{'yLin'},{'xLin'},{}, ...
        {'H3'},{xLabel},{},{['Meas ' ModMeasCEL{2} num2str(pwr_dBm) 'dBm']}, ...
        [LineSpec PlotOpt.marker(n_pwr)], PlotOpt)
    end
    %====================================================
end
end
%% ######################################################
    case{'Pout'}
switch ModMeasCEL{1}
    %==========================
    case{'MDL'}
for n_idx = 1 : length(VSA.x_IdxSet)
    n_pwr   = VSA.x_IdxSet(n_idx);
    pwr_dBm = Round_NumDecim( VSA.x_dBm(n_idx), 2 );
    if(1)%-------------- f1f2
	plot_Sio_Func2( ToneSpace, Vp02dBm_dB( VSA.f1f2_DSBmdl(:,n_pwr) ), FigVEC(1), ...
        'dB',{'yLin'},{'xLin'},{}, ...
        {'f1f2'},{xLabel},{'dBm' 'Deg'},{['MDL ' ModMeasCEL{2} num2str(pwr_dBm) 'dBm']}, ...
        [LineSpec PlotOpt.marker(n_pwr)], PlotOpt)
    end
    if(1)%-------------- IM3
	plot_Sio_Func2( ToneSpace, Vp02dBm_dB( VSA.IM3_DSBmdl(:,n_pwr) ), FigVEC(2), ...
        'dB',{'yLin'},{'xLin'},{}, ...
        {'IM3'},{xLabel},{'dBm' 'Deg'},{['MDL ' ModMeasCEL{2} num2str(pwr_dBm) 'dBm']}, ...
        [LineSpec PlotOpt.marker(n_pwr)], PlotOpt)
    end
    %if(0)
	%plot_Sio_Func(ToneSpace, Vp02dBm_RI(VSA.IM3_DSBmdl(:,n_pwr)),...
    %    'RI','RI-Lin', fig_Freq_IM3_RI,'Xlin',['-c' PlotOpt.marker(n_idx)],...
    %	 [],['IM3'],[],['MDL ' num2str(pwr_dBm) 'dBm'])
    %end
end
    %==========================
    case{'Meas'}
    %==========================
end
%% ######################################################
end
