function [] = Plot_Buss_Func(...
    VSA, Optim_MtoneFit, ModMeasCEL, ...
    FigVEC, marker)
%Optim_MtoneFit = 'S21H3'
%ModMeasCEL = { 'MDL' 'Meas'; ...
%               '-k'  '-r';...
%               'GA'  'VSA'}
%FigVEC = [ fig_FreqS21 fig_FreqHBB_RI ]

switch Optim_MtoneFit
%% ######################################################
    case{'S21H3'}
switch ModMeasCEL{1}
    %==========================
    case{'MDL'}
S21dB_DSB = Lin2dB_dB( VSA.S21_DSBmdl );
for n_idx = 1 : length(VSA.x_IdxSet)
    n_pwr = VSA.x_IdxSet(n_idx);
    if(1)%-------------- S21
	plot_Sio_Func(VSA.fDSB_dB, S21dB_DSB(:,n_pwr),...
        'dB','RI-Lin', FigVEC(1),'Xlin',[ModMeasCEL{2} marker(n_pwr)],...
        [],['S21'],['Envelop Freq (dBKhz)'],{},['MDL ' ModMeasCEL{3} num2str(VSA.x_dBm(n_idx)) 'dBm'])
    end
    if(1)%-------------- H3
	plot_Sio_Func(VSA.fDSB_dB, VSA.H3_DSBmdl(:,n_pwr),...
        'RI','RI-Lin', FigVEC(2),'Xlin',[ModMeasCEL{2} marker(n_idx)],...
    	 [],['H3'],['Envelop Freq (dBKhz)'],{},['MDL ' ModMeasCEL{3} num2str(VSA.x_dBm(n_idx)) 'dBm'])
    end
end
    %==========================
    case{'Meas'}
S21dB_DSB = Lin2dB_dB( VSA.S21_DSBavg );
for n_idx = 1 : length(VSA.x_IdxSet)
    n_pwr = VSA.x_IdxSet(n_idx);
    if(1)%-------------- S21
	plot_Sio_Func(VSA.fDSB_dB, S21dB_DSB(:,n_pwr),...
        'dB','RI-Lin', FigVEC(1),'Xlin',[ModMeasCEL{2} marker(n_pwr)],...
        [],['S21'],['Envelop Freq (dBKhz)'],{},['Meas ' ModMeasCEL{3} num2str(VSA.x_dBm(n_idx)) 'dBm'])
    end
    if(1)%-------------- H3
	plot_Sio_Func(VSA.fDSB_dB, VSA.H3_DSBavg(:,n_pwr),...
        'RI','RI-Lin', FigVEC(2),'Xlin',[ModMeasCEL{2} marker(n_idx)],...
    	 [],['H3'],['Envelop Freq (dBKhz)'],{},['Meas ' ModMeasCEL{3} num2str(VSA.x_dBm(n_idx)) 'dBm'])
    end
    %==========================
end
end
%% ######################################################
    case{'Pout'}
switch ModMeasCEL{1}
    %==========================
    case{'MDL'}
for n_idx = 1 : length(VSA.x_IdxSet)
    n_pwr = VSA.x_IdxSet(n_idx);
    if(1)%-------------- f1f2
	plot_Sio_Func(VSA.fDSB_dB, Vp02dBm_dB( VSA.f1f2_DSBmdl(:,n_pwr) ),...
        'dB','RI-Lin', FigVEC(1),'Xlin',[ModMeasCEL{2} marker(n_pwr)],...
        [],['f1f2'],['Envelop Freq (dBKhz)'],{},['MDL ' ModMeasCEL{3} num2str(VSA.x_dBm(n_idx)) 'dBm'])
    end
    if(1)%-------------- IM3
	plot_Sio_Func(VSA.fDSB_dB, Vp02dBm_dB( VSA.IM3_DSBmdl(:,n_pwr) ),...
        'dB','RI-Lin', FigVEC(2),'Xlin',[ModMeasCEL{2} marker(n_idx)],...
        [],['IM3'],['Envelop Freq (dBKhz)'],{},['MDL ' ModMeasCEL{3} num2str(VSA.x_dBm(n_idx)) 'dBm'])
    end
    %if(0)
	%plot_Sio_Func(VSA.fDSB_dB, Vp02dBm_RI(VSA.IM3_DSBmdl(:,n_pwr)),...
    %    'RI','RI-Lin', fig_Freq_IM3_RI,'Xlin',['-c' marker(n_idx)],...
    %	 [],['IM3'],[],['MDL ' num2str(VSA.x_dBm(n_idx)) 'dBm'])
    %end
end
    %==========================
    case{'Meas'}
for n_idx = 1 : length(VSA.x_IdxSet)
    n_pwr = VSA.x_IdxSet(n_idx);
    if(1)%-------------- f1f2
	plot_Sio_Func(VSA.fDSB_dB, Vp02dBm_dB( VSA.f1f2_DSBavg(:,n_pwr) ),...
        'dB','RI-Lin', FigVEC(1),'Xlin',[ModMeasCEL{2} marker(n_pwr)],...
        [],['f1f2'],['Envelop Freq (dBKhz)'],{},['Meas ' ModMeasCEL{3} num2str(VSA.x_dBm(n_idx)) 'dBm'])
    end
    if(1)%-------------- IM3
	plot_Sio_Func(VSA.fDSB_dB, Vp02dBm_dB( VSA.IM3_DSBavg(:,n_pwr) ),...
        'dB','RI-Lin', FigVEC(2),'Xlin',[ModMeasCEL{2} marker(n_idx)],...
        [],['IM3'],['Envelop Freq (dBKhz)'],{},['Meas ' ModMeasCEL{3} num2str(VSA.x_dBm(n_idx)) 'dBm'])
    end
end
    %==========================
end
%% ######################################################
end
