function [ flagISFOUND	x_IDX ] = Find_Elem( ...
        xVEC, y, yTYPE, fSymVEC)
% quicker than Find_ElemIDX: just find existence, stops if find 1-elems of xVEC == y
% calls FmixVec_SubsFunc
%-------------------------
% xVEC: 	ref vec/mat
% y:        elem/vec being searched for
%-------------------------
% x_IDX, xXORy_IDX:  [ pointer -> to xVEC ]   intersection elem
% size follow xVEC

%=================================================================
% SYM~CHAR	=> need substitute to compare	=> try isequal( sym('f1-f2'), sym('f2-f1'))
% temp = subs( [sym('A1')], [sym('A1')], [1])               => DOUBLE
% temp = subs( [sym('A1')], [sym('B1') sym('A1')], [1 1])   => SYM, convert to DOUBLE
if isa(y,'sym')
switch yTYPE
    %-------------------------
    case{'symSUBnum'}%disp('symSUBnum')
        %fNumVEC = FmixVec_SubsFunc( fSymVEC );
        fNumVEC	= 1000 + (0 : length(fSymVEC)-1);
        y       = single(subs(y,    fSymVEC,fNumVEC));
        xVEC    = single(subs(xVEC, fSymVEC,fNumVEC));
    %-------------------------
end
end

flagISFOUND	= 0;
x_IDX     	= [];
%% ########################################
%=================================================================
if isa(y,'numeric')% 'symSUBnum' included
	if isscalar(y)%disp('numeric SCALAR')
       	x_IDX	= find( xVEC == y );% already shaped as xVEC
       	if ~isempty(x_IDX)
           	flagISFOUND	= 1;
       	end
	%-------------------------
	else%disp('numeric VECTOR')
       	for nX = 1 : size( xVEC,1 )
          	if isequal( xVEC(nX,:), y )% ROW compare 
              	flagISFOUND = 1;
              	x_IDX       = nX;
              	 break
            end
      	end
	end
%=================================================================
elseif isa(y,'char')%disp('char')
   	for nX = 1 : length( xVEC )
       	if strcmp( xVEC{nX}, y )
          	flagISFOUND = 1;
           	x_IDX       = nX;
        end
  	end
%=================================================================
elseif isa(y,'sym')
    if isa(xVEC,'cell')%disp('sym CELL')
       	for nX = 1 : length( xVEC )
          	if isequal( xVEC{nX}, y )
                flagISFOUND = 1;
                x_IDX       = nX;
            end
      	end
	%-------------------------
    else%disp('sym VECTOR')
      	for nX = 1 : length( xVEC )
          	if isequal( xVEC(nX), y )
                flagISFOUND = 1;
                x_IDX       = nX;
            end
       	end
    end
%=================================================================
end

%% ######################################## TEST
if(0)

end