function [cSIZE c cFCT ...
         Q_cell Qmix] = Buss_2_iNL( ...
    N, Q_cell, s_SymVEC, ...
    FileSave, Opt_Disp)
%Buss_Sym
%global s_SymVEC
if ~exist('Opt_Disp','var')
    Opt_Disp = 0;
end

%----------------------------
%[iNL] = INL_H_Func(N, cSIZE, c, cFCT, ...
%    S, H_SymVec, a_SymVec);% [ wSYM] (, Opt_Disp, w)

%% ###########################
[w cSIZE c cFCT]    = INL_w_Func(N);% , Opt_Disp)
[S Svec]            = INL_S_Func(N, cSIZE, s_SymVEC);% [ sSIZE sNumTerm] (, Opt_Disp, w)

disp('-------------------------')
for nQ = 1 : size(Q_cell,1)
	Q       = Q_cell{nQ,1};
 	fVEC    = Q_cell{nQ,2};
for nRESP = 1 : length(Q_cell{nQ,3})
  	fRESP   = Q_cell{Q,3}(nRESP);
    [Fmix F Fidx cFidx] = INL_F_Func(...
        Q, fVEC, fRESP, ...
        N, cSIZE, Svec, s_SymVEC, ...
        0);% [ Iv_idx] (, Opt_Disp, w)
    Q_cell{nQ,4}(:,nRESP) = {Fmix; Fidx; cFidx;}% F; 
end
end
%INL_F_DispFunc(cSIZE,     Fmix, F, Fidx, cFidx)

%----------------------------
[Q_cell Qmix] = INL_Qmix_Func( Q_cell, 0);% (, Opt_Disp)
%celldisp(Qmix.')

%----------------------------
if exist('FileSave','var')
    save(FileSave, ...
        'N', 'Q_cell', 'FileSave', ...
        'w','cSIZE','c','cFCT', ...
        'S','Svec', ...%'sSIZE','sNumTerm',
        'Q_cell','Qmix', ...
        '-append');
end

%% ########################### TEST
if (0)

%----------------------------
for n = 1 : size(Fmix,1)% N
    disp(['%################################################# n=' int2str(n)])
        [Fmix{n,1} Fmix{n,4}]
    disp('%_____________')
        [Fmix{n,2} Fmix{n,3} Fmix{n,5} Fmix{n,6}]
end

Q = 1
%################################################# n=1
[    f1,     0,     1]
[ (-f1),     1,     0]
%_____________
[  f1, 1/2,   1]
[ -f1,   0,  -1]
%################################################# n=2
[     (-f1),      (f1),         1,         1]
[      (f1),      (f1),         0,         2]
[ (((-f1))), (((-f1))),         2,         0]
%_____________
[     0,     0,     0]
[  2*f1,     0,     2]
[ -2*f1,     0,    -2]
%################################################# n=3
[     -f1,      f1,      f1,       1,       2]
[ ((-f1)), ((-f1)),  ((f1)),       2,       1]
[  ((f1)),  ((f1)),  ((f1)),       0,       3]
%_____________
[   f1,  3/8,    1]
[  -f1,    0,   -1]
[ 3*f1,    0,    3]
%################################################# n=4
[ (-f1), (-f1),  (f1),  (f1),     2,     2]
[ (-f1),  (f1),  (f1),  (f1),     1,     3]
%_____________
[    0,    0,    0]
[ 2*f1,    0,    2]
%################################################# n=5
[ -f1, -f1,  f1,  f1,  f1,   2,   3]
%_____________
[   f1, 5/16,    1]

Q = 2
%################################################# n=1
[  (f1),     0,     0,     1,     0]
[ (-f2),     1,     0,     0,     0]
[ (-f1),     0,     1,     0,     0]
[  (f2),     0,     0,     0,     1]
%_____________
[  f1,   0,   1]
[ -f2,   0,  -1]
[ -f1,   0,  -1]
[  f2,   0,   1]
%################################################# n=2
[     (-f2),      (f1),         1,         0,         1,         0]
[      (f1),      (f1),         0,         0,         2,         0]
[ (((-f2))), (((-f1))),         1,         1,         0,         0]
[ (((-f1))),  (((f1))),         0,         1,         1,         0]
[ (((-f2))), (((-f2))),         2,         0,         0,         0]
[ (((-f2))),  (((f2))),         1,         0,         0,         1]
[  (((f1))),  (((f2))),         0,         0,         1,         1]
%_____________
[ -f2+f1,      0,      0]
[   2*f1,      0,      2]
[ -f2-f1,      0,     -2]
[      0,      0,      0]
[  -2*f2,      0,     -2]
[      0,      0,      0]
[  f1+f2,      0,      2]
%################################################# n=3
[     -f2,      f1,      f1,       1,       0,       2,       0]
[ ((-f2)), ((-f1)),  ((f1)),       1,       1,       1,       0]
[ ((-f1)),  ((f1)),  ((f1)),       0,       1,       2,       0]
[  ((f1)),  ((f1)),  ((f1)),       0,       0,       3,       0]
[ ((-f2)), ((-f2)),  ((f1)),       2,       0,       1,       0]
[ ((-f2)), ((-f2)),  ((f2)),       2,       0,       0,       1]
[ ((-f2)),  ((f1)),  ((f2)),       1,       0,       1,       1]
[  ((f1)),  ((f1)),  ((f2)),       0,       0,       2,       1]
%_____________
[  2*f1-f2,      3/8,        1]
[      -f2,        0,       -1]
[       f1,        0,        1]
[     3*f1,        0,        3]
[ -2*f2+f1,        0,       -1]
[      -f2,        0,       -1]
[       f1,        0,        1]
[  2*f1+f2,        0,        3]
%################################################# n=4
[ (-f2), (-f1),  (f1),  (f1),     1,     1,     2,     0]
[ (-f2),  (f1),  (f1),  (f1),     1,     0,     3,     0]
[ (-f1),  (f1),  (f1),  (f1),     0,     1,     3,     0]
[ (-f2), (-f2),  (f1),  (f1),     2,     0,     2,     0]
[ (-f2), (-f2),  (f1),  (f2),     2,     0,     1,     1]
[ (-f2),  (f1),  (f1),  (f2),     1,     0,     2,     1]
%_____________
[     -f2+f1,          0,          0]
[   -f2+3*f1,          0,          2]
[       2*f1,          0,          2]
[ -2*f2+2*f1,          0,          0]
[     -f2+f1,          0,          0]
[       2*f1,          0,          2]
%################################################# n=5
[ -f2, -f1,  f1,  f1,  f1,   1,   1,   3,   0]
[ -f2, -f2,  f1,  f1,  f2,   2,   0,   2,   1]
%_____________
[ 2*f1-f2,     5/8,       1]
[ 2*f1-f2,   15/16,       1]

end