%% function [] = Buss_Sym( ...
%    Nord, Nfreq, Ntone, ...
%    FileSave)
%clear all; clear maplemex; clear mex; 
%maple restart; %less efficient if you continue using Symbolic Toolbox
format compact

VarCEL = {};% <- global
%----------------------------
%syms        f1     f2      f3  f4  f5 	% 2-tones
    f_SymVEC_STR                = [];
for n = 1 : Nfreq
    f_SymVEC_STR                = [f_SymVEC_STR ' f' num2str(n)];
    VarCEL{length(VarCEL)+1}	=               ['f' num2str(n)];
end
    f_SymVEC_STR% DEBUG
%eval(['global'  f_SymVEC_STR])
eval(['syms'    f_SymVEC_STR])

%----------------------------
%syms A A_   A1 A1_     A2 A2_          % 2-tones
    A_SymVEC_STR        	= [' A A_'];
    VarCEL{length(VarCEL)+1} =      'A';
    VarCEL{length(VarCEL)+1} =      'A_';
for n = 1 : Ntone
    A_SymVEC_STR = [A_SymVEC_STR	' A' num2str(n) ...
                                    ' A' num2str(n) '_'];
    VarCEL{length(VarCEL)+1}  = [	 'A' num2str(n)];
    VarCEL{length(VarCEL)+1}  = [	 'A' num2str(n) '_'];
end
    A_SymVEC_STR% DEBUG
%eval(['global'  A_SymVEC_STR]);
eval(['syms'    A_SymVEC_STR]);

%----------------------------
%syms        s  s1 s2 s3 s4 s5 s6 s7 s8 s9 s10 s11 s12 s13 s14 s15
%s_SymVEC = [   s1 s2 s3 s4 s5 s6 s7 s8 s9 s10 s11 s12 s13 s14 s15];
    s_SymVEC_STR = [];
for n = 1 : Nord
    s_SymVEC_STR = [s_SymVEC_STR ' s' num2str(n)];
end
    s_SymVEC_STR% DEBUG
%global s s_SymVEC
%    VarCEL{length(VarCEL)+1} = 's';
%    VarCEL{length(VarCEL)+1} = 's_SymVEC';
eval(['syms'            ' s']);
eval(['syms'            s_SymVEC_STR]);
eval(['s_SymVEC = ['	s_SymVEC_STR '];']);
%----------------------------
if(0)
s_SymCell{1} = [s];
for n = 2 : 15
    s_SymCell{n} = s_SymVEC(1:n);
end
end
%celldisp(s_SymCell)
%s_SymCell{1} =
%s
%s_SymCell{2} =
%[ s1, s2]
%s_SymCell{3} =
%[ s1, s2, s3]
%s_SymCell{4} =
%[ s1, s2, s3, s4]
%s_SymCell{5} =
%[ s1, s2, s3, s4, s5]
%s_SymCell{6} =
%[ s1, s2, s3, s4, s5, s6]
%s_SymCell{7} =
%[ s1, s2, s3, s4, s5, s6, s7]

%----------------------------
%Flag_PwrSer_Volterra = 'PwrSer'
%syms           a1 a2 a3 a4 a5 a6 a7 a8 a9 a10 a11 a12 a13 a14 a15
%a_SymVEC = [	a1 a2 a3 a4 a5 a6 a7 a8 a9 a10 a11 a12 a13 a14 a15];
    a_SymVEC_STR = [];
for n = 1 : Nord
    a_SymVEC_STR = [a_SymVEC_STR ' a' num2str(n)];
end
    a_SymVEC_STR% DEBUG
%global a_SymVEC
%    VarCEL{length(VarCEL)+1} = 'a_SymVEC';
eval(['syms'            a_SymVEC_STR]);
eval(['a_SymVEC = ['	a_SymVEC_STR '];']);

%----------------------------
if exist('FileSave','var')
    if exist('FileSave','file')
        save(FileSave, '-append');
    else
        save(FileSave);
    end
end

%% #######################################################
if(0)
syms Kg1 Kg2 Kg3 Kg4 Kg5 Kg6 Kg7 
syms Kc1 Kc2 Kc3 Kc4 Kc5 Kc6 Kc7
Kg_SymVEC = [Kg1 Kg2 Kg3 Kg4 Kg5 Kg6 Kg7];
Kc_SymVEC = [Kc1 Kc2 Kc3 Kc4 Kc5 Kc6 Kc7];

%Flag_PwrSer_Volterra = 'PS'
for n = 1 : length(a_SymVEC)
    Hps{n} = a_SymVEC(n);
end
%celldisp(Hps)

%Flag_PwrSer_Volterra = 'Volterra'
H1_	= sym('H1(s)');          % dummy abstract function
H2_	= sym('H2(s1,s2)');      % dummy abstract function
H3_	= sym('H3(s1,s2,s3)');   % dummy abstract function
H4_	= sym('H4(s1,s2,s3,s4)'); % dummy abstract function
H5_	= sym('H5(s1,s2,s3,s4,s5)'); % dummy abstract function
H6_	= sym('H6(s1,s2,s3,s4,s5,s6)'); % dummy abstract function
H7_	= sym('H7(s1,s2,s3,s4,s5,s6,s7)'); % dummy abstract function
H_SymVEC  = [H1_ H2_ H3_ H4_ H5_ H6_ H7_];
for n = 1 : length(H_SymVEC)
    Hvolt{n} = H_SymVEC(n);
end
%celldisp(Hvolt)

G_	= sym('G(s)'); %##### Filter functions
F_	= sym('F(s)'); %##### Filter functions

end

