function [Fmix F Fidx cFidx Iv_idx] = INL_F_Func(...
    Q, fVEC, fRESP, ...
    N, cSIZE, Svec, s_SymVec, ...
    Opt_Disp, w)
if ~exist('Opt_Disp','var')
    Opt_Disp = 0;
end

f_SymVEC = fVEC(length(fVEC)/2+1 : end);
if (Opt_Disp == 0)
    w = 0;
end

MIXcell = {};
for n = 1 : N
    [MIXcell{n,1} MIXcell{n,2} MIXcell{n,3}] = Mix_2tone(...
            Q, fVEC, fVEC, n, ...
            'fMIX',0,'wHD');%  	flag_disp = 0;
end

% Fmix	{n,1-4}(nMIX,:)        	{Fmix_VEC fRESP MIXcoef MIXvec}
% F
% Fidx 	{nMIX,n,r}{rC,1}(rM,cC) 	nMIX
% cFidx	{nMIX,n,r}{rC,1}
%can't initialize, fRESP may != Lin Resp
Fmix    = {};% [Fmix_VEC Dir-Contrib to fRESP], append [Fmix_VEC InDir-Contrib]
	Iv_idx = {};
F       = {};% S([s1 s2 s3] ---> [Fmix_VEC Dir+InDir-Contrib]
Fidx    = {};% [Fmix_VEC Dir+InDir-Both?] ---idx---> F
cFidx   = {};
%% ########################### DirCalc2
for n = 1 : N
    if(Opt_Disp) disp('%######################################################'); end
    MIXmat	= MIXcell{n,1};
    fMIX    = MIXcell{n,2};
    MIXcoef = MIXcell{n,3};
    [UnUsed fRESP_idx] = Buss_fmBasis_Func(fMIX, fRESP, 'fm_idx',f_SymVEC);
for nMIX = 1 : length( fRESP_idx )         	%each [MIXmat] for [f_input]
	MIXvec  = MIXmat( fRESP_idx(nMIX),: ); 	%Freq-MIX Vector
    %[n fMIX(fRESP_idx(nMIX)) MixCoef MIXvec]% DEBUG
    Fmix_VEC = [];
    for nM = 1 : length( MIXvec )
        Fmix_VEC = [Fmix_VEC    repmat(fVEC(nM),[1 MIXvec(nM)])];
    end
    if(Opt_Disp) 
        Fmix_VEC% DEBUG
    end
%CREAT Iv_idx Fmix F Fidx @fRESP
    Fmix{n,1}(nMIX,:) = Fmix_VEC;
    Fmix{n,2}(nMIX,1) = fRESP;% =sum(Fmix_VEC)
    Fmix{n,3}(nMIX,1) = MIXcoef(fRESP_idx(nMIX));
    Fmix{n,4}(nMIX,:) = MIXvec;
    Iv_idx{n,1}(nMIX) = nMIX;
if (n==1)% NEED r=1 for n=1, TREAT r=1 as special case
    r = 1;% rC = 1; cC = 1;
	cSIZEnr_MAT = cSIZE{n,r};% DEBUG
    if(Opt_Disp) 
        disp('%###########################')
        disp([ num2str([n r]) ])% DEBUG
        cSIZEnr_MAT
    end
    %for rC
    Fnr_CELTEMP = subs(Svec{n,r}{1}, s_SymVec(1:n), Fmix_VEC);% DEBUG
    cFidx{nMIX,n,r}{1} = [1];
    %for cC
  	F{nMIX,n,r}{1} = Fnr_CELTEMP;
    Fidx{nMIX,n,r}{1} = [nMIX];
end
for r = 2 : n
 	cSIZEnr_MAT = cSIZE{n,r};% DEBUG
    if(Opt_Disp) 
        disp('%###########################')
        disp([ num2str([n r]) ])% DEBUG
        cSIZEnr_MAT
    end
%######################################################
for rC = 1 : size(cSIZE{n,r},1)% which TERM/row
    Snr_CELTEMP = Svec{n,r}{rC};% DEBUG
    Fnr_CELTEMP = subs(Snr_CELTEMP, s_SymVec(1:n), Fmix_VEC);% DEBUG
    [Fnr_CELTEMP, Fnr_CELTEMP_IDX, cFidx_VECTEMP] = MatRowCondens(Fnr_CELTEMP, f_SymVEC);
    cFidx{nMIX,n,r}{rC,1} = cFidx_VECTEMP;
    if(Opt_Disp) 
        disp('%##############')
        Fnr_CELTEMP% DEBUG
        cFidx_VECTEMP% DEBUG
    end
    sCount = 0;
for cC = 1 : r% r=S{n-1,r} #of cols, START w/LAST APPEND
    F{nMIX,n,r}{rC,cC} = Fnr_CELTEMP(:, sCount+1 : sCount+cSIZEnr_MAT(rC,cC) );
    sCount = sCount + cSIZEnr_MAT(rC,cC);
	[Fmix F Fidx cFidx] = DirCalc_Func2(...
            [nMIX,n,r,rC,cC], fVEC, ...
            Fmix, F, Fidx, cFidx, ...
            cSIZE, Svec, s_SymVec, ...
            Opt_Disp, w);
end
end
%######################################################
end
end
end

%% ########################### DirCalc_Func2
function [Fmix F Fidx cFidx] = DirCalc_Func2(...
    nVEC, fVEC, ...
    Fmix, F, Fidx, cFidx, ...
  	cSIZE, Svec, s_SymVec, ...
    Opt_Disp, w)
f_SymVEC = fVEC(length(fVEC)/2+1 : end);

if ~exist('Opt_Disp','var')
    Opt_Disp = 0;
end
if (Opt_Disp == 0)
    w = 0;
end

nMIX = nVEC(1);
n = nVEC(2);
r = nVEC(3);
rC = nVEC(4);
cC = nVEC(5);

Fnrvec = F{nMIX,n,r}{rC,cC};% Fnrvec(rM,:)=each-ROW is new Fmix_VEC
k = size(Fnrvec, 2);% k=Multiplicant Ord
if(Opt_Disp) 
    disp('%***************************');
    Fnrvec
    k
end
for rM = 1 : size(Fnrvec, 1)
	[flag_isfound kMIX] = Buss_fmBasis_Func(Fmix{k,1}, Fnrvec(rM,:), 'fm_idx',f_SymVEC);
    if(Opt_Disp) disp('%**************'); end
%======================================================
%======================================================
if flag_isfound% Terminal Conditon in Recursive Call
	Fmix_VEC = Fmix{k,1}(kMIX,:);         %Freq-MIX Vector
    if(Opt_Disp) 
        disp('----FOUND----')
        kMIX% DEBUG
        Fmix_VEC
    end
    Fidx{nMIX,n,r}{rC,1}(rM,cC) = kMIX;
%======================================================
%======================================================
else
	kMIX = size(Fmix{k,1},1) + 1;% DEBUG
  	Fmix_VEC = Fnrvec(rM,:);             	%Freq-MIX Vector
    if(Opt_Disp) 
        kMIX
        Fmix_VEC
    end
    Fmix{k,1}(kMIX,:) = Fmix_VEC;
    Fmix{k,2}(kMIX,1) = sum(Fmix_VEC);
    Fmix{k,3}(kMIX,1) = 0;% MIXcoef(fRESP_idx);% ERR if [fRESP_idx]
    Fmix{k,4}(kMIX,:) = Fmixvec2Mixvec(Fmix_VEC, fVEC);
    Fidx{nMIX,n,r}{rC,1}(rM,cC) = kMIX;
if (k==1)% NEED rk=1 for k=1, TREAT rk=1 as special case
    rk = 1;% rkC = 1; ckC = 1;
  	F{kMIX,k,rk}{1} = [subs(Svec{k,rk}{1}, s_SymVec(1:k), Fmix_VEC)];
    Fidx{kMIX,k,rk}{1} = [kMIX];
    cFidx{kMIX,k,rk}{1} = [1];
end
for rk = 2 : k
    cSIZEnr_MAT = cSIZE{k,rk};% DEBUG
    if(Opt_Disp) 
        disp('%########');
        disp([ num2str([k rk]) ])% DEBUG
        cSIZEnr_MAT
    end
%######################################################
for rkC = 1 : size(cSIZE{k,rk},1)% which TERM/row
    Snr_CELTEMP = Svec{k,rk}{rkC,1};% DEBUG
    Fnr_CELTEMP = subs(Snr_CELTEMP, s_SymVec(1:k), Fmix_VEC);% DEBUG
    [Fnr_CELTEMP, Fnr_CELTEMP_IDX, cFidx_VECTEMP] = MatRowCondens(Fnr_CELTEMP, f_SymVEC);
    cFidx{kMIX,k,rk}{rkC,1} = cFidx_VECTEMP;
    if(Opt_Disp) 
        %disp('%##############')
        Fnr_CELTEMP% DEBUG
        cFidx_VECTEMP% DEBUG
    end
    sCount = 0;
for ckC = 1 : rk% r=S{n-1,r} #of cols, START w/LAST APPEND
    F{kMIX,k,rk}{rkC,ckC} = Fnr_CELTEMP(:, sCount+1 : sCount+cSIZEnr_MAT(rkC,ckC) );
 	%Fidx{kMIX,k,rk}{rkC,ckC}(rM,1) CANT BE KNOWN YET, FOUND from next DirCalc_Func()
    %if (cSIZEnr_MAT(rkC,ckC) > 1)
        if(Opt_Disp) disp('----STEP INTO----'); end
        [Fmix F Fidx cFidx] = DirCalc_Func2(...
            [kMIX,k,rk,rkC,ckC], fVEC, ...
            Fmix, F, Fidx, cFidx, ...
            cSIZE, Svec, s_SymVec, ...
            Opt_Disp, w);
    %else
    %    disp('----END----')
    %end
    sCount = sCount + cSIZEnr_MAT(rkC,ckC);
end
end
%######################################################
end
%======================================================
%======================================================
end
end

%% TEST
if (0)
   

end