function [S Svec sSIZE sNumTerm] = INL_S_Func( ...
    N, cSIZE, s_SymVEC, ...%
    Opt_Disp, w)% w needed for DEBUG
%global s_SymVEC
if ~exist('Opt_Disp','var')
    Opt_Disp = 0;
end

n = 1;
S       = {{s_SymVEC(n)}};   % Permut of [s1 s2 s3]
Svec    = {{s_SymVEC(n)}};   % Cat S{n,r}{rC,cC} into matrix
sSIZE   = {[1]};    % sSIZE==cSIZE, [multiplicant-ord] in w{n,r} 
sNumTerm = {[1]};   % #Permute in w{n,r}
%% ########################### [s1 s2 s3] permutations
for n = 2 : N
    if(Opt_Disp) disp('%######################################################'); end
    sSUB        = s_SymVEC(n);
    S{n,1}      = {};
    sSIZE{n,1}  = [];
for r = 1 : (n-1)% #of non-Zero S{n-1,:} on prev row
    %disp('%########################');
    Snr_CELprev     = S{n-1,r};% celldisp(Snr_CELprev);
    cSIZEnr_MATprev = cSIZE{n-1,r};% Matrix
    %    S{n,r}     = {}; will erase S{n,r-1}
    %    sSIZE{n,r} = []; will erase sSIZE{n,r-1}
    S{n,r+1}     = {};
    sSIZE{n,r+1} = [];
%######################################################
for cC = r : -1 : 1% r = S{n-1,r} #of cols, START w/LAST APPEND
for rC = 1 : size(cSIZE{n-1,r},1)% size(w{n-1,r},1)% S{n-1,r} #of rows
    %Snr_CELprev{rC,cC}% Matrix
    %disp('%############');
    sMAT_TEMP   = [Snr_CELprev{rC,cC} repmat(sSUB,[size(Snr_CELprev{rC},1) 1])];% DEBUG
    cSIZE_TEMP  = cSIZEnr_MATprev(rC,:);
        cSIZE_TEMP(cC) = cSIZE_TEMP(cC) + 1;
    [cSIZE_TEMPsort,cSIZE_IDX] = sort(cSIZE_TEMP,'ascend');% COL_idx
    %    [cSIZE_TEMP; ...
    %     cSIZE_TEMPsort]% DEBUG
    [rC_IDX] = Find_VecIDX(sSIZE{n,r}, cSIZE_TEMPsort, 'MATRIX', 'Not symSUBnum');% rC_IDX_ cSIZE_IDX_IDX cSIZE_IDX_IDX_
    if isempty(rC_IDX)
        sSIZE{n,r} = [sSIZE{n,r}; cSIZE_TEMPsort];
        rC2 = size(S{n,r},1) + 1;
        for cC2 = 1 : length(cSIZE_IDX)
            if (cSIZE_IDX(cC2) == cC)
                S{n,r}{rC2,cC2} = sMAT_TEMP;
            else
                S{n,r}{rC2,cC2} = Snr_CELprev{rC,cSIZE_IDX(cC2)};
            end
        end
    else
        rC2 = rC_IDX;
        for cC2 = 1 : length(cSIZE_IDX)
            if (cSIZE_IDX(cC2) == cC)
                S{n,r}{rC2,cC2} = [S{n,r}{rC2,cC2}; sMAT_TEMP];
            else
                S{n,r}{rC2,cC2} = [S{n,r}{rC2,cC2}; Snr_CELprev{rC,cSIZE_IDX(cC2)}];
            end
        end
    end
end
end
%######################################################
for rC = 1 : size(cSIZE{n-1,r},1)% size(w{n-1,r},1)% S{n-1,r} #of rows
    %disp('%############');
    sMAT_TEMP   = repmat(sSUB,[size(Snr_CELprev{rC},1) 1]);% DEBUG
    cSIZE_TEMP	= [1 cSIZEnr_MATprev(rC,:)];% DEBUG
    sSIZE{n,r+1} = [sSIZE{n,r+1}; cSIZE_TEMP];
cC = 1;
	S{n,r+1}{rC,cC} = sMAT_TEMP;
for cC = 1 : size(Snr_CELprev,2)
  	S{n,r+1}{rC,cC+1} = Snr_CELprev{rC,cC};
end
end
%######################################################
    if(Opt_Disp) 
        disp('%########################'); 
        disp([ num2str([n r]) ]);% DEBUG
        wnr_MAT = w{n,r}% DEBUG
        disp([ 'sSIZEnr===cSIZEnr' ]); 
        sSIZE{n,r}% DEBUG
    end
    sNumTerm{n}(r) = 0;
    for rC = 1 : size(S{n,r},1)
        Snr_CELTEMP = [];
    for cC = 1 : size(S{n,r},2)
        Snr_CELTEMP = [Snr_CELTEMP S{n,r}{rC,cC}];%        S{n,r}{rC,cC}% DEBUG
    end
        Svec{n,r}{rC,1} = Snr_CELTEMP;
        if(Opt_Disp) 
            Snr_CELTEMP% DEBUG
            disp([ 'Snr_CELTEMP #Permute ' num2str(size(Snr_CELTEMP,1)) ]);% DEBUG
        end
        sNumTerm{n}(r) = sNumTerm{n}(r) + size(Snr_CELTEMP,1);
    end
end
    if(Opt_Disp) 
        disp('%########################'); 
        disp([ num2str([n r+1]) ]);% DEBUG
        wnr_MAT = w{n,r+1}% DEBUG
        disp([ 'sSIZEnr===cSIZEnr' ]); 
        sSIZE{n,r+1}% DEBUG
    end
    sNumTerm{n}(r+1) = 0;
	for rC = 1 : size(S{n,r+1},1)
        Snr_CELTEMP = [];
    for cC = 1 : size(S{n,r+1},2)
        Snr_CELTEMP = [Snr_CELTEMP S{n,r+1}{rC,cC}];%   	S{n,r+1}{rC,cC}% DEBUG
    end
        Svec{n,r+1}{rC,1} = Snr_CELTEMP;
        if(Opt_Disp) 
            Snr_CELTEMP% DEBUG
            disp([ 'Snr_CELTEMP #Permute ' num2str(size(Snr_CELTEMP,1)) ]);% DEBUG
        end
        sNumTerm{n}(r+1) = sNumTerm{n}(r+1) + size(Snr_CELTEMP,1);
    end
end
disp('%######################################################');
S
Svec
sSIZE
for n = 1 : N
    sNumTerm{n}
end