function [F2_Real	Q_RespMTONE] = Buss_XR4_Iter( xReal, Opt, ...
    Q_RespMTONE, fQMIX, fxQMIX, fxVEC, InputSymCEL, ...
    Qmix, Q_cell, ...
    Opt_Disp)
if ~exist('Opt_Disp','var')
    Opt_Disp = 0;
end

% N = size( Q_cell{nQ,4}{1,1}, 1);
switch Opt.Optim_Meth
	case{'ga'}% GA pass ROWvec 
        xReal = xReal.';
end
%==========================
[b1  	InputNumCEL     aNumCEL     zxNumQMIX ] = Buss_XR4_XReal2zxNumQMIX_3b( xReal, Opt, ...
    InputSymCEL, ...%Q_RespMTONE, 
    0);
%==========================
[zNumQMIX   zenvNumQMIX ...
 zNumCEL    ] = Buss_xParam2zk_Func2( zxNumQMIX, ...
    fQMIX, fxQMIX, fxVEC, ...
    Qmix, Q_cell, ...
    0);% celldisp( zNumQMIX )
% {zNumCEL{:} aNumCEL{:}}
% SYMcel2SYMvec( HvnV_MatCEL )% DEBUG

F2_Cmplx        = [];
F2Resp_Abs      = [];
F2Resp_Cmplx	= [];
%% #################### User Def Func
for nQ = Opt.Qstart : size(Q_cell,1)
    if(Opt_Disp) 
        disp(['%###################################################### nQ=' int2str(nQ)])
    end
	Q       = Q_cell{nQ,1};
 	%fVEC	= Q_cell{nQ,2};
        %f_SymVEC = fVEC(length(fVEC)/2+1 : end);
    %------------------------------------------------
    %Pin_dBm = Q_RespMTONE{Q,1}{1,1};% ROWvec [dBm]
    Pin_Vp0	= Q_RespMTONE{Q,1}{1,2};% ROWvec [Vp0]
    %FcdfBB	= Q_RespMTONE{Q,1}{2,1};% COLvec [fc/df]
%######################################################
for nRESP = 1 : length(Q_cell{nQ,3})%nRESP = 3
  	%fRESP	= Q_cell{nQ,3}(nRESP);
    %Fmix  	= Q_cell{nQ,4}{1,nRESP};
    %Fidx  	= Q_cell{nQ,4}{2,nRESP};
    %cFidx	= Q_cell{nQ,4}{3,nRESP};
    Hv              = Q_cell{nQ,4}{4,nRESP};% {n}[nV,1]
    Hv_SymCHAR      = Q_cell{nQ,4}{5,nRESP};% {nV,n}[Char]
    %Hv_SymCEL    	= Q_cell{nQ,4}{6,nRESP};% {nV,n}{nSYM}
    Hv_SymCEL_IDX   = Q_cell{nQ,4}{7,nRESP};% {nV,n}{nCEL [nSYM;IDX  nSYM;IDX]}
	Hv_NumfreqptsCEL = Q_cell{nQ,4}{8,nRESP};% {nV,n} NumFreqPts
    %------------------------------------------------
    %wtCONST        = Q_RespMTONE{Q,2}{1,nRESP};
    %VRespMEAS_Pout	= Q_RespMTONE{Q,2}{2,nRESP};% VResp @fRESP  [df Pin]
    %VRespMEAS_S21H3 = Q_RespMTONE{Q,2}{3,nRESP};% VResp @fRESP  [df Pin]
    %VRespMDL       = Q_RespMTONE{Q,2}{4,nRESP};% VResp @fRESP  [df Pin]
    wtMAT     		= Q_RespMTONE{Q,2}{5,nRESP};% [df Pin]
    nMEAS           = Q_RespMTONE{Q,2}{6,nRESP};
    nOFFSET         = Q_RespMTONE{Q,2}{7,nRESP};
    %VRespERR_MAT   = Q_RespMTONE{Q,2}{8,nRESP};
    %------------------------------------------------
    if(Opt_Disp) 
        disp([ '%########################### nRESP=' num2str([nRESP]) ])
        %size(VResp)
        %size(Q_RespMTONE{Q,2}{nMEAS,nRESP})
    end
t_RESP = tic;
%================================================== HvNUM
HvNUM = {};
for n = 1 : Opt.N
    if(Opt_Disp && Hv{n}~=0)
        disp(['%############# n=' int2str(n)])
    end
for nV = 1 : size(Hv{n},1)
    %celldisp({zSymCEL{:} aSymCEL{:} InputSymCEL{:}})% DEBUG
    %{zNumCEL{:} aNumCEL{:} InputNumCEL{:}}% DEBUG
	%VResp_nPIN = VResp_nPIN + MatMultSUBS_Func( Hv{n}, ...
    %                {zSymCEL{:} aSymCEL{:} InputSymCEL{:}}, ...
    %                {zNumCEL{:} aNumCEL{:} InputNumCEL{:}}, Opt_Disp);
    %----------------------------------------------
    if(Hv{n}(nV,1) ~= 0)
%disp('%-----------------')
%t_Hv1 = tic;
        [HvnV_MatCEL] = ExprSUBnum_Func( Hv_SymCEL_IDX{nV,n}, ...
                {zNumCEL{:} aNumCEL{:} InputNumCEL{:}}, 'LOOPvecELEM');
%disp(['t_Hv1 = ' num2str( toc(t_Hv1) )])% 0.019704
        if(Opt_Disp)
           	%Hv{n}(nV,1)
            Hv_SymCHAR{nV,n}% DEBUG
            %Hv_SymCEL{nV,n}% DEBUG
                %SYMcel2SYMvec( Hv_SymCEL{nV,n} )% DEBUG
            HvnV_MatCEL
                %SYMcel2SYMvec( HvnV_MatCEL )% DEBUG
                %if(nRESP==4 && n==5)
                    %HvnV_MatCEL{5}% Zf_22
                %end
        end
%t_Hv2 = tic;
        %HvNUM{nV,n} = subs(Hv{n}(nV,1), Hv_SymCEL{nV,n}, HvnV_MatCEL);
        HvNUM{nV,n} = ExprEVALnum_Func( Hv{n}(nV,1), ...
                Hv_SymCHAR{nV,n}, ...
                HvnV_MatCEL, ...
                Hv_NumfreqptsCEL{nV,n} );
%disp(['t_Hv2 = ' num2str( toc(t_Hv2) )])% 0.328838
    end
    %----------------------------------------------
end
end
%================================================== VResp   VResp_nPIN
%t_Hv3 = tic;
    VResp           = [];% [df Pin]
for nPIN = 1 : length(Pin_Vp0)
	%if(Opt_Disp)    end
    %    disp(['%############# nPIN=' int2str(nPIN)])
    VResp_nPIN      = 0;
%----------------------------------------------
for n = 1 : Opt.N
for nV = 1 : size(Hv{n},1)
if(Hv{n}(nV,1) ~= 0)
	if(n == 1)
      	VResp_nPIN = VResp_nPIN + (HvNUM{nV,n} * (Pin_Vp0(nPIN))^(n-nOFFSET));% * b1
    else
      	VResp_nPIN = VResp_nPIN + (HvNUM{nV,n} * (Pin_Vp0(nPIN))^(n-nOFFSET));
	end
end
end
end
%----------------------------------------------
    VResp(:,nPIN)   = VResp_nPIN;
end
    VResp           = VResp * b1;
%disp(['t_Hv3 = ' num2str( toc(t_Hv3) )])%
%================================================== VRespERR_MAT
switch Opt.Optim_Err%COMPLEX-ERROR to fit COMPLEX-PARAM
    %------------------------
    case{'RatLog_RI'}
    VRespERR_MAT	= wtMAT .* Lin2dB_RI( Divide_RI( VResp, Q_RespMTONE{Q,2}{nMEAS,nRESP} ), 10);
    %------------------------***** 'DiffRel_RI'
    case{'DiffRel_RI'}
    VRespERR_MAT	= wtMAT .* Divide_RI( (VResp - Q_RespMTONE{Q,2}{nMEAS,nRESP}), Q_RespMTONE{Q,2}{nMEAS,nRESP} );
    %------------------------
    case{'DiffRel'}
    VRespERR_MAT	= wtMAT .* ( (VResp - Q_RespMTONE{Q,2}{nMEAS,nRESP}) ./ Q_RespMTONE{Q,2}{nMEAS,nRESP} );
    %------------------------
    case{'Diff'}
    VRespERR_MAT	= wtMAT .* (VResp - Q_RespMTONE{Q,2}{nMEAS,nRESP});
    %------------------------
end
%================================================== F2_Cmplx	F2Resp_Cmplx F2Resp_Abs
toc(t_RESP)
    %##### NO CAT before RESHAPE
    VRespERR_VEC	= reshape(VRespERR_MAT,[],1);
    F2_Cmplx        = [F2_Cmplx;                    VRespERR_VEC   ];% R + jI
switch Opt.Optim_Err2
    %------------------------***** 'RI'
    case{'RI','RIAbs','RIAbsSqr'}
	F2Resp_Cmplx	= [F2Resp_Cmplx     sum(Abs_RI( VRespERR_VEC ))];% sum( |R|+j|I| )
    %------------------------
    case{'Abs','AbsSqr'}
	F2Resp_Abs      = [F2Resp_Abs       sum(abs(    VRespERR_VEC ))];% sum( |R + jI| )
    %------------------------
end
    if(nargout > 1)
        Q_RespMTONE{Q,2}{4,nRESP}	= VResp;
        %Q_RespMTONE{Q,2}{8,nRESP}  = VRespERR_MAT;
        disp('UpDates Q_RespMTONE')
    end
end
%######################################################
    %##### CAT ERR before RESHAPE
    %F2 = [reshape(Cat_Func(Q_RespMTONE{Q,2}{4,1},Q_RespMTONE{Q,2}{4,2},'DSB'), [],1); ...
    %      reshape(Cat_Func(Q_RespMTONE{Q,2}{4,3},Q_RespMTONE{Q,2}{4,4},'DSB'), [],1)];
end

%% #################### F2_Real     F2Resp_Cmplx F2Resp_Abs
switch Opt.Optim_Err2
    %------------------------***** 'RI'
    case{'RI','RIAbs','RIAbsSqr'}
             F2Resp_Cmplx   % [ |R|+j|I| ]
        sum( F2Resp_Cmplx ) %   |R|+j|I|
    %------------------------
    case{'Abs','AbsSqr'}
             F2Resp_Abs   % [ abs ]
      	sum( F2Resp_Abs ) %   abs
    %------------------------
end
switch Opt.Optim_Err2
    %------------------------***** 'RI'
    case{'RI'}% BEST ~ act like COMPLEX-ERROR to fit COMPLEX-PARAM
	F2_Real	= Param_Cmplx2Real(         F2_Cmplx  );%       [ R        I   ] abs( F2_Cmplx );
    %------------------------
    case{'RIAbs'}
	F2_Real	= Param_Cmplx2Real(Abs_RI(  F2_Cmplx ));%       [|R|      |I|  ]
    %------------------------
    case{'RIAbsSqr'}% RIAbsSqr too long
	F2_Real	= Param_Cmplx2Real(Abs_RI(  F2_Cmplx )) .^2;%   [|R|^2    |I|^2]
    %------------------------
    case{'Abs'}% Abs didn't optimize
	F2_Real	= abs( F2_Cmplx );%    	[ abs   ]
    %------------------------
    case{'AbsSqr'}% AbsSqr too long
	F2_Real	= abs( F2_Cmplx ) .^2;%	[ abs^2 ]
    %------------------------
end
switch Opt.Optim_Meth
	case{'ga','fminsearch'}
        F2_Real	= sum(abs( F2_Real ));% sum( F2Resp_Abs )
end

%% ####################TEST
if(0)


end