function [Opt] = Buss_XR4_Param2XReal_3b( Opt, x, OptInit)
%Input:     Opt   	= To be Modified
%           x       =   Initial PARAM
%           OptInit	= w/Initial PARAM
%Output:    Opt     = Modified w/Initial PARAM

x0  = Opt.x0;
x0i	= OptInit.x0;
%================================================ x.gN     = [22.1280 - 0.9083i;	-39.4873 + 15.0435i];
if ~isfield(x, 'gN')
    %OrdVEC_IDX = find( Opt.PS.ordVEC == Opt.N )
    %[FlagTF     Even_IDX	Odd_IDX     CoefOrd_Even	CoefOrd_Odd] = IsEven_Func( (3+1 : Opt.N) )
    %    x.gN            = 0 * ones( (Opt.N-3), 1);
    %    x.gN(Odd_IDX)	= Opt.PS.a3( OrdVEC_IDX, 1 + CoefOrd_Odd );
    %    %#####Coef_Even
    %    %x.gN(Even_IDX)	= Opt.PS.a3( OrdVEC_IDX, 1 + CoefOrd_Even+1 );% =Coef_Odd
    %    %x.gN(Even_IDX)	= 0     * ones(size( x.gN(Even_IDX) ));%      	=0
    %    x.gN(Even_IDX)	= x.g2  * ones(size( x.gN(Even_IDX) ));%      	=x.g2
    %-------------------------
	x.gN	= 0             * ones( (Opt.N-3), 1);
    %x.gN	= x.g3          * ones( (Opt.N-3), 1);
	%-------------------------
elseif( length(x.gN) < (Opt.N-3) )
    %OrdVEC_IDX = find( Opt.PS.ordVEC == Opt.N )
    %[FlagTF     Even_IDX	Odd_IDX     CoefOrd_Even	CoefOrd_Odd] = IsEven_Func( (3+1+length(x.gN) : Opt.N) )
        %gN2          	= 0 * ones( (Opt.N-3)-length(x.gN), 1);
        %gN2(Odd_IDX)	= Opt.PS.a3( OrdVEC_IDX, 1 + CoefOrd_Odd );
        %#####Coef_Even = Coef_Odd
        %gN2(Even_IDX)	= Opt.PS.a3( OrdVEC_IDX, 1 + CoefOrd_Even-1 );
        %#####Coef_Even = 0
        %gN2(Even_IDX)	= 0 * ones(size( gN2(Even_IDX) ));
	%-------------------------
	gN2     = 0             * ones( (Opt.N-3)-length(x.gN), 1);
	%gN2    = x.gN(end)     * ones( (Opt.N-3)-length(x.gN), 1)];
	%-------------------------
    x.gN = [x.gN;	gN2];
end
    x.gN% DEBUG
%================================================ x.ZHDN	= [6.7565 + 10.5603i]
if ~isfield(x, 'ZHDN')
  	%x.ZHDN	= 0             * ones( ((Opt.NumHD+1)-(1+2)), 1);
  	x.ZHDN	= 1             * ones( ((Opt.NumHD+1)-(1+2)), 1);
elseif( length(x.ZHDN) < ((Opt.NumHD+1)-(1+2)) )
    ZHDN2   = 0             * ones( ((Opt.NumHD+1)-(1+2)) - length(x.ZHDN), 1);
    %ZHDN2	= x.ZHDN(end)	* ones( ((Opt.NumHD+1)-(1+2)) - length(x.ZHDN), 1);
	%-------------------------
	x.ZHDN	= [x.ZHDN;      ZHDN2];
end
    x.ZHDN% DEBUG
%================================================
%% ########################### Param-Used x.(a1_Mag b1 cg3R dg3 g2-3-N ZDC-HD1-2-N ZHD2_REIO) 
% => Param-Optimized (a1 a ZHD ZHD2_REIO) 
%================================================ a1
switch Opt.Nth_Atmpt{1}% nx0 = #real
	%-------------------------
	case{'a1Mag'}
    x.nx0	= 1;
    a1    	= [	x.a1_Mag                        ];
	%-------------------------
	case{'a1Magb1'}
    x.nx0	= 1;
    a1   	= [	x.a1_Mag;                   x.b1 ];
	%-------------------------
end
x.a1 = a1;
%================================================ a
switch Opt.Nth_Atmpt{2}% nx1 = #real
	%-------------------------
	case{'g2Mag','g2MAGg3_Recalc'}
    x.nx1   = 1;
	a       = [abs(x.g2);           x.g3;               	x.gN];
	%-------------------------
	case{'g2g3','g2g3_Recalc'}
    x.nx1   = 0;
	a       = [x.g2;                x.g3;                	x.gN];
	%-------------------------
end
x.a = a;
%================================================ ZHD
switch Opt.Nth_Atmpt{3}% nx3 = #real, nx4 = #skipped betw real & cmplx
	%-------------------------
	case{'Zf'}
    x.nx3   = 1;    x.nx4 = 0;
    ZHD     = [ x.ZDC;   	x.ZHD1;      	x.ZHD2;             x.ZHDN];
    %ZHD	= [	x.ZDC;    	x.ZHD1;     	-0.312 + 2.9i;      -4.32 - 26.470i];
	%-------------------------
end
x.ZHD = ZHD;
%================================================ ZBreio + ZHD2roie
switch Opt.Nth_HD2band
    %-------------------------
	case{'ZHD2_Flat','ZHD2_NO_REIO','ZHD2_REIO'}
        switch Opt.ZBre_ZHD2ie
            case{'ZBreZHD2ie'}
                %=====DIFF
                %ZBreio_ZHD2roie 	= [ real(x.ZBreio	- x0.ZB_Const); ...
                %                       imag(x.ZHD2roie	- x0.ZHD2roie_Const) ];
                %=====VALUE
                ZBreio_ZHD2roie 	= [ real(x.ZBreio); ...
                                        imag(x.ZHD2roie) ];
            otherwise% case{'ZBreioZHD2roie'}
                %=====DIFF
                %ZBreio_ZHD2roie	= [	(x.ZBreio       - x0.ZB_Const); ...
                %                       (x.ZHD2roie     - x0.ZHD2roie_Const) ];
                %=====VALUE
                ZBreio_ZHD2roie     = [ (x.ZBreio); ...
                                        (x.ZHD2roie) ];
        end
    %-------------------------
	case{'No'}
        %ZBreio_ZHD2roie	= [];
        switch Opt.ZBre_ZHD2ie
            case{'ZBreZHD2ie'}
                %=====DIFF
                %ZBreio_ZHD2roie	= real(x.ZBreio	- x0.ZB_Const);
                %=====VALUE
                ZBreio_ZHD2roie     = real(x.ZBreio);
            otherwise% case{'ZBreioZHD2roie'}
                %=====DIFF
                %ZBreio_ZHD2roie	=	(x.ZBreio       - x0.ZB_Const);
                %=====VALUE
                ZBreio_ZHD2roie     = (x.ZBreio);
        end
    %-------------------------
end
x.ZBreio_ZHD2roie = ZBreio_ZHD2roie;
%================================================ ZHD2_REIO
switch Opt.Nth_HD2band
    %-------------------------
	case{'ZHD2_Flat','ZHD2_NO_REIO'}
        if ~isfield(x, 'ZHD2reio')
            x.ZHD2reio	= 0;
        elseif(length(x.ZHD2reio) > 1)
            x.ZHD2reio	= x.ZHD2reio(1);
        end
    %-------------------------
	case{'ZHD2_REIO'}
        if ~isfield(x, 'ZHD2reio')
            x.ZHD2reio	=         	  zeros( size( x0.ZHD2roie_Var_Interp ) );
        elseif(length(x.ZHD2reio) == 1)
            x.ZHD2reio	= x.ZHD2reio * ones( size( x0.ZHD2roie_Var_Interp ) );
        elseif(length( x.ZHD2reio ) ~= length( x0.ZHD2roie_Var_Interp ))
            x.ZHD2reio = Interp1_Func( x0i.f_2fcBENV_SSB, x.ZHD2reio, x0.f_2fcBENV_SSB, ...
                            struct('xScale','xLOG', 'yFormat','RI', 'Meth','linear'), ...
                            [[0 0 0];[0 0 0]]);%, PlotOpt
        end
    %-------------------------
	%case{'No'}
        %ZHD(3)      = ZHD(3);
    %-------------------------
end
%================================================
Opt.x = x;

%% ########################### Param-Optimized => Cmplx
xCmplx = [];                                   	Opt.xCmplxOffset = [0];                                     Opt.Nth_AtmptCNT = 0;
%================================================ a1
xCmplx = [xCmplx;	a1];                        Opt.xCmplxOffset = [Opt.xCmplxOffset	length(xCmplx)];	Opt.Nth_AtmptCNT = Opt.Nth_AtmptCNT + 1;
%================================================ a
xCmplx = [xCmplx;	a(1:Opt.N-1)];              Opt.xCmplxOffset = [Opt.xCmplxOffset	length(xCmplx)];    Opt.Nth_AtmptCNT = Opt.Nth_AtmptCNT + 1;
%================================================ ZBHD2_Scale
switch Opt.Nth_Atmpt{2}
	%-------------------------
	case{'g2Mag','g2g3'}
        xCmplx	= [xCmplx;	x.ZBHD2_Scale];
	%-------------------------
	case{'g2MAGg3_Recalc','g2g3_Recalc'}
        %xCmplx	= [xCmplx;	[]];
	%-------------------------
end
	Opt.xCmplxOffset = [Opt.xCmplxOffset	length(xCmplx)];    Opt.Nth_AtmptCNT = Opt.Nth_AtmptCNT + 1;
%================================================ ZHD
xCmplx = [xCmplx;	ZHD(1:(Opt.NumHD+1))];   	Opt.xCmplxOffset = [Opt.xCmplxOffset	length(xCmplx)];    Opt.Nth_AtmptCNT = Opt.Nth_AtmptCNT + 1;
%================================================ ZBreio + ZHD2roie
xCmplx = [xCmplx;	ZBreio_ZHD2roie];         	Opt.xCmplxOffset = [Opt.xCmplxOffset	length(xCmplx)];    Opt.Nth_AtmptCNT = Opt.Nth_AtmptCNT + 1;
%================================================ ZHD2_REIO
switch Opt.Nth_HD2band
    %-------------------------
    case{'ZHD2_Flat','ZHD2_NO_REIO','ZHD2_REIO'}
xCmplx = [xCmplx;	x.ZHD2reio];                Opt.xCmplxOffset = [Opt.xCmplxOffset	length(xCmplx)];    Opt.Nth_AtmptCNT = Opt.Nth_AtmptCNT + 1;
    %-------------------------
end
%================================================
%% ########################### xCmplx => xReal
	xReal = [];                     Opt.xRealOffset = [0];
for nx = 1 : Opt.Nth_AtmptCNT
    disp('%-------------------------');
    nxSTART     = Opt.xCmplxOffset(nx) + 1;
    nxSTOP      = Opt.xCmplxOffset(nx+1);
if(nxSTOP >= nxSTART)
	Cmplx_Temp	= xCmplx(nxSTART : nxSTOP);
    switch nx
        %================================================ a1
        case{1}
        [nxSTART nxSTOP]% DEBUG
        Real_Temp	= [               	Cmplx_Temp(1        :x.nx0); ...
        Reshape_Func(Param_Cmplx2Real(	Cmplx_Temp(x.nx0+1	:end) ), zeros(2,1))]
        %================================================ a
        case{2}
        Real_Temp	= [               	Cmplx_Temp(1        :x.nx1); ...
                    Param_Cmplx2Real(	Cmplx_Temp(x.nx1+1	:end) )];
        %================================================ ZBHD2_Scale
        case{3}
        switch Opt.Nth_Atmpt{4}
            %-------------------------
            case{'Real'}
                Real_Temp	= [            real( Cmplx_Temp )];
            %-------------------------
            case{'Cmplx'}
                Real_Temp	= [Param_Cmplx2Real( Cmplx_Temp )];
            %-------------------------
        end
        %================================================ ZHD
        case{4}
        Real_Temp	= [               	Cmplx_Temp(1                :x.nx3); ...
                    Param_Cmplx2Real(	Cmplx_Temp(x.nx3+1+x.nx4	:end) )];
        %================================================ ZBreio + ZHD2roie
        case{5}
        switch Opt.ZBre_ZHD2ie
            case{'ZBreZHD2ie'}
                Real_Temp	= [                  Cmplx_Temp  ];
            otherwise
                Real_Temp	= [Param_Cmplx2Real( Cmplx_Temp )];
        end
        %================================================ ZHD2_REIO
        case{6}
        Real_Temp	= [Param_Cmplx2Real( Cmplx_Temp )];
        %================================================
    end
else
        Real_Temp	= [];
end
    %xReal% DEBUG
    %Real_Temp% DEBUG
    if( DimFlip_Func(xReal) ~= DimFlip_Func(Real_Temp) )
       	Real_Temp	= Reshape_Func(Real_Temp, [1;1]);% into COL-vec
    end
	xReal = [xReal; Real_Temp];     Opt.xRealOffset = [Opt.xRealOffset	length(xReal)];
end
Opt.xReal_0 = xReal;

%%
if(0)

end