function [  b1      InputNumCEL     aNumCEL     zxNumQMIX ...
            y          ] = Buss_XR4_XReal2zxNumQMIX_3b( xReal, Opt, ...
    InputSymCEL, ...%Q_RespMTONE, 
    Opt_Disp)

x0  = Opt.x0;
x   = Opt.x;
%% ########################### xReal => xCmplx => Param-Optimized (a1 a ZHD ZHD2_REIO) 
	xCmplx = [];
for nx = 1 : Opt.Nth_AtmptCNT
    nxSTART     = Opt.xRealOffset(nx) + 1;
    nxSTOP      = Opt.xRealOffset(nx+1);
if(nxSTOP >= nxSTART)
	Real_Temp	= xReal(nxSTART	: nxSTOP);
    switch nx
        %================================================ a1
        case{1}
        Cmplx_Temp	= [              	Real_Temp(1         :x.nx0); ...
                    Param_Real2Cmplx(   Real_Temp(x.nx0+1	:end) )];
        %================================================ a
        case{2}
        Cmplx_Temp	= [              	Real_Temp(1         :x.nx1); ...
                    Param_Real2Cmplx(   Real_Temp(x.nx1+1	:end) )];
        %================================================ ZBHD2_Scale
        case{3}
        switch Opt.Nth_Atmpt{4}
            case{'Real'}
                Cmplx_Temp	= [                  Real_Temp  ];
            case{'Cmplx'}
                Cmplx_Temp	= [Param_Real2Cmplx( Real_Temp )];
        end
        %================================================ ZHD
        case{4}
        Cmplx_Temp	= [                 Real_Temp(1     	:x.nx3); ...
                                        zeros(x.nx4, 1); ...
                    Param_Real2Cmplx(   Real_Temp(x.nx3+1	:end) )];
        %================================================ ZBreio + ZHD2roie
        case{5}
        switch Opt.ZBre_ZHD2ie
            case{'ZBreZHD2ie'}
                Cmplx_Temp	= [                  Real_Temp  ];
            otherwise
                Cmplx_Temp	= [Param_Real2Cmplx( Real_Temp )];
        end
        %================================================ ZHD2_REIO
        case{6}
        Cmplx_Temp	= [Param_Real2Cmplx( Real_Temp )];
        %================================================
    end
	xCmplx = [xCmplx; Cmplx_Temp];
    switch nx
        %================================================ a1
        case{1}
        a1          = Cmplx_Temp;
        %================================================ a
        case{2}
        a       	= Cmplx_Temp;
        %================================================ ZBHD2_Scale
        case{3}
        y.ZBHD2_Scale = Cmplx_Temp;
        %================================================ ZHD
        case{4}
        ZHD       	= Cmplx_Temp;
        %================================================ ZBreio + ZHD2roie
        case{5}
switch Opt.Nth_HD2band
    %-------------------------
	case{'ZHD2_Flat','ZHD2_NO_REIO','ZHD2_REIO'}
        switch Opt.ZBre_ZHD2ie
            %-------------------------
            case{'ZBreZHD2ie'}
                %=====DIFF
                %y.ZBreio 	=   Cmplx_Temp(1)	+      	 x0.ZB_Const;
                %y.ZHD2roie	= j*Cmplx_Temp(2)	+        x0.ZHD2roie_Const;
                %=====VALUE
                y.ZBreio 	=   Cmplx_Temp(1) 	+ j*imag(x0.ZB_Const);
                y.ZHD2roie	= j*Cmplx_Temp(2)   +   real(x0.ZHD2roie_Const);
            %-------------------------
            otherwise% case{'ZBreioZHD2roie'}
                %=====DIFF
                %y.ZBreio 	=   Cmplx_Temp(1)	+      	 x0.ZB_Const;
                %y.ZHD2roie	= 	Cmplx_Temp(2)	+        x0.ZHD2roie_Const;
                %=====VALUE
                y.ZBreio 	=   Cmplx_Temp(1);
                y.ZHD2roie	=   Cmplx_Temp(2);
            %-------------------------
        end
    %-------------------------
	case{'No'}
        switch Opt.ZBre_ZHD2ie
            %-------------------------
            case{'ZBreZHD2ie'}
                %=====DIFF
                %y.ZBreio 	=   Cmplx_Temp(1)	+      	 x0.ZB_Const;
                %=====VALUE
                y.ZBreio 	=   Cmplx_Temp(1) 	+ j*imag(x0.ZB_Const);
            %-------------------------
            otherwise% case{'ZBreioZHD2roie'}
                %=====DIFF
                %y.ZBreio 	=   Cmplx_Temp(1)	+      	 x0.ZB_Const;
                %=====VALUE
                y.ZBreio 	=   Cmplx_Temp(1);
            %-------------------------
        end
    %-------------------------
end
        %================================================ ZHD2_REIO
        case{6}
        switch Opt.Nth_HD2band
            %-------------------------
            case{'ZHD2_Flat','ZHD2_NO_REIO','ZHD2_REIO'}
                y.ZHD2reio	= Cmplx_Temp;
            %-------------------------
        end
        %================================================
    end
end
end
        switch Opt.Nth_HD2band
            %-------------------------
            case{'No'}
                y.ZHD2reio	= 0;
            %-------------------------
        end
%================================================
format short eng
    disp('%-------------------------');
if exist('a1','var')
 	a1% DEBUG
end
if isfield(y, 'ZBHD2_Scale')
    y.ZBHD2_Scale
end
if(Opt_Disp) 
    a% DEBUG
	ZHD% DEBUG
end
    y.ZBreio% DEBUG
switch Opt.Nth_HD2band
	%-------------------------
	case{'ZHD2_Flat','ZHD2_NO_REIO','ZHD2_REIO'}
        y.ZHD2roie% DEBUG
        y.ZHD2reio% DEBUG
	%-------------------------
end
format short
%% ########################### Param-Optimized (a1 a ZHD ZHD2_REIO) ...
% => Param-Used x.(a1_Mag b1 cg3R dg3 g2-3-N ZDC-HD1-2-N ZHD2_REIO) 
% x0 = UnOptimized Var
%================================================ ZHD
switch Opt.Nth_Atmpt{3}
	%-------------------------
	case{'Zf'}
        Zf1f2_DSB	= ZHD(2) * x0.S21_PhaRI;% Better and Faster than x0.S21_Var * ZHD(2)
	%-------------------------
    otherwise disp('Unknown Opt.Nth_Atmpt{3}');
end
%================================================ a1
switch Opt.Nth_Atmpt{1}
	%-------------------------
	case{'a1Mag'}
        a1_Mag      = a1(1);
        b1          = x0.S21_Const / (a1_Mag * ZHD(2))
	%-------------------------
	case{'a1Magb1'}
        a1_Mag      = a1(1);
        b1          = a1(2);
	%-------------------------
	otherwise disp('Unknown Opt.Nth_Atmpt{1}');
end
    y.a1_Mag        = a1_Mag;
    y.b1            = b1;
%================================================ a
switch Opt.Nth_Atmpt{2}
	%-------------------------
	case{'g2Mag','g2MAGg3_Recalc'}
        g2_Mag	= a(1);
        g3      = a(2);
	g2	= g2_Mag * (x0.g2/abs(x0.g2)) * x0.g2_PhaFct(1); %???????????? g2_PhaFct(1)
    %##### 'g2Mag': reuse x0.ZB_Var x0.ZHD2roie_Var, need dg22
	%dg22 = (g2_Mag / abs(x0.g2)) ^2;% correction made converg faster
	%-------------------------
	case{'g2g3','g2g3_Recalc'}
        g2      = a(1);
        g3      = a(2);
    %##### 'g2g3': reuse x0.ZB_Var x0.ZHD2roie_Var, need dg22
	%dg22 = (abs( g2 ) / abs(x0.g2)) ^2;% correction made converg faster
	%-------------------------
    otherwise disp('Unknown Opt.Nth_Atmpt{2}');
end
	aNumVEC	= [0; g2; g3; a(3:end)];
	y.g2	= g2;
    y.g3 	= g3;
%================================================ HD2-band
switch Opt.Nth_Atmpt{2}
	%--------------------------------------------------
	case{'g2Mag','g2g3'}
    	switch Opt.Nth_HD2band
            %-------------------------
            case{'ZHD2_Flat'}
            ZHD2_ROIE	= y.ZHD2roie * ones(size( x0.ZHD2roie_Var_Interp ));
            %-------------------------
            case{'ZHD2_NO_REIO','ZHD2_REIO'}
            ZHD2_ROIE	= y.ZHD2roie + x0.ZHD2roie_Var_Interp;
            %ZHD2_ROIE	= y.ZHD2roie + (1/dg22 * x0.ZHD2roie_Var_Interp);
            %ZHD2_DSB	= Cat_ReoIeoDSB({                               },0);
            %-------------------------
        end
        ZHD2_DSB	= y.ZBHD2_Scale * ...%1/dg22 * 
                 	Cat_ReoIeoDSB({	real(y.ZHD2reio) ...
                                 	real(ZHD2_ROIE) ...
                                  	imag(ZHD2_ROIE) ...
                                  	imag(y.ZHD2reio)     },0);
	%--------------------------------------------------
	case{'g2MAGg3_Recalc','g2g3_Recalc'}
        [Y]	= Buss_XR4_N3Estim_LLSQ2('Iter', Opt, x0, y, Zf1f2_DSB, 0);
        ZHD2_DSB	= Cat_ReoIeoDSB({   real(y.ZHD2reio) ...
                                        real(Y.ZHD2_ROIE_Interp) ...
                                        imag(Y.ZHD2_ROIE_Interp) ...
                                        imag(y.ZHD2reio)     },0);
	%--------------------------------------------------
end
%================================================ Env-band
switch Opt.Nth_Atmpt{2}
	%-------------------------
	case{'g2Mag','g2g3'}
        %ZB_SSB	= (y.ZBreio + (1/dg22 * x0.ZB_Var_Interp)) - (y.ZHD2reio/2);
        ZB_SSB	= y.ZBHD2_Scale * ...%1/dg22 * 
                    (y.ZBreio + x0.ZB_Var_Interp - (y.ZHD2reio/2));
	%-------------------------
	case{'g2MAGg3_Recalc','g2g3_Recalc'}
        ZB_SSB	= Y.ZB_SSB_Interp;
	%-------------------------
end
%================================================

%% ########################### Param-Used => InputNumCEL, aNumCEL, zxNumQMIX
format short eng
    disp('%-------------------------');
if(Opt_Disp) 
    a1_Mag% DEBUG
    b1% DEBUG
end
    [aNumVEC    Lin2MA_MA( aNumVEC )]% DEBUG
	[ZHD        Lin2MA_MA( ZHD )]% DEBUG
format short
%================================================
    for nCEL = 1 : length(InputSymCEL)
        InputNumCEL{nCEL} = a1_Mag * ones([1 length(InputSymCEL{nCEL})]);
    end
%-------------------------
aNumCEL = SYMvec2SYMcel( aNumVEC );
    if(length(aNumVEC) ~= Opt.N)
        sprintf('length(x2a) %d ~= %d Opt.N',length(aNumVEC),Opt.N)
        pause
    end
%-------------------------
zxNumQMIX = SYMvec2SYMcel( ZHD.' );
    zxNumQMIX{2,1} = ZB_SSB;
    zxNumQMIX{2,2} = Zf1f2_DSB;
    switch Opt.Nth_HD2band
        %-------------------------
        case{'No'}
            zxNumQMIX{2,3} = [];
        %-------------------------
        otherwise
            zxNumQMIX{2,3} = [ZHD2_DSB(1:length(ZHD2_DSB)/2);       ZHD(3);      ZHD2_DSB(length(ZHD2_DSB)/2+1:end)];
        %-------------------------
    end
    for n = (1+2)+1 : (Opt.NumHD+1)
        zxNumQMIX{2,n} = [];
    end
%================================================
if(Opt_Disp) 
    disp('%-------------------------');
	InputNumCEL{:}
	aNumCEL
	zxNumQMIX
end
if(nargout > 4)
    %-------------------------
    %y.a1_Mag
    %y.b1
	%y.g2
    %y.g3
    %y.ZBHD2_Scale
    y.gN        = aNumVEC(4:end);
    y.ZDC       = ZHD(1);
    y.ZHD1      = ZHD(2);
    y.ZHD2      = ZHD(3);
    y.ZHDN      = ZHD(4:end);
    %y.ZBreio
    %y.ZHD2roie
    %y.ZHD2reio
    %-------------------------
if exist('a1','var')
  	y.a1        = a1;
end
    y.a         = a;
    y.ZHD       = ZHD;
    y.ZB_SSB_Interp     = ZB_SSB;
    y.Zf1f2_DSB         = Zf1f2_DSB;
switch Opt.Nth_HD2band
	%-------------------------
	case{'ZHD2_Flat','ZHD2_NO_REIO','ZHD2_REIO'}
    y.ZHD2_DSB_Interp	= ZHD2_DSB;
	%-------------------------
end
    y.zxNumQMIX       	= zxNumQMIX;
    %-------------------------
end
%%
if(0)
    
end