function [] = Write_MemModel_MDF(Indep_Var, Block_DepVar, ...
    File_Save, Opt_Precision )
%Opt_DataType, a_1, order, 
fid = fopen(File_Save, 'w')

if ~exist('Opt_Precision', 'var')% (length(Opt_Precision) < 1)
    Opt_Precision = '%16.15e '
else
    Opt_Precision = [Opt_Precision ' ']
end

%switch Opt_DataType
%% ############################### write PwrSeriesCoeff .MDF
%    case {'PS'}
        %++++++++++++++++++++++
        nINDEP = size(Indep_Var,2);
        IndepVar_Count = ones(1, nINDEP);
        REM_STR = ['REM ' num2str(nINDEP) ' Indep_Var: '];
        for nSTR = 1 : nINDEP
            REM_STR = [REM_STR Indep_Var{1,nSTR} '(' num2str(Indep_Var{2,nSTR}) ') '];
        end
        fprintf(fid, [REM_STR '\n']);
        %++++++++++++++++++++++
        for nBLK = 1 : size(Block_DepVar, 2)
            Dep_Var = Block_DepVar{2,nBLK};
            REM_STR = ['REM ' Block_DepVar{1,nBLK} ': ' num2str(size(Dep_Var,2)) ' Dep_Var: '];
            DepVar_str = '';
        for nSTR = 1 : size(Dep_Var, 2)
            DepVar_str = [DepVar_str Dep_Var{1,nSTR} '(' num2str(Dep_Var{2,nSTR}) ') '];
        end
            DepVar_strVEC{nBLK} = DepVar_str;
            fprintf(fid, [REM_STR DepVar_str '\n']);
            %fprintf(fid, 'REM #*2 depVars: a1(3), ..., a#(3) \n');      % a1_real(0),a1_imag(0), ..., a#_real(0),a#_imag(0)
            %fprintf(fid, 'REM 1 datanode w/attribute: ATTEN(0) \n\n');
        end
        fprintf(fid, '\n');

Flag_finish = 0;
for nIND = 1 : nINDEP-1
    IndepVar_Value = Indep_Var{3,nIND}(IndepVar_Count(nIND));
	IndepVar_STR{nIND} = ['VAR ' Indep_Var{1,nIND} '(' num2str(Indep_Var{2,nIND}) ') = ' num2str(IndepVar_Value)];
for nBLK = 1 : size(Block_DepVar,2)
%##############################################################
	Dep_Var = Block_DepVar{2,nBLK};
    %++++++++++++++++++++++
    for n_1 = 1 : size(IndepVar_STR,1)
        fprintf(fid, [IndepVar_STR{n_1} '\n']);
    end
    Block_Str = ['BEGIN ' Block_DepVar{1,nBLK}];
	fprintf(fid, [Block_Str '\n']);
	%fprintf(fid, 'BEGIN polynom_coeff \n');
	%fprintf(fid, '  # ATTEN(0) = 20 \n');
    %++++++++++++++++++++++
	Var_str = ['  %% ' Indep_Var{1,end} '(' num2str(Indep_Var{2,end}) ') '];
	fprintf(fid, [Var_str  DepVar_strVEC{nBLK} '\n']);
	%fprintf(fid, '  %% poly_ord(0)');
	%fprintf(fid, ' a%d(3)',n1_file);
	%fprintf(fid, ' a%d(1) a%d_deg(1)',n1_file,n1_file);
	%fprintf(fid, ' a%d(1) a%d_td(1)',n1_file,n1_file);
    for n_Inner = 1 : size(Indep_Var{3,end},1)
%###############################
switch Indep_Var{2,end}
	case {0}%int
                fprintf(fid, '%d ', Indep_Var{3,end}(n_Inner));
	case {1}%real
            if (Indep_Var{3,end}(n_Inner) == 0)
                fprintf(fid, '0 ');
            else
                fprintf(fid, Opt_Precision, Indep_Var{3,end}(n_Inner));
            end
    case {3}%complex
            if (Indep_Var{3,end}(n_Inner) == 0)
                fprintf(fid, '0 0 ');
            else
                fprintf(fid, [strcat(repmat(Opt_Precision,[1 2])) ' '], ...
                            real(Indep_Var{3,end}(n_Inner)), ...
                            imag(Indep_Var{3,end}(n_Inner)));
            end
    otherwise
        disp('unknown data type');
end
%###############################
        %fprintf(fid, '  %d ',Indep_Var{3,end}(n_Inner));
        %fprintf(fid, '  %d', order(n2_file));
        for n_Dep = 1 : size(Dep_Var,2)
%###############################
switch Dep_Var{2,n_Dep}
	case {0}%int
                fprintf(fid, '%d ', Dep_Var{3,n_Dep}(n_Inner));
	case {1}%real
            if (Dep_Var{3,n_Dep}(n_Inner) == 0)
                fprintf(fid, '0 ');
            else
                fprintf(fid, Opt_Precision, Dep_Var{3,n_Dep}(n_Inner));
            end
    case {3}%complex
            if (Dep_Var{3,n_Dep}(n_Inner) == 0)
                fprintf(fid, '0 0 ');
            else
                fprintf(fid, [strcat(repmat(Opt_Precision,[1 2])) ' '], ...
                            real(Dep_Var{3,n_Dep}(n_Inner)), ...
                            imag(Dep_Var{3,n_Dep}(n_Inner)));
                %fprintf(fid, ' %10.9e %7.6e',...a_1_mag(n2_file,n1_file),a_1_deg(n2_file,n1_file));
                %fprintf(fid, ' %10.9e %10.9e',a_1_mag(n2_file,n1_file),a_1_delay(n2_file,n1_file));
            end
    otherwise
        disp('unknown data type');
end
%###############################
        end
        fprintf(fid, '\n');
    end
    %++++++++++++++++++++++
    Block_Str = 'END';
	fprintf(fid, [Block_Str '\n\n']);
%##############################################################
end
	IndepVar_Count(end-1) = IndepVar_Count(end-1) + 1
	for n_Indep2 = nINDEP-1 : -1 : 1
        if (IndepVar_Count(n_Indep2) > size(Indep_Var{3,n_Indep2},1))
            if (n_Indep2-1 < 1)
                Flag_finish = 1
            else
                IndepVar_Count(n_Indep2) = 1;
                IndepVar_Count(n_Indep2-1) = IndepVar_Count(n_Indep2-1) + 1;
            end
        end
    end
    IndepVar_Count
    if Flag_finish
        break
    end
end

%% ###############################
%        fprintf_MDF(fid, Indep_Var{3,end}(n_Inner), Indep_Var{2,end}, Opt_Precision);
%            fprintf_MDF(fid, Dep_Var{3,n_Dep}(n_Inner), Dep_Var{2,n_Dep}, Opt_Precision);
function [] = fprintf_MDF(fid_in, Val, Val_type, Opt_Precision)
switch Val_type
	case {0}%int
                fprintf(fid_in, '%d ', Val);
	case {1}%real
            if (Val == 0)
                fprintf(fid_in, '0 ');
            else
                fprintf(fid_in, Opt_Precision, Val);
            end
    case {3}%complex
            if (Val == 0)
                fprintf(fid_in, '0 0 ');
            else
                fprintf(fid_in, [strcat(repmat(Opt_Precision,[1 2])) ' '], ...
                            real(Val), ...
                            imag(Val));
                %fprintf(fid_in, ' %10.9e %7.6e',...a_1_mag(n2_file,n1_file),a_1_deg(n2_file,n1_file));
                %fprintf(fid_in, ' %10.9e %10.9e',a_1_mag(n2_file,n1_file),a_1_delay(n2_file,n1_file));
            end
    otherwise
        disp('unknown data type');
end
%###############################

fclose(fid);
%end
%% Test
if(0)

%%############################### write LSNA .MDF
%    case {'LSNA'}
File_Save = fullfile(Path_LSNA_Data, [DUT '.mdf'])
dlmwrite(File_Save,'REM 4 indepVar: df_BB(0), Pha1_List(0), Pha2_List(0), Pin_idx(0)=inner most', 'delimiter','', 'newline','unix')
dlmwrite(File_Save,'REM 8*2 depVars: a1_im3l(3), a1_f1(3), a1_f2(3), a1_im3h(3), b2_im3l(3), b2_f1(3), b2_f2(3), b2_im3h(3)', 'delimiter','', 'newline','unix', '-append')
dlmwrite(File_Save,' ', 'delimiter','', 'newline','unix', '-append')
for n1_file = 1 : 1%length(LSNA_IM3.df_BB)
    dlmwrite(File_Save,['VAR df_BB(0) = ' num2str(LSNA_IM3.df_BB(n1_file))], 'delimiter','', 'newline','unix', '-append')
for n2_file = 1 : 1%length(LSNA_IM3.Pha1_List)
    dlmwrite(File_Save,['VAR Pha1_List(0) = ' num2str(LSNA_IM3.Pha1_List(n2_file))], 'delimiter','', 'newline','unix', '-append')
for n3_file = 1 : 1%length(LSNA_IM3.Pha2_List)
    dlmwrite(File_Save,['VAR Pha2_List(0) = ' num2str(LSNA_IM3.Pha2_List(n3_file))], 'delimiter','', 'newline','unix', '-append')
    dlmwrite(File_Save,'BEGIN LSNA', 'delimiter','', 'newline','unix', '-append')
    dlmwrite(File_Save,['% Pin_idx(0) a1_im3l(3) a1_f1(3) a1_f2(3) a1_im3h(3) ' ...
                                     'b2_im3l(3) b2_f1(3) b2_f2(3) b2_im3h(3)'], ...
                        'delimiter','', 'newline','unix', '-append')
    %dlmwrite(File_Save,['% Pin_idx(0) a1_im3l_real(1) a1_im3l_imag(1) a1_f1_real(1) a1_f1_imag(1) a1_f2_real(1) a1_f2_imag(1) a1_im3h_real(1) a1_im3h_imag(1)' ...
    %                                 'b2_im3l_real(1) b2_im3l_imag(1) b2_f1_real(1) b2_f1_imag(1) b2_f2_real(1) b2_f2_imag(1) b2_im3h_real(1) b2_im3h_imag(1)'], ...
    %                    'delimiter','', 'newline','unix', '-append')
dlmwrite(File_Save,[(1:length(LSNA_IM3.a1_im3l)).', ...
                    real(squeeze( LSNA_IM3.a1_im3l(n1_file,n2_file,n3_file,:) )),   imag(squeeze( LSNA_IM3.a1_im3l(n1_file,n2_file,n3_file,:) )), ...
                    real(squeeze( LSNA_IM3.a1_f1(n1_file,n2_file,n3_file,:) )),     imag(squeeze( LSNA_IM3.a1_f1(n1_file,n2_file,n3_file,:) )), ...
                    real(squeeze( LSNA_IM3.a1_f2(n1_file,n2_file,n3_file,:) )),     imag(squeeze( LSNA_IM3.a1_f2(n1_file,n2_file,n3_file,:) )), ...
                    real(squeeze( LSNA_IM3.a1_im3h(n1_file,n2_file,n3_file,:) )),	imag(squeeze( LSNA_IM3.a1_im3h(n1_file,n2_file,n3_file,:) )), ...
                    real(squeeze( LSNA_IM3.b2_im3l(n1_file,n2_file,n3_file,:) )),   imag(squeeze( LSNA_IM3.b2_im3l(n1_file,n2_file,n3_file,:) )), ...
                    real(squeeze( LSNA_IM3.b2_f1(n1_file,n2_file,n3_file,:) )),     imag(squeeze( LSNA_IM3.b2_f1(n1_file,n2_file,n3_file,:) )), ...
                    real(squeeze( LSNA_IM3.b2_f2(n1_file,n2_file,n3_file,:) )),     imag(squeeze( LSNA_IM3.b2_f2(n1_file,n2_file,n3_file,:) )), ...
                    real(squeeze( LSNA_IM3.b2_im3h(n1_file,n2_file,n3_file,:) )),	imag(squeeze( LSNA_IM3.b2_im3h(n1_file,n2_file,n3_file,:) ))], ...
                    'delimiter','\t', 'newline','unix', 'precision','%12.9e', '-append')
    dlmwrite(File_Save,'END', 'delimiter','', 'newline','unix', '-append')
    dlmwrite(File_Save,' ', 'delimiter','', 'newline','unix', '-append')
end
end
end

end