function [ SymVEC ] = SYMcel2SYMvec( SymCEL )

if isa(SymCEL{1}, 'sym')% CANNOT replace w/ cell2mat
%---------------------------------------------- SymCEL{nCEL}: Col/Row VEC
    SymVEC = [];
	for nCEL = 1 : length( SymCEL )
        if(length( SymCEL{nCEL} ) > 1)% ok for VEC (if MAT, either Row/Col-length ok)
            SymVEC = Cat_Func( Reshape_Func(SymVEC, SymCEL{nCEL}),	SymCEL{nCEL});% CAT-Dir follow 1st input
        else
            SymVEC = [SymVEC	SymCEL{nCEL}];
        end
    end
%----------------------------------------------
else
    SymVEC =  cell2mat( SymCEL );
%----------------------------------------------
end

%% ######################################## TEST
if (0)
    
        %##### problem: last element placed 1st
        SymVEC = Cat_Func( SymCEL{nCEL}, SymVEC );% CAT-Dir follow 1st input
    %SymVEC = sym( zeros(size(SymCEL)) );
        %SymVEC(nCEL) = SymCEL{nCEL};
        
end
