function [z] = plotsym_h(SymChar, ExprChar, VecCEL, f) 
%f:     x-axis variable not used in simulation, for checking parameter length
%VecCEL: cell of parameters, length(1,length(f))

%% ########## 
FuncHandle   	= eval(['@(' SymChar ') ' ExprChar]);   % KEEP NAME FuncHandle
FuncHandle_str	= 'FuncHandle(';                        % KEEP NAME FuncHandle

for nPARAM = 1 : length(VecCEL)% #Sym
%###########################
switch length( VecCEL{nPARAM} )
 	case {1}
        FuncHandle_str = [FuncHandle_str 'VecCEL{' num2str(nPARAM) '},' ];
	case {length(f)}
      	FuncHandle_str = [FuncHandle_str 'VecCEL{' num2str(nPARAM) '}(nFreq),' ];% KEEP NAME nFreq
    otherwise
      	disp(['VecCEL(' int2str(nPARAM) ') of Non-Conforming length']);
end
%###########################
end
%end-1 RIDOF of LAST ','
FuncHandle_str = [FuncHandle_str(1:end-1) ')'];

for nFreq = 1 : length(f)% KEEP NAME nFreq
    z(nFreq) = eval(FuncHandle_str);
end


%% scrap
if(0)
    
SymChar = findsym(Resp{1,3}(3,1))% Resp{1,3}(5,1)
    %A, Kg2, Kg3, ZB_, Zf, Zf_, Zhd2
    %A, Kg2, Kg3, Kg4, Kg5, Z0, ZB_, Zf, Zf_, Zhd2, Zhd2_, Zhd3
ExprChar = char(Resp{1,3}(3,1))% Resp{1,3}(5,1)
    %-1/4*A^3*Zf^3*Zf_*(-4*ZB_*Kg2^2-2*Zhd2*Kg2^2+3*Kg3)
VecCEL = {1, 2, 3, H3l_VSA(:,1), 1, 1, 1};
f = VSA_IM3.df_BB;


end