function [Err] = Plot_HYBLsq_PopErr2( Err_GA, FunEval_GA, Time_GA, ...
    FileNam_GA, FileNam_HYB, PATH,      GenStart, NumConsecGen, NumBestSoln, Err_Tol, ...
    Opt_Plot, FigVEC, Mark)

FileSav_HYB     = fullfile(PATH.MatlabSave, [FileNam_HYB '.mat'])
    whos('-file', FileSav_HYB);
    load(FileSav_HYB, 'State_HYBRID');

[NumGen_  NumBestSoln_]	= size(State_HYBRID);
	NumBestSoln = min([NumBestSoln      NumBestSoln_]);
NumParam = size(State_HYBRID(1,1).Population, 2);
    %NumParam	= size(State_HYBRID(1).Pop0, 2)
    %NumParam	= size(State_HYBRID(1,1).PopIter, 2)

[NumBestSoln_   NumGen_     NumBestSoln     0       NumParam]
%% ###############
Err     = {[]};
FunEval = {[]};
    FunEval_CUM = {[]};   FunEval_TOT = {[]};
    FunEvalCOUNT = 0;
%Iter    = zeros(NumBestSoln, NumGen);% plot matrix COL
%Time    = zeros(NumBestSoln, NumGen);% plot matrix COL
%    Time_CUM    = zeros(NumBestSoln, NumGen);% plot matrix COL
%    TimeCOUNT   = 0;
x       = {[]};

    Err_Min         = 1e9;% Min seen upto the current HYB_Gen
    Gen             = GenStart;
    ConsecGenCOUNT  = 0;
while ((ConsecGenCOUNT < NumConsecGen) && (Gen <= NumGen_))
%------------------------------------------------
for nsoln = 1 : NumBestSoln
    %----------------------
    Err{Gen}(nsoln)  	= State_HYBRID(Gen,nsoln).Score;% already in order of ScoreSortIDX in StateSave
    FunEval{Gen}(nsoln)	= State_HYBRID(Gen,nsoln).Output.funcCount;
    % FunEvalCOUNT accum COL (Inner Loop @each Gen)
    % stop after some adap# of solns: #Best / Selection88 / ?Expectation
        FunEvalCOUNT            = FunEvalCOUNT + FunEval{Gen}(nsoln);
        FunEval_CUM{Gen}(nsoln)	= FunEvalCOUNT;
    %----------------------
    pop = State_HYBRID(Gen,nsoln).Population;
    for nparam = 1 :  NumParam% size(pop, 2)
        x{nparam,Gen}(nsoln) = pop(nparam);
    end
	%----------------------
end
%------------------------------------------------
    % counts ConsecGen with min(Err{Gen}) <Err_Min
    %[Gen	min(Err{Gen})	Err_Min]%DEBUG
    if (min(Err{Gen}) < Err_Min)
        Err_Min         = min(Err{Gen});
        ConsecGenCOUNT  = 0;
    else
        ConsecGenCOUNT  = ConsecGenCOUNT + 1;
    end
    Gen = Gen + 1;
%------------------------------------------------
end
NumGen = Gen - 1;
    [ConsecGenCOUNT NumConsecGen]%DEBUG
    [NumBestSoln_   NumGen_     NumBestSoln     NumGen      NumParam]%DEBUG

for Gen = GenStart : NumGen
    FunEval_TOT{Gen} = FunEval_CUM{Gen} + FunEval_GA(Gen);
end
FunEval_TOT

%% Reshape ############### Err(Gen) FunEval(Gen) Err(FunEval)
xAXIS_          = [];% (1 : NumBestSoln*NumGen)
Err_          	= [];
FunEval_      	= [];
    FunEval_CUM_ = [];
    FunEval_TOT_ = [];
%Time_        	= [];
%    Time_CUM_	= [];
%    Time_TOT_	= [];
x_              = {[]};
    for nparam = 1 :  NumParam
        x_{nparam} = [];
    end

for Gen = GenStart : NumGen
    NumPts      = length( Err{Gen} );
    xAXIS_   	= [xAXIS_        [(1 : NumPts)/NumPts + Gen - 1]];
    Err_      	= [Err_          Err{Gen}];
    FunEval_  	= [FunEval_      FunEval{Gen}];
    FunEval_CUM_ = [FunEval_CUM_	FunEval_CUM{Gen}];
    FunEval_TOT_ = [FunEval_TOT_	FunEval_CUM{Gen}];
    for nparam = 1 : NumParam% size(pop, 2)
        x_{nparam} = [x_{nparam}  x{nparam,Gen}];
    end
end

switch Opt_Plot{1}
	%------------------------------------------------
    case{'line'}
	if(1)
        plot_Sio_Func(xAXIS_, Err_ + j*FunEval_, ...
            'RI', Opt_Plot{2}, ...
            FigVEC(1), 'Xlin', Mark, ...
            [[1 NumGen -inf inf]], [],     {'Gen'}, {'Err' 'FunEval'}, ['_HYB']);%FileNam_GA 
        plot_Sio_Func(xAXIS_, Err_ + j*FunEval_CUM_, ...
            'RI', Opt_Plot{2}, ...
            FigVEC(1), 'Xlin', Mark, ...
            [[1 NumGen -inf inf]], [],     {'Gen'}, {'Err' 'FunEval'}, ['_CUM']);%FileNam_GA 
    end
	%if(0)
    %    plot_Sio_Func(xAXIS_, Err_ + j*Time_, ...
    %        'RI', Opt_Plot{2}, ...
    %        FigVEC(1)+2, 'Xlin', Mark, ...
    %        [], ['HYB'], {'Gen'}, {'Err' 'Time(S)'}, ['_HYB']);%FileNam_GA
    %    plot_Sio_Func(xAXIS_, Err_ + j*Time_CUM_, ...
    %        'RI', Opt_Plot{2}, ...
    %        FigVEC(1)+2, 'Xlin', Mark, ...
    %        [], ['HYB'], {'Gen'}, {'Err' 'Time(S)'}, ['_CUM']);%FileNam_GA
    %end
FigVEC = FigVEC + [10 100];
	if(1)% Err(Gen) FunEval(Gen) 
        plot_Sio_Func(xAXIS_, Err_ + j*FunEval_TOT_, ...
            'RI', Opt_Plot{2}, ...
            FigVEC(1), 'Xlin', Mark, ...
            [], ['HYB'], {'Gen'}, {'Err' 'FunEval'}, [FileNam_GA '_TOT']);
	end
    if(1)% Err(FunEval)
        %plot_Sio_Func(FunEval_, Err_, ...
        %    'RI', 'RI-Lin', ...
        %    FigVEC(1), 'Xlog', Mark, ...
        %    [], ['HYB'], {'FunEval'}, {'Err' ''}, [FileNam_GA]);
        plot_Sio_Func(FunEval_TOT_, Err_, ...
            'RI', 'RI-Lin', ...
            FigVEC(1)+1, 'Xlog', Mark, ...
            [], ['HYB'], {'FunEval'}, {'Err' ''}, [FileNam_GA '_TOT']);
    end
	%if(0)
    %    plot_Sio_Func(xAXIS_, Err_ + j*Time_TOT_, ...
    %        'RI', Opt_Plot{2}, ...
    %        FigVEC(1)+2, 'Xlin', Mark, ...
    %        [], ['HYB'], {'Gen'}, {'Err' 'Time(S)'}, [FileNam_GA '_TOT']);
	%end
if(0)% Niche
    for nparam = 1 : length(x)
        plot_Sio_Func(xAXIS_, x_{nparam}, ...
            'RI', 'RI-Lin', ...
            FigVEC(2)+nparam, 'Xlin', Mark, ...
            [], ['HYB x' num2str(nparam)], {'Gen'}, {}, [FileNam_GA]);
    end
end
	%------------------------------------------------
    case{'mesh'}
	%------------------------------------------------
end

%% SORT ############### Err(IDX) FunEval(IDX)
[ErrSort, ErrSortIDX] = sort(Err_, 'ascend');
xAXIS_Sort          = xAXIS_(     	ErrSortIDX );
FunEvalSort         = FunEval_(   	ErrSortIDX );
    FunEvalSort_CUM = FunEval_CUM_(	ErrSortIDX );
    FunEvalSort_TOT	= FunEval_TOT_(	ErrSortIDX );
%IterSort           = Iter_(       	ErrSortIDX );
%TimeSort        	= Time_(     	ErrSortIDX );
%    TimeSort_CUM 	= Time_CUM_( 	ErrSortIDX );
%    TimeSort_TOT 	= Time_TOT_( 	ErrSortIDX );
xSort = {[]};
    for nparam = 1 : length(x_)
        xSort{nparam} = x_{nparam}( ErrSortIDX );
    end
%------------------------ Err_Tol = 0.2;
Err_Threshold	= ErrSort(1) * (1 + Err_Tol);
NumSolnChosen   = find( ErrSort >= Err_Threshold, 1, 'first')

FigVEC = FigVEC + [10 100];
switch Opt_Plot{1}
	%------------------------------------------------
    case{'line'}
    if(0)% Err(IDX) FunEval(IDX)
        %plot_Sio_Func((1:length(ErrSort)), ErrSort + j*FunEvalSort, ...
        %	'RI', Opt_Plot{2}, ...%'RI-Lin'
        %  	FigVEC(1), 'Xlin', Mark, ...
        % 	[], ['HYB'], {'IDX'}, {'Err' 'FunEval'}, ['_HYB']);
        plot_Sio_Func((1:length(ErrSort)), ErrSort + j*FunEvalSort_TOT, ...
            'RI', Opt_Plot{2}, ...%'RI-Lin'
            FigVEC(1), 'Xlin', Mark, ...
            [], ['HYB'], {'IDX'}, {'Err' 'FunEval'}, [FileNam_GA '_TOT']);%
    end
    %if(0)
        %plot_Sio_Func((1:length(ErrSort)), ErrSort + j*TimeSort, ...
        %    'RI', Opt_Plot{2}, ...%'RI-Lin'
        %    FigVEC(1)+1, 'Xlin', Mark, ...
        %    [], ['HYB'], {'IDX'}, {'Err' 'Time(S)'}, ['_HYB']);
    %    plot_Sio_Func((1:length(ErrSort)), ErrSort + j*TimeSort_TOT, ...
    %        'RI', Opt_Plot{2}, ...%'RI-Lin'
    %        FigVEC(1)+1, 'Xlin', Mark, ...
    %        [], ['HYB'], {'IDX'}, {'Err' 'Time(S)'}, [FileNam_GA '_TOT']);
    %end
if(0)
    for nparam = 1 : length(xSort)
        plot_Sio_Func((1:length(ErrSort)), xSort{nparam}, ...
            'RI', 'RI-Lin', ...
            FigVEC(2)+nparam, 'Xlin', Mark, ...
            [], ['HYB x' num2str(nparam)], {'IDX'}, {}, [FileNam_GA]);
    end
end
%------------------------ Chose Soln give Err_Tol
    if(0)% Err(IDX) FunEval(IDX)
        plot_Sio_Func((1:NumSolnChosen), ErrSort(1:NumSolnChosen) + j*FunEvalSort_TOT(1:NumSolnChosen), ...
            'RI', Opt_Plot{2}, ...%'RI-Lin'
            FigVEC(1), 'Xlin', Mark, ...
            [], ['HYB'], {'IDX'}, {'Err' 'FunEval'}, [FileNam_GA '_TOT']);%
    end
if(0)% Chose Soln given Err_Tol
    for nparam = 1 : length(xSort)
        plot_Sio_Func((1:NumSolnChosen), xSort{nparam}(1:NumSolnChosen), ...
            'RI', 'RI-Lin', ...
            FigVEC(2)+nparam, 'Xlin', Mark, ...
            [], ['HYB x' num2str(nparam)], {'IDX'}, {}, [FileNam_GA]);
    end
end
    %------------------------------------------------
end
%FunEval_ = zeros(NumBestSoln, NumGen);% plot matrix COL
%for nSort = 1 : 20
%    [Soln(nSort) Gen(nSort)] = ind2sub(size(FunEval), ErrSortIDX(nSort));
%        if( FunEvalSort(nSort) ~= FunEval(Soln(nSort),Gen(nSort)))
%        	pause
%        end
%end

%% NumSolnChosen: Err(Gen) FunEval(Gen) Err(FunEval) 
FigVEC = FigVEC + [10 100];
	if(1)% Err(Gen) FunEval(Gen) 
        plot_Sio_Func(xAXIS_Sort(1:NumSolnChosen), ErrSort(1:NumSolnChosen) + j*FunEvalSort_TOT(1:NumSolnChosen), ...
            'RI', Opt_Plot{2}, ...
            FigVEC(1), 'Xlin', Mark, ...
            [], ['HYB'], {'Gen'}, {'Err' 'FunEval'}, [FileNam_GA '_TOT']);
    end
    if(1)% Err(FunEval) 
        plot_Sio_Func(FunEvalSort_TOT(1:NumSolnChosen), ErrSort(1:NumSolnChosen), ...
            'RI', 'RI-Lin', ...
            FigVEC(1)+1, 'Xlog', Mark, ...
            [], ['HYB'], {'FunEval'}, {'Err' ''}, [FileNam_GA '_TOT']);
    end
if(0)% Niche given Err_Tol
    for nparam = 1 : length(x)
        plot_Sio_Func(xAXIS_Sort(1:NumSolnChosen), xSort{nparam}(1:NumSolnChosen), ...
            'RI', 'RI-Lin', ...
            FigVEC(2)+nparam, 'Xlin', Mark, ...
            [], ['HYB x' num2str(nparam)], {'Gen'}, {}, [FileNam_GA]);
    end
end
%%
if(0)

    
end