function [Err] = Plot_HYBLsq_PopErr3( GA, Err_GA, FunEval_GA, ErrAll_GA, FEvalAll_GA, ...
    FileNam_GA, FileNam_HYB, Path, ...
    GenStart, NumConsecPlat, NumGen, NumBestSoln, Err_Tol, ...
    FigVEC, LineSpec, PlotOpt, Opt_Fig)

FileSav_HYB     = fullfile( Path, [FileNam_HYB '.mat'])
    whos('-file', FileSav_HYB);
    load(FileSav_HYB, 'State_HYBRID');

[NumGen_  NumBestSoln_]	= size(State_HYBRID);
	NumGen      = min([NumGen           NumGen_]);
	NumBestSoln = min([NumBestSoln      NumBestSoln_]);
NumParam = size(State_HYBRID(1,1).Population, 2);
    %NumParam	= size(State_HYBRID(1).Pop0, 2)
    %NumParam	= size(State_HYBRID(1,1).PopIter, 2)

[NumBestSoln_   NumGen_     NumBestSoln     0       NumParam]
%% ###############
Err     = {[]};
FunEval = {[]};
    FunEval_CUM = {[]};   FunEval_TOT = {[]};
    FunEvalCOUNT = 0;
%Iter    = zeros(NumBestSoln, NumGen);% plot matrix COL
%Time    = zeros(NumBestSoln, NumGen);% plot matrix COL
%    Time_CUM    = zeros(NumBestSoln, NumGen);% plot matrix COL
%    TimeCOUNT   = 0;
x       = {[]};

    Err_MinPrev  	= 1e9;% Min of prev GA_Gen
    Gen             = GenStart;
    ConsecGenCOUNT  = 1;
	ConsecPlatCOUNT = 0;
while ((ConsecPlatCOUNT < NumConsecPlat) && (Gen <= NumGen_))
%------------------------------------------------
for nsoln = 1 : NumBestSoln
    %----------------------
    Err{Gen}(nsoln)  	= State_HYBRID(Gen,nsoln).Score;% already in order of ScoreSortIDX in StateSave
    FunEval{Gen}(nsoln)	= State_HYBRID(Gen,nsoln).Output.funcCount;
    % FunEvalCOUNT accum COL (Inner Loop @each Gen)
    % stop after some adap# of solns: #Best / Selection88 / ?Expectation
        FunEvalCOUNT            = FunEvalCOUNT + FunEval{Gen}(nsoln);
        FunEval_CUM{Gen}(nsoln)	= FunEvalCOUNT;
    %----------------------
    pop = State_HYBRID(Gen,nsoln).Population;
    for nparam = 1 :  NumParam% size(pop, 2)
        x{nparam,Gen}(nsoln) = pop(nparam);
    end
	%----------------------
end
%------------------------------------------------
    %counts ConsecGen with (min(Err{Gen}) <Err_MinPrev)
	Err_MinCurr = min(Err_GA(:,Gen));
    if (Gen > GenStart)
        Err_MinPrev = min(Err_GA(:,Gen-1));
    end
    if (Err_MinCurr < Err_MinPrev)
        if (ConsecGenCOUNT >= 2)%At start of new Plateau, CHK whether prev ConsecGenCOUNT qualify as Plateau
            ConsecPlatCOUNT = ConsecPlatCOUNT + 1;
        end
        ConsecGenCOUNT  = 1;
    else
        ConsecGenCOUNT  = ConsecGenCOUNT + 1;
    end
    %[Gen            ConsecGenCOUNT     ConsecPlatCOUNT]%DEBUG
    %[Err_MinCurr	Err_MinPrev]%DEBUG
%------------------------------------------------
    Gen = Gen + 1;
end
NumGen = min([Gen-1    NumGen]);
    [ConsecPlatCOUNT    NumConsecPlat]%DEBUG
    [NumBestSoln_   NumGen_     NumBestSoln     NumGen      NumParam]%DEBUG

%for Gen = 1 : GenStart
%    FunEval_TOT{Gen} = FunEval_GA(Gen);
%end
for Gen = GenStart : NumGen
    FunEval_TOT{Gen} = FunEval_CUM{Gen} + FunEval_GA(Gen);
end
FunEval_TOT

%% Reshape ############### Err(Gen) FunEval(Gen) Err(FunEval)
xAXIS_          = [];% (1 : NumBestSoln*NumGen)
Err_          	= [];
FunEval_      	= [];
    FunEval_CUM_ = [];
    FunEval_TOT_ = [];
%Time_        	= [];
%    Time_CUM_	= [];
%    Time_TOT_	= [];
x_              = {[]};
    for nparam = 1 :  NumParam
        x_{nparam} = [];
    end

for Gen = GenStart : NumGen
    NumPts      = length( Err{Gen} );
    xAXIS_   	= [xAXIS_        [(1 : NumPts)/NumPts + Gen - GenStart + 1]];
    Err_      	= [Err_          Err{Gen}];
    FunEval_  	= [FunEval_      FunEval{Gen}];
    FunEval_CUM_ = [FunEval_CUM_	FunEval_CUM{Gen}];
    FunEval_TOT_ = [FunEval_TOT_	FunEval_TOT{Gen}];
    for nparam = 1 : NumParam% size(pop, 2)
        x_{nparam} = [x_{nparam}  x{nparam,Gen}];
    end
end

switch 'Err/FuncEval (Gen)'
	%------------------------------------------------
    case{'Err/FuncEval (Gen)'}
        %plot_Sio_Func(xAXIS_, Err_ + j*FunEval_, ...
        %    'RI', 'RI-AbsLog', ...
        %    FigVEC(1), 'Xlin', LineSpec, ...
        %    [[1 NumGen -inf inf]], ['HYB'],     {'Generation'}, {'Error' 'Number of Function Evaluation'}, ['Pop = ' num2str(GA.pop)]);%['_HYB'] FileNam_GA 
        plot_Sio_Func2( xAXIS_, Err_ + j*FunEval_TOT_, FigVEC(1), ...%FunEval_CUM_
            'RI',{'yLogABS'},{'xLin'},{}, ...% [1 NumGen -inf inf]
            {'GA and HYB-GA'},{'Generation'},{'Error' 'Number of Function Evaluation'},{['HYB w/Pop=' num2str(GA.pop)]}, ...
            [LineSpec], PlotOpt, Opt_Fig);
	%if(0)
    %    plot_Sio_Func(xAXIS_, Err_ + j*Time_, ...
    %        'RI', 'RI-AbsLog', ...
    %        FigVEC(1)+2, 'Xlin', LineSpec, ...
    %        [], ['HYB'], {'Generation'}, {'Err' 'Time(S)'}, ['_HYB']);%FileNam_GA
    %    plot_Sio_Func(xAXIS_, Err_ + j*Time_CUM_, ...
    %        'RI', 'RI-AbsLog', ...
    %        FigVEC(1)+2, 'Xlin', LineSpec, ...
    %        [], ['HYB'], {'Generation'}, {'Err' 'Time(S)'}, ['_CUM']);%FileNam_GA
    %end
	%------------------------------------------------
    if(0)% Err(FunEval)
        %plot_Sio_Func(FunEval_, Err_, ...
        %    'RI', 'RI-Lin', ...
        %    FigVEC(1), 'Xlog', LineSpec, ...
        %    [], ['HYB'], {'FunEval'}, {'Err' ''}, [FileNam_GA]);
        plot_Sio_Func(FunEval_TOT_, Err_, ...
            'RI', 'RI-Lin', ...
            FigVEC(1)+1, 'Xlog', LineSpec, ...
            [], ['GA and HYB-GA'], {'FunEval'}, {'Err' ''}, [FileNam_GA '_TOT']);
    end
	%if(0)
    %    plot_Sio_Func(xAXIS_, Err_ + j*Time_TOT_, ...
    %        'RI', 'RI-AbsLog', ...
    %        FigVEC(1)+2, 'Xlin', LineSpec, ...
    %        [], ['HYB'], {'Generation'}, {'Err' 'Time(S)'}, [FileNam_GA '_TOT']);
	%end
	%------------------------------------------------
    case{'mesh'}
	%------------------------------------------------
end

switch 'Param_Niche (Gen)'
	%------------------------------------------------
    case{'Param_Niche (Gen)'}
    for nparam = 1 : 1%length(x_)
        plot_Sio_Func2( xAXIS_, x_{nparam}, FigVEC(2)+nparam, ...
            'RI',{'yLin'},{'xLin'},{}, ...
            {['HYB-GA estimated model param' num2str(nparam)]},{'Generation'},{},{['HYB w/Pop=' num2str(GA.pop)]}, ...
            [LineSpec], PlotOpt, Opt_Fig);
    end
	%------------------------------------------------
end

%% SORT ############### Err(IDX) FunEval(IDX)
[ErrSort, ErrSortIDX] = sort(Err_, 'ascend');
xAXIS_Sort          = xAXIS_(     	ErrSortIDX );
FunEvalSort         = FunEval_(   	ErrSortIDX );
    FunEvalSort_CUM = FunEval_CUM_(	ErrSortIDX );
    FunEvalSort_TOT	= FunEval_TOT_(	ErrSortIDX );
%IterSort           = Iter_(       	ErrSortIDX );
%TimeSort        	= Time_(     	ErrSortIDX );
%    TimeSort_CUM 	= Time_CUM_( 	ErrSortIDX );
%    TimeSort_TOT 	= Time_TOT_( 	ErrSortIDX );
xSort = {[]};
    for nparam = 1 : length(x_)
        xSort{nparam} = x_{nparam}( ErrSortIDX );
    end

switch Err_Tol
    %====================================================================================
	case{'not used'}
	%case{'Err/FuncEval (All soln)'}% Err(IDX) FunEval(IDX)
        %plot_Sio_Func((1:length(ErrSort)), ErrSort + j*FunEvalSort, ...
        %	'RI', 'RI-AbsLog', ...%'RI-Lin'
        %  	FigVEC(1), 'Xlin', LineSpec, ...
        % 	[], ['HYB'], {'IDX'}, {'Error' 'Number of Function Evaluation'}, ['_HYB']);
        plot_Sio_Func2( (1:length(ErrSort)), ErrSort + j*FunEvalSort_TOT, FigVEC(3), ...
            'RI',{'yLogABS'},{'xLin'},{}, ...%'RI-Lin'
            {'HYB-GA'},{'Solution Index'},{'Error' 'Number of Function Evaluation'},{[FileNam_GA '_TOT']}, ...
            [LineSpec], PlotOpt, Opt_Fig);
	%------------------------------------------------
    %if(0)
        %plot_Sio_Func((1:length(ErrSort)), ErrSort + j*TimeSort, ...
        %    'RI', 'RI-AbsLog', ...%'RI-Lin'
        %    FigVEC(1)+1, 'Xlin', LineSpec, ...
        %    [], ['HYB'], {'IDX'}, {'Err' 'Time(S)'}, ['_HYB']);
    %    plot_Sio_Func((1:length(ErrSort)), ErrSort + j*TimeSort_TOT, ...
    %        'RI', 'RI-AbsLog', ...%'RI-Lin'
    %        FigVEC(1)+1, 'Xlin', LineSpec, ...
    %        [], ['HYB'], {'IDX'}, {'Err' 'Time(S)'}, [FileNam_GA '_TOT']);
    %end
	%------------------------------------------------
	%case{'Param_Niche (All soln)'}% Err(IDX) FunEval(IDX)
    for nparam = 1 : 1% length( xSort )
        plot_Sio_Func2( (1:length(ErrSort)), xSort{nparam}, FigVEC(4)+nparam, ...
            'RI',{'yLin'},{'xLin'},{}, ...
            {['HYB-GA estimated model param' num2str(nparam)]},{'Solution Index'},{},{['HYB w/Pop=' num2str(GA.pop)]}, ...
            [LineSpec(2:end)], PlotOpt, Opt_Fig);
    end
    %====================================================================================
	case{'(All soln)'}
        NumSolnChosen   = length( ErrSort );
    %====================================================================================
    otherwise
        Err_Threshold	= ErrSort(1) * (1 + Err_Tol);
        NumSolnChosen   = find( ErrSort >= Err_Threshold, 1, 'first')
    %====================================================================================
end

    %------------------------
	%case{'Err/FuncEval (soln GIVEN Err_Tol)'}% Err(IDX) FunEval(IDX)
        plot_Sio_Func2( (1:NumSolnChosen), ErrSort(1:NumSolnChosen) + j*FunEvalSort_TOT(1:NumSolnChosen), FigVEC(3), ...
            'RI',{'yLogABS'},{'xLin'},{}, ...%'RI-Lin'
            {'Compare HYB-GA and GA'},{'Solution Index'},{'Error' 'Number of Function Evaluation'},{['HYB w/Pop=' num2str(GA.pop)]}, ...
            [LineSpec], PlotOpt, Opt_Fig);
        GAIDX = find( ErrAll_GA <= min(ErrSort), 1, 'first');
        if isempty(GAIDX)
            GA_ErrFEvalTemp	= ErrAll_GA(end) + j*FEvalAll_GA(end)
        else
            GA_ErrFEvalTemp	= ErrAll_GA(GAIDX) +j*FEvalAll_GA(GAIDX)
        end
        plot_Sio_Func2( (1:NumSolnChosen-1:NumSolnChosen), [GA_ErrFEvalTemp GA_ErrFEvalTemp], FigVEC(3), ...
            'RI',{'yLogABS'},{'xLin'},{}, ...%'RI-Lin'
            {'Compare HYB-GA and GA'},{'Solution Index'},{'Error' 'Number of Function Evaluation'},{['GA w/Pop=' num2str(GA.pop)]}, ...
            ['--' LineSpec(2:end)], PlotOpt, Opt_Fig);
	%------------------------------------------------
    %case{'Param_Niche (soln GIVEN Err_Tol)'}
    for nparam = 1 : 1% length( xSort )
        plot_Sio_Func2( (1:NumSolnChosen), xSort{nparam}(1:NumSolnChosen), FigVEC(4)+nparam, ...
            'RI',{'yLin'},{'xLin'},{}, ...
            {['HYB-GA estimated model param' num2str(nparam)]},{'Solution Index'},{},{['HYB w/Pop=' num2str(GA.pop)]}, ...
            [LineSpec(2:end)], PlotOpt, Opt_Fig);
    end
%FunEval_ = zeros(NumBestSoln, NumGen);% plot matrix COL
%for nSort = 1 : 20
%    [Soln(nSort) Gen(nSort)] = ind2sub(size(FunEval), ErrSortIDX(nSort));
%        if( FunEvalSort(nSort) ~= FunEval(Soln(nSort),Gen(nSort)))
%        	pause
%        end
%end

%% NumSolnChosen: Err(Gen) FunEval(Gen) Err(FunEval) 
	if(0)% Err(Gen) FunEval(Gen) 
        plot_Sio_Func( xAXIS_Sort(1:NumSolnChosen), ErrSort(1:NumSolnChosen) + j*FunEvalSort_TOT(1:NumSolnChosen), ...
            'RI', 'RI-AbsLog', ...
            FigVEC(1), 'Xlin', LineSpec, ...
            [], ['HYB'], {'Generation'}, {'Error' 'Number of Function Evaluation'}, [FileNam_GA '_TOT']);
    end
    if(0)% Err(FunEval) 
        plot_Sio_Func( FunEvalSort_TOT(1:NumSolnChosen), ErrSort(1:NumSolnChosen), ...
            'RI', 'RI-Lin', ...
            FigVEC(1)+1, 'Xlog', LineSpec, ...
            [], ['HYB'], {'FunEval'}, {'Err' ''}, [FileNam_GA '_TOT']);
    end
    if(0)% Niche given Err_Tol
    for nparam = 1 : 1%length(x)
        plot_Sio_Func2( xAXIS_Sort(1:NumSolnChosen), xSort{nparam}(1:NumSolnChosen), FigVEC(4)+nparam, ...
            'RI',{'yLin'},{'xLin'},{}, ...
            {['HYB-GA estimated model param' num2str(nparam)]},{'Solution Index'},{},{['HYB w/Pop=' num2str(GA.pop)]}, ...
            [LineSpec(2:end)], PlotOpt, Opt_Fig);
    end
    end