[PATH, PlotOpt] = Matlab_Settings('Athlon64X2')
%----------------------------------------------
Opt.N = 5;
    Opt.Nth_HD2band     = 'ZHD2_Flat';%  'No' 'ZHD2_Flat' 'ZHD2_NO_REIO' 'ZHD2_REIO'
	Opt.ZBre_ZHD2ie     = 'ZBreioZHD2roie';% 'ZBreZHD2ie'
    Opt.DataType        = 'LSNA_RFMD';% 'VSA' dataset VSA-LSNA
    Opt.Optim_WtConst	= 10;% 100 10 2
%----------------------------------------------
FileNam_iNL = ['Buss_iNL_' num2str(Opt.N) '_Local.mat'];%_Globe
    temp = userpath;        temp = temp(1:end-1);
FileSav_iNL = fullfile(temp, FileNam_iNL)
%----------------------------------------------
%if(1)
    Nord    = 9;
    Nfreq   = 3;
    Ntone   = 2;
    Buss_Sym% (Nord, Nfreq, Ntone, FileSav_iNL)
    Q_cell = {  1	[-f1 f1]        [f1]; ...
                2   [-f3 -f2 f2 f3] [f2 f3 2*f2-f3 2*f3-f2]};
    tic
    [cSIZE c cFCT Q_cell Qmix] = Buss_2_iNL( Opt.N, Q_cell, ...
                    s_SymVEC, FileSav_iNL);
    toc%N=5 core1:68
%else
%    whos('-file', FileSav_iNL)
%    load(FileSav_iNL);
%end
%----------------------------------------------
Opt.NumHD	= size(Qmix,2)-1
HdBand      = ones(1, Opt.NumHD+1);
switch Opt.Nth_HD2band
    case{'No'}
        HdBand(1:2) = 0 %[ENV-band HD1-band]
    otherwise
        HdBand(1:3) = 0 %[ENV-band HD1-band HD2-band]
end

%% ###################################################### H = Zmat * (I=iNL)
syms Z% Zeq = sym('Z(s)');     	% dummy abstr func
z_SymVEC = [Z];
syms V
Vvec = [V];
syms I
Ivec = [I];
%--------------------- Lin-Ckt-Source
Ymat = [ 1/Z ]
%--------------------- Lin-Txfr(s) for I{1}~=[1], control HiOrd iNL
ILin = [1];
Zmat        = factor( Ymat \ ILin );
%--------------------- Lin-Resp
VLin = subs(Zmat, s, s_SymVEC(1));% Zmat .* ILin


%% ###################################################### Meas Data
Opt.Atten_dB	= 20;
switch Opt.DataType
    %========================== dataset VSA 
    case{'VSA'}
        switch Opt.N
            case{5}
                Opt.MaxPin_IDX  = 5;% 5~1.5dB 6~3.5dB
            case{7}
                Opt.MaxPin_IDX	= 6;% 5~1.5dB 6~3.5dB
        end
[Q_RespMTONE	VSA] = VSA_QRespMtoneLoad_Func( Opt, ...
    PATH, 'SD513301', 'SD513301_2000Mhz_-28dBm12dBmAtt0_100hz_401pts10ms_LSNA.s2p', ...
    'SD513301_VSA_Arb2_Test.mat', ...
    PlotOpt.df_dBRef, Opt.Atten_dB);
    %========================== dataset LSNA 
    case{'LSNA_RFMD'}
        switch Opt.N
            case{5}
                Opt.MaxPin_IDX	= 12;% 12~1dB 15~2.1dB
            case{7}
                Opt.MaxPin_IDX	= 15;% 12~1dB 15~2.1dB
        end
[Q_RespMTONE	LSNA] = VSA_QRespMtoneLoad_Func( Opt, ...
    PATH, 'SD513301', 'SD513301_2000Mhz_-28dBm12dBmAtt0_100hz_401pts10ms_LSNA.s2p', ...
    'SD513301_LSNA_SWP_Corr.mat', ...
    PlotOpt.df_dBRef, Opt.Atten_dB);
    %==========================
end

%% ###################################################### MTONE 
[   Qmix	zSymQMIX	VvecQMIX    zSymQMIX_ENV	zSymCEL ...%z_SymVEC @Qmix
	fQMIX	fxQMIX  	fxVEC       fCEL] = Buss_zvQMIX_Func( ...
    z_SymVEC, Vvec, ...
    HdBand, Q_RespMTONE, ...% fc dfBB
  	Qmix, Q_cell, ...
    0);% (, Opt_Disp)

if(0)
    %----------------------------------------------
    Qmix
    %[1x1 sym]    [1x1 sym]    [1x1 sym]    [1x1 sym]
    %[2x1 sym]    [4x1 sym]    [5x1 sym]           []
    zSymQMIX
	%{1x1 cell}    {1x2 cell}    {1x2 cell}    {1x2 cell}
    %{2x2 cell}    {4x2 cell}    {5x2 cell}            []
    VvecQMIX = 
    %{1x1 cell}    {1x2 cell}    {1x2 cell}    {1x2 cell}
    %{2x2 cell}    {4x2 cell}    {5x2 cell}            []
    zSymQMIX_ENV = 
    %{1x1 cell}    {1x2 cell}    {1x2 cell}    {1x2 cell}
    %{2x2 cell}    {4x2 cell}    {5x2 cell}            []
    [ zSymCEL{:} ]
    % [1x1 sym]    [1x2 sym]    [1x2 sym]    [1x2 sym]    [1x2 sym]    [1x2 sym]    [1x2 sym]    [1x2 sym]    [1x2 sym]    [1x2 sym]     [1x2 sym]    [1x2 sym]    [1x2 sym]    [1x2 sym]    [1x2 sym]
    %[   ZDC_11,    Zf_11,   Zf_11_,  Zhd2_11, Zhd2_11_,  Zhd3_11, Zhd3_11_,   ZDC_21,  ZDC_21_,   ZDC_22,  ZDC_22_,    Zf_21,   Zf_21_,    Zf_22,   Zf_22_,    Zf_23,   Zf_23_,    Zf_24,   Zf_24_,  Zhd2_21, Zhd2_21_,  Zhd2_22, Zhd2_22_,  Zhd2_23, Zhd2_23_,  Zhd2_24, Zhd2_24_,  Zhd2_25, Zhd2_25_]
    %----------------------------------------------
    fQMIX
    %{1x2 cell}    {1x2 cell}    {1x2 cell}    {1x2 cell}
    %{2x2 cell}    {4x2 cell}    {5x2 cell}            []
	fxQMIX
    %{1x2 cell}    {1x2 cell}    {1x2 cell}    {1x2 cell}
    %{1x2 cell}    {1x2 cell}    {1x2 cell}            []
    { fxVEC }% All Freq in fxQMIX
    %   [ 68x1 double]
    %   [104x1 double]
    %---------------------------------------------- {1,1}
    [[zSymQMIX{1,1}{:,1};       zSymQMIX{1,2}{:,1};     zSymQMIX{1,3}{:,1};     zSymQMIX{1,4}{:,1}] ...
     [0;                        zSymQMIX{1,2}{:,2};     zSymQMIX{1,3}{:,2};     zSymQMIX{1,4}{:,2}] ...
     [VvecQMIX{1,1}{:,1};       VvecQMIX{1,2}{:,1};     VvecQMIX{1,3}{:,1};     VvecQMIX{1,4}{:,1}] ...
     [0;                        VvecQMIX{1,2}{:,2};     VvecQMIX{1,3}{:,2};     VvecQMIX{1,4}{:,2}] ...
     [zSymQMIX_ENV{1,1}{:,1};	zSymQMIX_ENV{1,2}{:,1};	zSymQMIX_ENV{1,3}{:,1};	zSymQMIX_ENV{1,4}{:,1}] ...
     [0;                        zSymQMIX_ENV{1,2}{:,2};	zSymQMIX_ENV{1,3}{:,2};	zSymQMIX_ENV{1,4}{:,2}] ...
        [SYMcel2SYMvec( {Qmix{1,:}} )].']
    %[   ZDC_11,        0,      VDC,        0,      ZDC,        0,        0]
    %[    Zf_11,   Zf_11_,       Vf,      Vf_,       Zf,      Zf_,       f1]
    %[  Zhd2_11, Zhd2_11_,     Vhd2,    Vhd2_,     Zhd2,    Zhd2_,     2*f1]
    %[  Zhd3_11, Zhd3_11_,     Vhd3,    Vhd3_,     Zhd3,    Zhd3_,     3*f1]
format long eng
	[[fQMIX{1,1}{1,:}]; ...
     [fQMIX{1,2}{1,:}]; ...
     [fQMIX{1,3}{1,:}]; ...
     [fQMIX{1,4}{1,:}]]
    %0      1=Index in fxQMIX
    %2e9	1
    %4e9	1
    %6e9	1
	[[fxQMIX{1,1}{1,:}]; ...
     [fxQMIX{1,2}{1,:}]; ...
     [fxQMIX{1,3}{1,:}]; ...
     [fxQMIX{1,4}{1,:}]]
    %0      1=Index in fxVEC
    %2e9	2
    %4e9	3
    %6e9	4
format; format compact;
    %---------------------------------------------- {2,1}
    [ [SYMcel2SYMvec( {zSymQMIX{2,1}{:,1}} )].'     [SYMcel2SYMvec( {zSymQMIX{2,1}{:,2}} )].'...
      [SYMcel2SYMvec( {VvecQMIX{2,1}{:,1}} )].'     [SYMcel2SYMvec( {VvecQMIX{2,1}{:,2}} )].' ...
      [SYMcel2SYMvec( {zSymQMIX_ENV{2,1}{:,1}} )].' [SYMcel2SYMvec( {zSymQMIX_ENV{2,1}{:,2}} )].'...
      Qmix{2,1}]
    %[     ZDC_21,    ZDC_21_,     VenvDC,    VenvDC_,     ZenvDC,    ZenvDC_,     -f2+f3]
    %[     ZDC_22,    ZDC_22_,     VenvDC,    VenvDC_,     ZenvDC,    ZenvDC_, -2*f2+2*f3]
	[[fQMIX{2,1}{1,:}]  [fQMIX{2,1}{2,:}]]
    %    1250           1        2500           2=Index in fxQMIX
    %    2500           2        5000           3
    %    5000           3       10000           4
    %   10000           4       20000           5
    %   25000           6       50000           7
    %   50000           7      100000           8
    %  100000           8      200000          10
    %  125000           9      250000          11
    %  250000          11      500000          12
    %  500000          12     1000000          14
    %  625000          13     1250000          15
    % 1250000          15     2500000          16
    [fxQMIX{2,1}{1,:}]
    %    1250           5=Index in fxVEC
    %    2500           6
    %    5000           7
    %   10000           8
    %   20000           9
    %   25000          10
    %   50000          11
    %  100000          12
    %  125000          13
    %  200000          14
    %  250000          15
    %  500000          16
    %  625000          17
    % 1000000          18
    % 1250000          19
    % 2500000          20
    %---------------------------------------------- {2,2}
    [ [SYMcel2SYMvec( {zSymQMIX{2,2}{:,1}} )].'         [SYMcel2SYMvec( {zSymQMIX{2,2}{:,2}} )].' ...
      [SYMcel2SYMvec( {VvecQMIX{2,2}{:,1}} )].'         [SYMcel2SYMvec( {VvecQMIX{2,2}{:,2}} )].' ...
      [SYMcel2SYMvec( {zSymQMIX_ENV{2,2}{:,1}} )].'     [SYMcel2SYMvec( {zSymQMIX_ENV{2,2}{:,2}} )].' ...
      Qmix{2,2}]
    %[    Zf_21,   Zf_21_,    Venvf,   Venvf_,    Zenvf,   Zenvf_, -f3+2*f2]
    %[    Zf_22,   Zf_22_,    Venvf,   Venvf_,    Zenvf,   Zenvf_,       f2]
    %[    Zf_23,   Zf_23_,    Venvf,   Venvf_,    Zenvf,   Zenvf_,       f3]
    %[    Zf_24,   Zf_24_,    Venvf,   Venvf_,    Zenvf,   Zenvf_,  2*f3-f2]
    %---------------------
    %[    Zf_21, -f3+2*f2] N=5
    %[    Zf_22,       f2]
    %[    Zf_23,       f3]
    %[    Zf_24,  2*f3-f2]
    %[      Zf_21, -2*f3+3*f2] N=7
    %[      Zf_22,   -f3+2*f2]
    %[      Zf_23,         f2]
    %[      Zf_24,         f3]
    %[      Zf_25,    2*f3-f2]
    %[      Zf_26,  3*f3-2*f2]
	[fQMIX{2,2}{1,1}    fQMIX{2,2}{2,1}     fQMIX{2,2}{3,1}     fQMIX{2,2}{4,1}]
	[fQMIX{2,2}{1,2}    fQMIX{2,2}{2,2}     fQMIX{2,2}{3,2}     fQMIX{2,2}{4,2}]% =Index in fxQMIX
  %1.0e+009 *
    %2.0000    2.0000    2.0000    2.0000
    %2.0000    2.0000    2.0000    2.0000
    %2.0000    2.0000    2.0000    2.0000
    %2.0000    2.0000    2.0000    2.0000
    %2.0000    2.0000    2.0000    2.0000
    %1.9999    2.0000    2.0000    2.0001
    %1.9998    1.9999    2.0000    2.0002
    %1.9998    1.9999    2.0001    2.0002
    %1.9996    1.9999    2.0001    2.0004
    %1.9993    1.9997    2.0002    2.0008
    %1.9991    1.9997    2.0003    2.0009
    %1.9981    1.9994    2.0006    2.0019
    %22    24    25    27=Index in fxQMIX
    %20    23    26    29
    %18    21    28    31
    %16    19    30    33
    %14    17    32    35
    %11    15    34    38
    % 9    13    36    40
    % 8    12    37    41
    % 5    10    39    44
    % 3     7    42    46
    % 2     6    43    47
    % 1     4    45    48
    [fxQMIX{2,2}{1,:}]% fxQMIX{2,2}
    % 	[48x1 double]    [48x1 double]=Index in fxVEC
    %   [60x1 double]    [60x1 double]=Index in fxVEC
    %---------------------------------------------- {2,3}
    [ [SYMcel2SYMvec( {zSymQMIX{2,3}{:,1}} )].'         [SYMcel2SYMvec( {zSymQMIX{2,3}{:,2}} )].' ...
      [SYMcel2SYMvec( {VvecQMIX{2,3}{:,1}} )].'         [SYMcel2SYMvec( {VvecQMIX{2,3}{:,2}} )].' ...
      [SYMcel2SYMvec( {zSymQMIX_ENV{2,3}{:,1}} )].'     [SYMcel2SYMvec( {zSymQMIX_ENV{2,3}{:,2}} )].' ...
      Qmix{2,3}]
    %[  Zhd2_21,  Venvhd2,  Zenvhd2, -f3+3*f2] N=5
    %[  Zhd2_22,  Venvhd2,  Zenvhd2,     2*f2]
    %[  Zhd2_23,  Venvhd2,  Zenvhd2,    f2+f3]
    %[  Zhd2_24,  Venvhd2,  Zenvhd2,     2*f3]
    %[  Zhd2_25,  Venvhd2,  Zenvhd2, -f2+3*f3]
	[fQMIX{2,3}{1,1}    fQMIX{2,3}{2,1}     fQMIX{2,3}{3,1}     fQMIX{2,3}{4,1}     fQMIX{2,3}{5,1}]
	[fQMIX{2,3}{1,2}    fQMIX{2,3}{2,2}     fQMIX{2,3}{3,2}     fQMIX{2,3}{4,2}     fQMIX{2,3}{5,2}]
  %1.0e+009 *
    %4.0000    4.0000    4.0000    4.0000    4.0000
    %4.0000    4.0000    4.0000    4.0000    4.0000
    %4.0000    4.0000    4.0000    4.0000    4.0000
    %4.0000    4.0000    4.0000    4.0000    4.0000
    %4.0000    4.0000    4.0000    4.0000    4.0000
    %3.9999    4.0000    4.0000    4.0000    4.0001
    %3.9998    3.9999    4.0000    4.0001    4.0002
    %3.9998    3.9999    4.0000    4.0001    4.0003
    %3.9995    3.9998    4.0000    4.0003    4.0005
    %3.9990    3.9995    4.0000    4.0005    4.0010
    %3.9987    3.9994    4.0000    4.0006    4.0012
    %3.9975    3.9987    4.0000    4.0012    4.0025
    %15    16    17    18    19=Index in fxQMIX
    %14    15    17    19    20
    %13    14    17    20    21
    %12    13    17    21    22
    %10    11    17    23    24
    % 9    10    17    24    25
    % 7     9    17    25    27
    % 6     8    17    26    28
    % 5     6    17    28    29
    % 3     5    17    29    31
    % 2     4    17    30    32
    % 1     2    17    32    33
	[fxQMIX{2,3}{1,:}]% fxQMIX{2,3}
    %    [33x1 double]    [33x1 double]=Index in fxVEC
    %    [41x1 double]    [41x1 double]=Index in fxVEC
	%----------------------------------------------
end

%==============================================
aSymCEL         = SYMvec2SYMcel(a_SymVEC(1:Opt.N));% [ aSymCEL{:} ]
%---------------------
InputCharVEC    = 'xy';
InputSymVEC     = CHARvec2SYMvec(InputCharVEC);
InputSymCEL     = {InputSymVEC};% SYMvec2SYMcel(InputSymVEC);

Opt_Disp = 0;
for nQ = 1 : size(Q_cell,1)%nQ = 2;
	Q   	= Q_cell{nQ,1};
 	fVEC	= Q_cell{nQ,2};
        f_SymVEC = fVEC(length(fVEC)/2+1 : end);
    if(Opt_Disp) 
        disp(['%###################################################### nQ=' int2str(nQ)])
    end
for nRESP = 1 : length(Q_cell{nQ,3})%nRESP = 3
  	fRESP   = Q_cell{nQ,3}(nRESP);
    Fmix    = Q_cell{nQ,4}{1,nRESP};
    Fidx    = Q_cell{nQ,4}{2,nRESP};
    cFidx   = Q_cell{nQ,4}{3,nRESP};
    if(Opt_Disp)
        disp([ '%########################### nRESP=' num2str([nRESP]) ])
        %fRESP   = Q_cell{nQ,3}(nRESP)
        %Fmix
    end
%==============================================
tic
switch Opt.DataType
    %-------------------------
    case{'LSNA_RFMD', 'VSA'}% Core1: Elapsed time is  40  80  82  66  67 seconds MOST TIME CONSUME COMPUTE
    [Hv     Hv_SymCHAR	Hv_SymCEL	Hv_SymCEL_IDX] = Buss_HvCell4_Func( ...%[HvMIX] zNumQMIX, x2a
        Qmix, zSymQMIX, Zmat, ...
        z_SymVEC, a_SymVEC, InputSymVEC, f_SymVEC, ...% VvecQMIX,
    	zSymCEL, aSymCEL, InputSymCEL, ...
        Opt.N, cSIZE, c, cFCT, ...
        Fmix, Fidx, cFidx, ...
        0);
    Q_cell{nQ,4}{4,nRESP} = Hv;             % {n}[nV,1]
    Q_cell{nQ,4}{5,nRESP} = Hv_SymCHAR;     % {nV,n}[Char]
    Q_cell{nQ,4}{6,nRESP} = Hv_SymCEL;      % {nV,n}{nSYM}
    Q_cell{nQ,4}{7,nRESP} = Hv_SymCEL_IDX;  % {nV,n}{nCEL [nSYM;IDX  nSYM;IDX]}
    Q_cell{nQ,4}{8,nRESP} = {};             % {nV,n} NumFreqPts
    %-------------------------
    case{'CDMA'}
    %-------------------------
end
toc
%==============================================
end
end
% Q_cell{:,3}
% 	[      f2,      f3,     2*f2-f3,    2*f3-f2]
% Q_cell{1,4}{4,1}{[1 3]}
%-------------------------
% Q_cell{2,4}{4,1}{[1 3]} f2 2*f2-f2
%          x  *Zf_22
%##### HD2 Flat N=5
%     1/4 *x^2*Zf_22^3 *y*Zf_22_        *(4*a2^2*ZDC_11                  +2*a2^2*Zhd2_11 -3*a3) 
%    +1/2 *x^2*Zf_22^2 *y*Zf_23_ *Zf_23 *(2*a2^2*ZDC_11  +2*a2^2*ZDC_21_ +2*a2^2*Zhd2_11 -3*a3)
%##### HD2 Band N=5
%     1/4 *x^2*Zf_22^3 *y*Zf_22_        *(4*a2^2*ZDC_11                  +2*a2^2*Zhd2_22 -3*a3)
%    +1/2 *x^2*Zf_22^2 *y*Zf_23  *Zf_23_*(2*a2^2*ZDC_21_ +2*a2^2*ZDC_11  +2*a2^2*Zhd2_23 -3*a3)
%-------------------------
% Q_cell{2,4}{4,2}{[1 3]} f3 2*f3-f3
%-------------------------
% Q_cell{2,4}{4,3}{[1 3]} LSB=2*f2-f3
%          0
%##### HD2 Flat N=5
%	  1/4 *x^2*Zf_22^2 *y*Zf_23_ *Zf_21 *(                4*a2^2*ZDC_21_ +2*a2^2*Zhd2_11 -3*a3)
%##### HD2 Band N=5
%     1/4 *x^2*Zf_22^2 *y*Zf_23_ *Zf_21 *(                4*a2^2*ZDC_21_ +2*a2^2*Zhd2_22 -3*a3)
%-------------------------
% Q_cell{2,4}{4,4}{[1 3]} USB=2*f3-f2
%     0
%##### HD2 Band N=5
%     1/4 *x^2*Zf_23^2 *y*Zf_22_ *Zf_24 *(                4*a2^2*ZDC_21  +2*a2^2*Zhd2_24 -3*a3)

%% ###################################################### InitGuess
Opt.Third_Atmpt	= 21;
Opt.Third_nPwr	= 1;
    figVEC = [  600 601     0   603 ... %yModel	(EVEN,ODD,RI,dB)
                610 611         ...   	%ZB   	(RI,MA)
                0   621       	...     %Z_Im3	(RI,dB)
                630 631     632 633];   %Z_HD2	(EVEN,ODD,RI,dB)
switch Opt.DataType
    %------------------------- dataset VSA 
    case{'VSA'}
        [Opt.x0     Opt.x] = Buss_XR4_N3Estim_NLSQ_3b( Opt, ...
            VSA, fQMIX, fxQMIX, ...% Q_RespMTONE, 
            Qmix, Q_cell, ...
            figVEC, PlotOpt, 1);
    %------------------------- dataset LSNA 
    case{'LSNA_RFMD'}
        [Opt.x0     Opt.x] = Buss_XR4_N3Estim_NLSQ_3b( Opt, ...
            LSNA, fQMIX, fxQMIX, ...% Q_RespMTONE, 
            Qmix, Q_cell, ...
            figVEC, PlotOpt, 1);
	%-------------------------
end
    % Opt = rmfield(Opt, 'x_');
    Opt.x0
    Opt.x% close all
%==============================================
n_start = 5;      n_step = 2;     numpts = 4;
    Opt.PS.ordVEC	= [n_start : n_step : (n_start+(numpts-1)*n_step)]; Opt.PS.ordVEC
[Opt.PS.a3 Opt.PS.b3] = PolyFit_AMPM2( Q_RespMTONE{1,1}{1}, Vp02dBm_dB( Q_RespMTONE{1,2}{2} ), ...
    Opt.PS.ordVEC, [1:7], 'AMPM_dBm', 'Odd', 1, ...
    '.', PlotOpt);
%---------------------
Opt.PS.a3( 1:2, 2:8 )%DEBUG
%  1.0e+003 *
%  -0.0083 + 0.0012i        0             0.0280 - 0.0226i        0             0.2875 - 0.1502i        0                  0          
%  -0.0083 + 0.0012i        0             0.0279 - 0.0229i        0             0.2981 - 0.1125i        0            -0.3418 - 1.2238i

%% ######################################################
Core 	= '1';% 1 2 8 Grendel 
switch Opt.Nth_HD2band
    case{'No'}
 	FileNam_Optim   = ['matlab_core' Core '_N' num2str(Opt.N) '_HD2' Opt.Nth_HD2band]    
    otherwise
  	FileNam_Optim	= ['matlab_core' Core '_N' num2str(Opt.N) '_HD2band']
end
    FileSav_Optim	= fullfile(PATH.MatlabSave, [FileNam_Optim '.mat'])
    whos('-file', FileSav_Optim);
    % save( FileSav_Optim )
    % load( FileSav_Optim )

%-------------------------------------------------- clear LSQ
    LSQ.MaxIter         = 100;
	LSQ.PrecondBandWidth = inf;% Inf-ChoskyFactor Better than 0=ConjGrad;
    FMINsear.MaxIter  	= 100;
%--------------------------------------------------
    Opt.Qstart    	= 2;
    Opt.Optim_Wt    = 'WtConst';% 'WtConst' 'WtPin' 'WtPinDf'
        % 'WtConst':    [10 10 1 1] Better Match S21
        % 'WtPin':      Reduce Accur at HI-PWR
    Opt.Optim_Err	= 'DiffRel_RI';% 'DiffRel_RI' 'DiffRel' 'Diff' 'RatLog_RI' 
    Opt.Optim_Err2	= 'RI';% 'RI'='RIAbs' 'RIAbsSqr'=worst 'Abs'='AbsSqr'
        %Opt.Optim_Err2	= 'Abs';        46.7606 +89.8401i
        %Opt.Optim_Err2	= 'AbsSqr';     46.7606 +89.8401i
        %Opt.Optim_Err2	= 'RIAbsSqr';   117.13  +222.48i
    Opt.Optim_MtoneFit  = 'Pout';% 'S21H3';% 
    %-------------------------
%Opt.Nth_Atmpt     	= {'a1Mag'      'g2Mag'         	'Zf' 'Real'};	% xxxxx 33+52 => 23+33 =23+34 10+13 11+21 6+10 6+8
%Opt.Nth_Atmpt     	= {'a1Mag'      'g2Mag'         	'Zf' 'Cmplx'};	% xxxxx   =>   = 
    Opt.Nth_Atmpt	= {'a1Magb1'    'g2Mag'             'Zf' 'Real'};	%       27+48 => 23+28 =22+28
%   Opt.Nth_Atmpt	= {'a1Magb1'    'g2Mag'             'Zf' 'Cmplx'};	%         =>   = 
%Opt.Nth_Atmpt     	= {'a1Mag'      'g2g3'              'Zf' 'Real'};	% xxx   37+61
%Opt.Nth_Atmpt     	= {'a1Mag'      'g2g3'              'Zf' 'Cmplx'};	% xxx    
%    Opt.Nth_Atmpt	= {'a1Magb1'    'g2g3'              'Zf' 'Real'};	%        =>  =
%    Opt.Nth_Atmpt	= {'a1Magb1'    'g2g3'              'Zf' 'Cmplx'};	%        =>  =
%Opt.Nth_Atmpt     	= {'a1Mag'      'g2MAGg3_Recalc'    'Zf' ''};       %     	 
%    Opt.Nth_Atmpt	= {'a1Magb1'	'g2MAGg3_Recalc'    'Zf' ''};       %        =>  =
%Opt.Nth_Atmpt     	= {'a1Mag'      'g2g3_Recalc'       'Zf' ''};       %     	46+89
%    Opt.Nth_Atmpt	= {'a1Magb1'    'g2g3_Recalc'       'Zf' ''};       %        =>  =
%--------------------------------------------------

%%###################################################### ITER1 
    LSQ.TolFun       	= 0.001;% 1e-6;% 
    FMINsear.TolFun   	= 1;
    %-------------------------
	Opt.Nth_HD2band     = 'ZHD2_Flat';% 'No' 'ZHD2_Flat' 'ZHD2_NO_REIO' 'ZHD2_REIO' whats updated
	Opt.ZBre_ZHD2ie     = 'ZBreZHD2ie';% 'ZBreioZHD2roie';% 
    Opt.Optim_Meth      = 'lsqnonlin';% 'ga';% 'fminsearch';% 
    %-------------------------
    FileNam_LocSear     = [Opt.DataType 'LSQ' '_N' num2str(Opt.N) '-PinIdx' num2str(Opt.MaxPin_IDX) '-' Opt.Optim_MtoneFit ...
        '_' Opt.Optim_Wt num2str(Opt.Optim_WtConst)         '_' Opt.Optim_Err '-' Opt.Optim_Err2 ...
        '_' cell2mat(Opt.Nth_Atmpt) '-' Opt.Nth_HD2band]
    FileSav_LocSear         = fullfile(PATH.MatlabSave, [FileNam_LocSear '.mat']);
        whos('-file', FileSav_LocSear);
    %-------------------------
Opt.x   = rmfield( Opt.x, 'gN');
Opt.x   = rmfield( Opt.x, 'ZHDN');
%-------------------------
    ITER1.Opt           = Opt;
	[ITER1.Opt]     = Buss_XR4_Param2XReal_3b( ITER1.Opt, ITER1.Opt.x, ITER1.Opt);
[b1     InputNumCEL     aNumCEL     zxNumQMIX   ITER1.Opt.y0] = Buss_XR4_XReal2zxNumQMIX_3b( ITER1.Opt.xReal_0, ITER1.Opt, InputSymCEL, 0);%Q_RespMTONE, 
        %ITER1.Opt.x
        %ITER1.Opt.y0
%[zNumQMIX   zenvNumQMIX     zNumCEL] = Buss_xParam2zk_Func2( zxNumQMIX, fQMIX, fxQMIX, fxVEC, Qmix, Q_cell, 1);
    [Q_RespMTONE	Q_cell]         = Buss_XR4_Init( ITER1.Opt.xReal_0, ITER1.Opt, ...
        Q_RespMTONE, fQMIX, fxQMIX, fxVEC, InputSymCEL, ...
        Qmix, Q_cell, 1);% Q_cell Q_RespMTONE
    [F2_0           Q_RespMTONE]	= Buss_XR4_Iter( ITER1.Opt.xReal_0, ITER1.Opt, ...
        Q_RespMTONE, fQMIX, fxQMIX, fxVEC, InputSymCEL, ...
        Qmix, Q_cell, 0);
%==============================================
[ITER1]	= Buss_3_GA( FileNam_LocSear, FileSav_LocSear, ITER1, ...
    LSQ, FMINsear, [], ...
    Q_RespMTONE, fQMIX, fxQMIX, fxVEC, InputSymCEL, ...
    Qmix, Q_cell);
[b1     InputNumCEL     aNumCEL     zxNumQMIX   ITER1.Opt.y]  = Buss_XR4_XReal2zxNumQMIX_3b( ITER1.xReal, ITER1.Opt, InputSymCEL, 0);%Q_RespMTONE, 
        ITER1.Opt.y
save(FileSav_LocSear, 'ITER1', 'FileNam_LocSear', 'FileSav_LocSear', '-append');
    %f1f2 dBErr:    40  / 10 /(10*12)   = 0.0333
    %im3 dBErr:     100 / 1  /(10*12)   = 0.8333
    %VSA    PinIdx=5    Wt=100      Err = [130 126]     RunTime_LSQ = [305 518]
    %LSNA   PinIdx=15   Wt=100      Err = [366 ]        RunTime_LSQ = [232 ]
    %LSNA   PinIdx=12   Wt=10       Err = [23]          RunTime_LSQ = [550 ]

%%###################################################### ITER2
    LSQ.TolFun       	= 0.001;
    FMINsear.TolFun   	= 0.001;
    %-------------------------
Opt2 = ITER1.Opt;
    Opt2.Nth_HD2band	= 'ZHD2_REIO';% 'No' 'ZHD2_Flat' 'ZHD2_NO_REIO' 'ZHD2_REIO' whats updated
	Opt2.ZBre_ZHD2ie    = 'ZBreioZHD2roie';
    Opt2.Optim_Meth  	= 'lsqnonlin';% 'ga';% 'fminsearch';% 
%-------------------------
    ITER2.Opt           = Opt2;
	[ITER2.Opt]	= Buss_XR4_Param2XReal_3b( ITER2.Opt, ITER1.Opt.y, ITER1.Opt);
[b1     InputNumCEL     aNumCEL     zxNumQMIX   ITER2.Opt.y0] = Buss_XR4_XReal2zxNumQMIX_3b( ITER2.Opt.xReal_0,	ITER2.Opt, InputSymCEL, 0);%Q_RespMTONE, 
        %ITER2.Opt.x
        %ITER2.Opt.y0
    [Q_RespMTONE	Q_cell]         = Buss_XR4_Init( ITER2.Opt.xReal_0, ITER2.Opt, ...
        Q_RespMTONE, fQMIX, fxQMIX, fxVEC, InputSymCEL, ...
        Qmix, Q_cell, 1);
    [F2_0           Q_RespMTONE]	= Buss_XR4_Iter( ITER2.Opt.xReal_0, ITER2.Opt, ...
        Q_RespMTONE, fQMIX, fxQMIX, fxVEC, InputSymCEL, ...
        Qmix, Q_cell, 0);
%==============================================
[ITER2] = Buss_3_GA( FileNam_LocSear, FileSav_LocSear, ITER2, ...
    LSQ, FMINsear, [], ...
    Q_RespMTONE, fQMIX, fxQMIX, fxVEC, InputSymCEL, ...
    Qmix, Q_cell);
[b1     InputNumCEL     aNumCEL     zxNumQMIX   ITER2.Opt.y]  = Buss_XR4_XReal2zxNumQMIX_3b( ITER2.xReal, ITER2.Opt, InputSymCEL, 0);%Q_RespMTONE, 
        ITER2.Opt.y
save(FileSav_LocSear, 'ITER2', '-append');

%% ###################################################### GA vs Hybrid-GA
Opt.Optim_Meth	= 'ga';% 'lsqnonlin';% 
	GA.TimeLimit        = 10*3600;% 10hr
	GA.FitnessLimit     = 1;
	GA.StallGenLimit	= 500;
    %------------------------------------------------
GA.Run = 1; 
GA.gen = 300;       GA.TolFun = 1e-5;
    GA.pop = 250;	Mark = 'ko';
    %------------------------------------------------
    GA.FileNam	= [Opt.DataType 'GA' '_N' num2str(Opt.N) '-PinIdx' num2str(Opt.MaxPin_IDX) '-' Opt.Optim_MtoneFit ...
        '_' Opt.Optim_Wt num2str(Opt.Optim_WtConst)         '_' Opt.Optim_Err '-' Opt.Optim_Err2 ...
        '_' Opt.Nth_Atmpt{1} '-' Opt.Nth_Atmpt{2} '-' Opt.Nth_HD2band ...
        '_' num2str(GA.Run) '-Pop' num2str(GA.pop) '-Gen' num2str(GA.gen) ];
    GA.FileNam
    GA.FileSav	= fullfile(PATH.MatlabSave, [GA.FileNam '.mat']);
    	whos('-file', GA.FileSav);
%%==================================================== GA
[GA.ITER1]      = Buss_3_GA( Opt, ...
    [], GA, ...%PATH, 
    Q_RespMTONE, fQMIX, fxQMIX, fxVEC, InputSymCEL, ...
    Qmix, Q_cell);
[b1     InputNumCEL     aNumCEL     zxNumQMIX   Opt.y]  = Buss_XR4_XReal2zxNumQMIX_2( GA.ITER1.xReal,      Opt, InputSymCEL, 1);%Q_RespMTONE, 
        Opt.y
    GA.ITER1.Opt	= Opt;
    save(GA.FileSav, 'GA', '-append');
    whos('-file', GA.FileSav);% load(GA.FileSav);
%%###################################################### Hybrid-GA
    HYB.Opt              = Opt;
     	HYB.Opt.Optim_Meth = 'lsqnonlin';
    HYB.Optim_OutputFcn	= '';
    HYB.MaxIter         = 100;
    HYB.TolFun          = 0.001;
	HYB.PrecondBandWidth = inf;% Inf-ChoskyFactor Better than 0=ConjGrad;
    GA.HYB = HYB;
%FileNam_HYB	= [ GA.FileNam ...
%                '_LSQ_Iter' num2str(HYB_Opt.MaxIter)]% '_Soln' num2str(NumBestSoln)
    NumGenVEC       = [1 10];
    NumBestSolnVEC	= [1 2];% [1 5] [6 10] [1 10]
%%====================================================
[GA.ITER1.State_HYBRID] = Buss_3_HYBRID( GA, ...
    NumBestSolnVEC, NumGenVEC, ...
    Q_RespMTONE, fQMIX, fxQMIX, fxVEC, InputSymCEL, ...
    Qmix, Q_cell)
        %iter.Opt    	= Opt;
        %iter.GA      	= GA;