function [] ...
    = Plot_ToneFile_Func2(Gain,Syxxx_im3,GainAvg_Plot,Syxxx_im3_MovAvg, ...
    Plot_Flag,Plot_Title, ...
    fig_Vec,colors,Marker_OnOff,Color_Offset, ...
    File_Start,File_Stop,NumSeg_Start,NumSeg_Stop, H3_RefLvl, ...
    Index_XFile,Index_YFile)
% supply NumSeg_Start,NumSeg_Stop + fig_Vec
% if length(fig_Vec)==1, 
% plot all lines on 1 figure
% if length(fig_Vec) < (NumSeg_Stop-NumSeg_Start+1)
% plot excess lines on last figure
switch Marker_OnOff
    case 'ON'
        Marker = {'-o' '-d'};
    case 'OFF'
        Marker = {'-' '-.'};
end

%% 
	fig_Index   = 0;
    fig_Finish  = 0;
    fig_Once    = 0;
for k = NumSeg_Start : NumSeg_Stop % color according to Seg#=Df#
%########################################################################
    if (length(fig_Vec) == 1)
        figure(fig_Vec(1));
    else
        if (length(fig_Vec) < (NumSeg_Stop-NumSeg_Start+1))
            disp('Not Enough Figures');
            fig_Finish = 1;
        else
            fig_Index = fig_Index + 1;
            figure(fig_Vec(fig_Index));
        end
    end
if (~fig_Finish || ~fig_Once)
	fig_Once = 1;
%##################
for fig_Index = 1:4
    % Upper 4 Amplitude Plots
    subplot(4,2,fig_Index); hold on;
        title(cat(2,'|',Plot_Title{fig_Index},'|'));
        if( IsEven_Func(fig_Index) )
            switch Plot_Flag{1}
                case 'dB'
                    ylabel('Amplitude [dBU]');
                case 'Mag'
                    ylabel('Amplitude []');
            end
        else
                ylabel('Amplitude [dBU]');
        end
        xlabel('File Index');
	% Lower 4 Phase Plots
	subplot(4,2,fig_Index+4); hold on;
        switch Plot_Flag{2}
            case 'Gain_Syxx_Pha'
                title(cat(2,'Pha(',Plot_Title{fig_Index},')'));
                ylabel('Phase [Degree]');
            case 'Gain_Syxx_Index'
                Plot_Title2 = {'f1'	'IM3L'	'f2' 'IM3H'};
                title(cat(2,'Index(',Plot_Title2{fig_Index},')'));
                ylabel('Index []');
        end
                xlabel('File Index');
end
%##################
end % if

% Setup Indexes
File_Index = File_Start:File_Stop;
switch Plot_Flag{3}
    case 'MISO'
        NumSeg  = size(Gain,2) / 2;
        k_f1    = k;
        k_f2    = k + NumSeg;
        k_im3L  = k;
        k_im3H  = k + NumSeg;
    case 'Corr'
        k_f1    = (2+4*(k-1));
        k_f2    = (3+4*(k-1));
        k_im3L  = (1+4*(k-1));
        k_im3H  = (4+4*(k-1));
end

% Upper 4 Amplitude Plots
    subplot(4,2,1);
            plot( Lin2dB(Gain(File_Index,k_f1)), cat(2,colors(k+Color_Offset),Marker{1}) );
            plot( Lin2dB(Gain(File_Index,k_f2)), cat(2,colors(k+Color_Offset),Marker{2}) );
    subplot(4,2,3);
            plot( Lin2dB(GainAvg_Plot(File_Index,k_f1)), cat(2,colors(k+Color_Offset),Marker{1}) );
            plot( Lin2dB(GainAvg_Plot(File_Index,k_f2)), cat(2,colors(k+Color_Offset),Marker{2}) );
switch Plot_Flag{1}
	case 'dB'
    subplot(4,2,2);
            plot( Lin2dB(Syxxx_im3(File_Index,k_im3L)), cat(2,colors(k+Color_Offset),Marker{1}) );
            plot( Lin2dB(Syxxx_im3(File_Index,k_im3H)), cat(2,colors(k+Color_Offset),Marker{2}) );
            if(H3_RefLvl~=0)
                plot( Lin2dB(H3_RefLvl) * ones(1,length(File_Index)), 'linewidth',2);
            end
    subplot(4,2,4);
            plot( Lin2dB(Syxxx_im3_MovAvg(File_Index,k_im3L)), cat(2,colors(k+Color_Offset),Marker{1}) );
            plot( Lin2dB(Syxxx_im3_MovAvg(File_Index,k_im3H)), cat(2,colors(k+Color_Offset),Marker{2}) );
            if(H3_RefLvl~=0)
                plot( Lin2dB(H3_RefLvl) * ones(1,length(File_Index)), 'linewidth',2);
            end
	case 'Mag'
    subplot(4,2,2);
            plot( abs(Syxxx_im3(File_Index,k_im3L)), cat(2,colors(k+Color_Offset),Marker{1}) );
            plot( abs(Syxxx_im3(File_Index,k_im3H)), cat(2,colors(k+Color_Offset),Marker{2}) );
            if(H3_RefLvl~=0)
                plot( abs(H3_RefLvl) * ones(1,length(File_Index)), 'linewidth',2);
            end
    subplot(4,2,4);
            plot( abs(Syxxx_im3_MovAvg(File_Index,k_im3L)), cat(2,colors(k+Color_Offset),Marker{1}) );
            plot( abs(Syxxx_im3_MovAvg(File_Index,k_im3H)), cat(2,colors(k+Color_Offset),Marker{2}) );
            if(H3_RefLvl~=0)
                plot( abs(H3_RefLvl) * ones(1,length(File_Index)), 'linewidth',2);
            end
end
switch Plot_Flag{2}
	case 'Gain_Syxx_Pha'
	% Lower 4 Phase Plots
    subplot(4,2,5);
            plot( angle(Gain(File_Index,k_f1))/pi*180, cat(2,colors(k+Color_Offset),Marker{1}) );
            plot( angle(Gain(File_Index,k_f2))/pi*180, cat(2,colors(k+Color_Offset),Marker{2}) );
    subplot(4,2,6);
            plot( angle(Syxxx_im3(File_Index,k_im3L))/pi*180, cat(2,colors(k+Color_Offset),Marker{1}) );
            plot( angle(Syxxx_im3(File_Index,k_im3H))/pi*180, cat(2,colors(k+Color_Offset),Marker{2}) );
            if(H3_RefLvl~=0)
                plot( angle(H3_RefLvl)/pi*180 * ones(1,length(File_Index)), 'linewidth',2);
            end
    subplot(4,2,7);
            plot( angle(GainAvg_Plot(File_Index,k_f1))/pi*180, cat(2,colors(k+Color_Offset),Marker{1}) );
            plot( angle(GainAvg_Plot(File_Index,k_f2))/pi*180, cat(2,colors(k+Color_Offset),Marker{2}) );
    subplot(4,2,8);
            plot( angle(Syxxx_im3_MovAvg(File_Index,k_im3L))/pi*180, cat(2,colors(k+Color_Offset),Marker{1}) );
            plot( angle(Syxxx_im3_MovAvg(File_Index,k_im3H))/pi*180, cat(2,colors(k+Color_Offset),Marker{2}) );
            if(H3_RefLvl~=0)
                plot( angle(H3_RefLvl)/pi*180 * ones(1,length(File_Index)), 'linewidth',2);
            end
	case 'Gain_Syxx_Index'
	% Lower 4 Index Plots
    k = 1;
    subplot(4,2,5);
            plot( (Index_XFile(File_Index,k_f1)), cat(2,colors(k+Color_Offset),Marker{1}) );
            plot( (Index_YFile(File_Index,k_f2)), cat(2,colors(k+Color_Offset),Marker{2}) );
    subplot(4,2,6);
            plot( (Index_XFile(File_Index,k_im3L)), cat(2,colors(k+Color_Offset),Marker{1}) );
            plot( (Index_YFile(File_Index,k_im3H)), cat(2,colors(k+Color_Offset),Marker{2}) );
    subplot(4,2,7);
            plot( (Index_XFile(File_Index,k_f1)), cat(2,colors(k+Color_Offset),Marker{1}) );
            plot( (Index_YFile(File_Index,k_f2)), cat(2,colors(k+Color_Offset),Marker{2}) );
    subplot(4,2,8);
            plot( (Index_XFile(File_Index,k_im3L)), cat(2,colors(k+Color_Offset),Marker{1}) );
            plot( (Index_YFile(File_Index,k_im3H)), cat(2,colors(k+Color_Offset),Marker{2}) );
end
%########################################################################
end % for

for fig_Index = 1:2:7
    subplot(4,2,fig_Index); grid on;
            legend('f1', 'f2', 'Location', 'Best');
	subplot(4,2,fig_Index+1); grid on;
            legend('im3l', 'im3h', 'Location', 'Best');
end


