function [] = Plot_ToneFile_Spectr_Func2( SigGen_Seg_df, Syxxx_im3, Plot_Flag, ...
    File_Stop, NumSeg_Start, NumSeg_Stop, RefLvl, ...
    fig_Vec, Color, Marker)
%Plot_Title, Plot_xlabel, Plot_ylabel, 
%Color = 'br';
%Marker = 'ox';
%Plot_Flag = 'Syxxx'; %Plot_Flag = 'Gain';
    %title('|Syxxx|');
    %title('Angle(Syxxx)');
    %
    %title('|Gain|');
    %title('Angle(Gain)');
df = SigGen_Seg_df(NumSeg_Start:NumSeg_Stop);
%% f1/IM3L
switch Plot_Flag{3}
    case 'MISO'
        Seg_Start	= NumSeg_Start;
        Seg_Stop	= NumSeg_Stop;
        Seg_Step    = 1;
    case 'Corr'
        switch Plot_Flag{1}
        case 'Gain'
            Seg_Start = 4 * (NumSeg_Start-1) + 2;
        case {'Syxxx' 'H3'}
            Seg_Start = 4 * (NumSeg_Start-1) + 1;
        end
        Seg_Stop	= 4 * NumSeg_Stop;
        Seg_Step    = 4;
end
Index	= (Seg_Start:Seg_Step:Seg_Stop);
figure(fig_Vec(1));
    switch Plot_Flag{2}
	case 'dB'
    semilogx(df, Lin2dB(Syxxx_im3( File_Stop,Index )), ...
        sprintf('%s-%s',Color(1),Marker(1)) ); hold on;
	case 'Mag'
    semilogx(df, abs(Syxxx_im3( File_Stop,Index )), ...
        sprintf('%s-%s',Color(1),Marker(1)) ); hold on;
    end
figure(fig_Vec(2));
    semilogx(df, angle(Syxxx_im3( File_Stop,Index ))/pi*180, ...
        sprintf('%s-%s',Color(1),Marker(1)) ); hold on;

%% f2/IM3H
switch Plot_Flag{3}
    case 'MISO'
        Seg_Start	= NumSeg_Start + length(SigGen_Seg_df);
        Seg_Stop	= NumSeg_Stop + length(SigGen_Seg_df);
        Seg_Step    = 1;
    case 'Corr'
        switch Plot_Flag{1}
        case 'Gain'
            Seg_Start	= 4 * (NumSeg_Start-1) + 3;
        case {'Syxxx' 'H3'}
            Seg_Start	= 4 * (NumSeg_Start-1) + 4;
        end
        Seg_Stop	= 4 * NumSeg_Stop;
        Seg_Step    = 4;
end
Index	= (Seg_Start:Seg_Step:Seg_Stop);
switch Plot_Flag{1}
	case {'H1_MISO' 'Gain'}
        Plot_Legend = {'f1' 'f2'};
	case {'H3_MISO' 'H3' 'Syxxx' }
        Plot_Legend = {'IM3L' 'IM3H'};
end
figure(fig_Vec(1));
    switch Plot_Flag{2}
    %##################
	case 'dB'
    semilogx(df, Lin2dB(Syxxx_im3( File_Stop,Index )), ...
        sprintf('%s-%s',Color(2),Marker(2)) ); grid on;
        legend(Plot_Legend{1}, Plot_Legend{2}, 'Location', 'Best');
	if(RefLvl~=0)
        semilogx(df, Lin2dB(RefLvl) * ones(1,length(df)), 'linewidth',4);
    end
	ylabel('Amplitude [dBU]');
    %##################
	case 'Mag'
    semilogx(df, abs(Syxxx_im3( File_Stop,Index )), ...
        sprintf('%s-%s',Color(2),Marker(2)) ); grid on;
        legend(Plot_Legend{1}, Plot_Legend{2}, 'Location', 'Best');
	if(RefLvl~=0)
        semilogx(df, abs(RefLvl) * ones(1,length(df)), 'linewidth',4);
    end
	ylabel('Amplitude []');
    %##################
    end
	xlabel('Frequency [Hz]');
	title([ '|' Plot_Flag{1} '|' ]);
figure(fig_Vec(2));
    semilogx(df, angle(Syxxx_im3( File_Stop,Index ))/pi*180, ...
        sprintf('%s-%s',Color(2),Marker(2)) ); grid on;
        legend(Plot_Legend{1}, Plot_Legend{2}, 'Location', 'Best');
	if(RefLvl~=0)
        semilogx(df, angle(RefLvl)/pi*180 * ones(1,length(df)), 'linewidth',4);
    end
	ylabel('Phase [Degree]');
	xlabel('Frequency [Hz]');
	title([ 'Pha(' Plot_Flag{1} ')' ]);
        