function [ flagISFOUND ] = Find_Vec( ...
    xVEC, yVEC, Opt_Sear, yvecTYPE, fSymVEC, ...
    Opt_Disp)
% Find_Elem()
%-------------------------
% xVEC:	reference vector/matrix
% yVEC: searched for yVEC in xVEC
%-------------------------
% xVEC_IDX, xXORy_IDX: ROWs     [ which xVEC in yVEC ]	intersection set
% yVEC_IDX, yXORy_IDX: ROWs     [ which yVEC in xVEC ]  intersection set
% y2xCEL_IDX                  { [ pointer -> to xVEC ] }
%-------------------------
if ~exist('Opt_Disp','var')
    Opt_Disp = 1;
end

%=================================================================
% SYM~CHAR	=> need substitute to compare	=> try isequal( sym('f1-f2'), sym('f2-f1'))
    switch class(yVEC)
    	%-------------------------
        case{'cell'}
            y = yVEC{1};
    	%-------------------------
        otherwise 
            y = yVEC(1);
    	%-------------------------
    end
if isa( y,'sym')
switch yvecTYPE
    %-------------------------% if not 'symSUBnum' now, wont later
    case{'symSUBnum'}%disp('symSUBnum')
        yTYPE   = 'Not symSUBnum';
        fNumVEC	= 1000 + (0 : length(fSymVEC)-1);
        yVEC	= single(subs(yVEC, fSymVEC,fNumVEC));
        xVEC  	= single(subs(xVEC, fSymVEC,fNumVEC));
    %-------------------------
    otherwise
        yTYPE   = yvecTYPE;% 'Not SYM'
    %-------------------------
end
end

%=================================================================
if isempty(Opt_Sear)    clear Opt_Sear; end
if ~exist('Opt_Sear','var')
    [xROW	xCOL] = size( xVEC );
    [yROW	yCOL] = size( yVEC );
    %switch [int2str(xROW>1) int2str(xCOL>1) int2str(yROW>1) int2str(yCOL>1)]
    %    case {'10', '01', '00'}% isvector(yVEC)
    %    case {'11'}% Matrix
    %[ int2str(isvector(xVEC) && isvector(yVEC)) ...
    %         int2str(xCOL==yCOL     && length(xVEC)>1   && length(yVEC)>1) ]% DEBUG
    switch [ int2str(isvector(xVEC) && isvector(yVEC)) ...
             int2str(xCOL==yCOL     && length(xVEC)>1   && length(yVEC)>1) ]
    	%-------------------------
        case{'10'}
            Opt_Sear = 'VECTOR';
            %disp('search by ELEMENT')
    	%-------------------------
        case{'11'}
            Opt_Sear = input('Vectors wEqual#Col: VECTOR or MATRIX?','s');
    	%-------------------------
        case{'01'}% both matrix: 'search for yVEC(ROW)'
            Opt_Sear = 'MATRIX';
    	%-------------------------
     	otherwise% case {'00'}
            if (xCOL==yCOL)
                Opt_Sear = 'MATRIX';
            elseif isempty(xVEC)
                xVEC_IDX    = [];
                xXORy_IDX   = [];
                yVEC_IDX    = [];
                yXORy_IDX   = [1:yROW].';% If VECTOR, then can't decide betw COL/ROW. If MATRIX, then COL.
                return
            end
    	%-------------------------
    end
end
if(Opt_Disp)
    Opt_Sear
end
    
switch Opt_Sear
%% ########################################
    case {'VECTOR'}
for nY = 1 : length(yVEC)
    switch class(yVEC)
    	%-------------------------
        case{'cell'}
            [flagISFOUND x_IDX] = Find_Elem( xVEC, yVEC{nY}, yTYPE);
    	%-------------------------
        otherwise 
            [flagISFOUND x_IDX] = Find_Elem( xVEC, yVEC(nY), yTYPE);
    	%-------------------------
    end
    if flagISFOUND
        break
    end
end
%% ######################################## 
    case {'MATRIX'}
        if(Opt_Disp)
            disp('search for yVEC(ROW)')
        end
for nY = 1 : size(yVEC,1)
    switch class(yVEC)
    	%-------------------------
        case{'cell'}
    	%-------------------------
        otherwise 
            [flagISFOUND x_IDX] = Find_ElemIDX( xVEC, yVEC(nY,:),yTYPE);
    	%-------------------------
    end
    if flagISFOUND
        break
    end
end
%% ######################################## 
end

%% ######################################## TEST
if(0)
    

end