function [RI_MagdB] = Lin2dB_RI(RI, Opt20)
% [x_dB]    = Lin2dB(x_lin)
%x_dB = 20 * log10( abs(x_lin) );
if ~exist('Opt20','var')
    Opt20 = 20;
end

    R           = Replace0( real(RI),'double' );
if imag(RI) ~= zeros( size(RI) )
    I           = Replace0( imag(RI),'double' );
    RI_MagdB    = Lin2dB( R, Opt20) + j*Lin2dB( I, Opt20) ;
else
    RI_MagdB    = Lin2dB( R, Opt20);
end

%% TEST
if(0)

Lin2dB( 0 );% -Inf
Lin2dB( realmin('single') )% -758.5956
Lin2dB( realmin('double') )% -6153.1
%------------------------
RI = [10 1 0.1 -10 -1 -0.1];
    %------------------------
    RI_MagdB = Lin2dB_RI( RI, 10)
    real( RI_MagdB )
    imag( RI_MagdB )
    %------------------------
    Lin2dB_RI( RI+j*RI, 10)
    real( RI_MagdB )
    imag( RI_MagdB )
%------------------------
    RI_MagdB = Lin2dB_RI( 0, 10)
    RI_MagdB = Lin2dB_RI( 0+j*1, 10)
    RI_MagdB = Lin2dB_RI( 1+j*0, 10)

end