function [Vrms_RI] = dBm2Vrms_RI( dBm_dB, Opt_Pha  )
% [Vrms_RI] = dBm2Vrms(dBm_dB)
% zo = 50
% Vrms = sqrt(10.^(dBm_dB /10) /1000 * zo);

if ~exist('Opt_Pha', 'var')
    Opt_Pha = 'deg'
end

switch Opt_Pha
    case {'deg'}
        Vrms_RI = dBm2Vrms(real(dBm_dB)).* exp(j*imag(dBm_dB)*pi/180);
    case {'rad'}
        Vrms_RI = dBm2Vrms(real(dBm_dB)).* exp(j*imag(dBm_dB));
end

%%