function [VSA] = VSA_DataLoad_Func(...
    Char_2TONE, File_Load, ...
    df_dBRef, Atten_dB)

VSA = load(File_Load)
    VSA.b2_im3l = VSA.b2_im3l   * dB2Lin( Atten_dB );
    VSA.b2_f1   = VSA.b2_f1     * dB2Lin( Atten_dB );
    VSA.b2_f2   = VSA.b2_f2     * dB2Lin( Atten_dB );
    VSA.b2_im3h = VSA.b2_im3h   * dB2Lin( Atten_dB );
    
%%########## linear/semilogx around fc
%VSA.fSSB_Lin = VSA.df_BB
[VSA.fSSB_Lin, VSA.fDSB_Lin]    = FreqAxis_Func(VSA.df_BB,	struct('LindB','Lin'), 2e9);% VSA.df_BB*3/2
[VSA.fSSB_dB,  VSA.fDSB_dB] 	= FreqAxis_Func(VSA.df_BB,	struct('LindB','dB'), df_dBRef);
%########## Abs-Lvl: NoUse EvenIF w/Pha-UnWrap across Freq
    VSA.af1f2_DSB 	= Cat_Func(VSA.a1_f1,   VSA.a1_f2,      'DSB');% size(VSA.af1f2_DSB)% [24    50     7]
    VSA.bf1f2_DSB 	= Cat_Func(VSA.b2_f1,   VSA.b2_f2,      'DSB');
    VSA.bim3_DSB 	= Cat_Func(VSA.b2_im3l, VSA.b2_im3h,    'DSB');

switch Char_2TONE
    case{'VSA'}%+++++++++++++++++++++++
    %if(1)% 1-Tone (f1_dBm+3dB)
        VSA.adBm	= squeeze(mean( ...
            Watt2dBm( Vp02Watt(VSA.a1_f1)+Vp02Watt(VSA.a1_f2) ), 2));
    %else% 2-Tone
        VSA.adBm_f1	= squeeze(mean( Vp02dBm(VSA.a1_f1), 2));
        VSA.adBm_f2	= squeeze(mean( Vp02dBm(VSA.a1_f2), 2));
    %end
    case{'LSNA_RFMD'}%+++++++++++++++++++++++
    %if(1)% 1-Tone (f1_dBm+3dB)
        VSA.adBm	= squeeze(mean( squeeze(mean( ...
            Watt2dBm( Vp02Watt(VSA.a1_f1)+Vp02Watt(VSA.a1_f2) ), 2)), 2));
    %else% 2-Tone
        VSA.adBm_f1 = squeeze(mean( squeeze(mean( Vp02dBm(VSA.a1_f1), 2)), 2));
        VSA.adBm_f2 = squeeze(mean( squeeze(mean( Vp02dBm(VSA.a1_f2), 2)), 2));
    %end
end

%%
    %if(1)% 1-Tone (f1_dBm+3dB)
      	VSA.adBm_avg = mean(VSA.adBm, 1);
        %++++++++++ Avg over df
        %  -17.6495#  -14.2147#  -12.6103#   -9.3011   -7.8493   -4.5021   -2.8634      	
        %VSA.adBm_avg	= Watt2dBm( dBm2Watt(VSA.Pin_f1_Sets)+dBm2Watt(VSA.Pin_f2_Sets) )
        %  -17.6813#  -14.0606#  -12.6715#   -9.1342   -7.6916   -4.1607   -2.6561
        %VSA.adBm_avg-Lin2dB(sqrt(2)) - VSA.adBm_f1f2_avg
        %1.0e-003 *[0.4008    0.0557    0.2129    0.0353    0.0839    0.0373    0.0691]
        %++++++++++ Avg over df
        %  Columns 1 through 14 
        %  -20.3404  -19.4469  -18.3791  -17.3912#  -16.4594  -15.4028  -14.4976#  -13.4928  -12.4970#  -11.5225  -10.4144   -9.4683   -8.4564   -7.4515
        %  Columns 15 through 26 
        %   -6.4673   -5.3816   -4.4433   -3.4316   -2.4304   -1.4507   -0.2981    0.6602    1.7286    2.7156    3.6593    4.7749        
        %adBm_LSNAavg-Lin2dB(sqrt(2)) - adBm_LSNAavg_f1f2
        %1.0e-003 *[    0.0259    0.0262    0.0261    0.0260    0.0263    0.0263    0.0265    0.0261    0.0264    0.0264    0.0272    0.0279    0.0299    0.0331  0.0380    0.0472    0.0548    0.0637    0.0750    0.0867    0.1012    0.1113    0.1196    0.1355    0.1921    0.2888]
    %else% 2-Tone
            temp(:,:,1) = VSA.adBm_f1;
            temp(:,:,2)	= VSA.adBm_f2;
        VSA.adBm_f1f2	= mean(temp, 3);
            VSA.adBm_f1_avg     = mean(VSA.adBm_f1, 1);
            VSA.adBm_f2_avg     = mean(VSA.adBm_f2, 1);
            VSA.adBm_f1f2_avg   = mean(VSA.adBm_f1f2, 1);
    	%++++++++++ Avg over df
       	%  -20.6599#  -17.2250#  -15.6206#  -12.3114  -10.8596   -7.5124   -5.8737
            %VSA.Pin_f1_Sets
            %VSA.Pin_f2_Sets
            %VSA.adBm_f1f2_avg = mean([VSA.Pin_f1_Sets; VSA.Pin_f2_Sets], 1)
        %  -20.6920#  -17.0710#  -15.6820#  -12.1445  -10.7020   -7.1710   -5.6665
       	%++++++++++ Avg over df
        %  Columns 1 through 14 
        %  -23.3508  -22.4572  -21.3894  -20.4016#  -19.4697  -18.4131  -17.5079#  -16.5032  -15.5073#  -14.5329  -13.4247  -12.4786#  -11.4667  -10.4618
        %  Columns 15 through 26 
        %   -9.4776   -8.3920   -7.4537   -6.4420   -5.4408   -4.4611   -3.3085   -2.3503   -1.2818   -0.2948    0.6488    1.7643
   %end
    VSA.NumPwr	= size(VSA.adBm_avg, 2);% 7
    %x_dBm	= [-14.5 -11 -9.5 -6 -4.5 -1 0]
    %x_dBm	= [-14.5 -11 -9.5 -6 0]
    %x_dBm	= [-11 -9.5 0]
    %+++++++++++++++++++++++
    (VSA.df_BB.' / 1e6)
    %0.0013    0.0025    0.0050#    0.0100#    0.0250    0.0500    0.1000    0.1250    0.2500    0.5000    0.6250    1.2500
    %0.0054#    0.0099#    0.0252    0.0504    0.1000    0.2502    0.4997    1.2001    2.5002    3.5004
    VSA.NumDF = length(VSA.df_BB);% 12% 10
    %+++++++++++++++++++++++
    %nStop_PWR_VSA   = 1% 2%
    %nStop_dfBB_VSA  = 3% 4% 
    %nStop_PWR_LSNA	 = 4% 7% 
    %nStop_dfBB_LSNA = 1% 2% 

%%########## H1 H3
[VSA] = Mtone_Syxxx_Func4(VSA);% [12  50  7]% [10  4  5  26]
    %------------------------ S21H3
    VSA.S21_DSB     = Cat_Func(VSA.S21_f1,  VSA.S21_f2,  'DSB');% size(VSA.S21_DSB)%     [24  50  7]%    [20  4  5  26]
    VSA.H3_DSB      = Cat_Func(VSA.H3l,     VSA.H3h,     'DSB');% size(VSA.H3_DSB)%      [24  50  7]%    [20  4  5  26]
    %------------------------ Pout
    VSA.f1f2_DSB    = Cat_Func(VSA.f1,  	VSA.f2,      'DSB');% size(VSA.f1f2_DSB)%    [24  50  7]
    VSA.IM3_DSB     = Cat_Func(VSA.IM3l,    VSA.IM3h,    'DSB');% size(VSA.IM3_DSB)%     [24  50  7]

%%########## Avged(Pha)
switch Char_2TONE
    case{'VSA'}%+++++++++++++++++++++++
    VSA.S21_f1_avg 	= squeeze(mean( VSA.S21_f1, 2));
    VSA.S21_f2_avg	= squeeze(mean( VSA.S21_f2, 2));%	size(VSA.H3h_avg)%   [12    7]
    VSA.H3l_avg    	= squeeze(mean( VSA.H3l, 2));
    VSA.H3h_avg   	= squeeze(mean( VSA.H3h, 2));
    VSA.f1_avg      = squeeze(mean( VSA.f1, 2));
    VSA.f2_avg      = squeeze(mean( VSA.f2, 2));
    VSA.IM3l_avg	= squeeze(mean( VSA.IM3l, 2));
    VSA.IM3h_avg	= squeeze(mean( VSA.IM3h, 2));
    %DSB
    VSA.S21_DSBavg 	= squeeze(mean( VSA.S21_DSB, 2));%	size(VSA.S21_DSBavg)% [24    7]
    VSA.H3_DSBavg 	= squeeze(mean( VSA.H3_DSB, 2));
    VSA.f1f2_DSBavg	= squeeze(mean( VSA.f1f2_DSB, 2));% size(VSA.f1f2_DSBavg)%	[24    7]
    VSA.IM3_DSBavg	= squeeze(mean( VSA.IM3_DSB, 2));
    case{'LSNA_RFMD'}%+++++++++++++++++++++++
    VSA.S21_f1_avg  = squeeze(mean( squeeze(mean( VSA.S21_f1, 2)), 2));
    VSA.S21_f2_avg  = squeeze(mean( squeeze(mean( VSA.S21_f2, 2)), 2));%    size(VSA.S21_f2_avg)%   [10    26]
    VSA.H3l_avg    	= squeeze(mean( squeeze(mean( VSA.H3l, 2)), 2));
    VSA.H3h_avg   	= squeeze(mean( squeeze(mean( VSA.H3h, 2)), 2));%      	(VSA.H3h_avg)%          [10    26]
    VSA.f1_avg      = squeeze(mean( squeeze(mean( VSA.f1, 2)), 2));
    VSA.f2_avg      = squeeze(mean( squeeze(mean( VSA.f2, 2)), 2));
    VSA.IM3l_avg	= squeeze(mean( squeeze(mean( VSA.IM3l, 2)), 2));
    VSA.IM3h_avg	= squeeze(mean( squeeze(mean( VSA.IM3h, 2)), 2));
    %DSB
    VSA.S21_DSBavg	= squeeze(mean( squeeze(mean( VSA.S21_DSB, 2)), 2));%	size(VSA.S21_DSBavg)%	[20    26]
    VSA.H3_DSBavg 	= squeeze(mean( squeeze(mean( VSA.H3_DSB, 2)), 2));% 	size(VSA.H3_DSBavg)%  	[20    26]
    VSA.f1f2_DSBavg	= squeeze(mean( squeeze(mean( VSA.f1f2_DSB, 2)), 2));
    VSA.IM3_DSBavg	= squeeze(mean( squeeze(mean( VSA.IM3_DSB, 2)), 2));
end