function [Q_cell Qmix] = INL_Qmix_Func(...
    Q_cell, ...
    Opt_Disp)
if ~exist('Opt_Disp','var')
    Opt_Disp = 0;
end

%Fmix{n,1-6}(nMIX,:) = {Fmix_VEC   fRESP-HD    MIXcoef     MIXvec  HD=sum(MIXvec,2)    [Q HD IDX]}
Qmix       = {};%{[0] [fc] [HDn]}
RESPmix    = {};%{[0] [fc] [HDn]} accum all fRESP                   => sort into Qmix
RESPmixIDX = {};%{[0] [fc] [HDn]} accum corresponding [Q nHD nIDX]  => sort into Fmix in Q_cell
%% ########################### 
for nQ = 1 : size(Q_cell,1)
	Q       = Q_cell{nQ,1};
 	fVEC    = Q_cell{nQ,2};
    FreqIDX_neg = (1                 : length(fVEC)/2);
    FreqIDX_pos = (length(fVEC)/2+1  : length(fVEC));
for nRESP = 1 : length(Q_cell{nQ,3})
  	%fRESP   = Q_cell{nQ,3}(nRESP);
    Fmix    = Q_cell{nQ,4}{1,nRESP};% being processed below xxxxxxxxxx
    %Fidx    = Q_cell{nQ,4}{2,nRESP};
    %cFidx   = Q_cell{nQ,4}{3,nRESP};
    if(Opt_Disp) 
        disp(['%################################################# Q=' int2str(Q)])
        fRESP   = Q_cell{nQ,3}(nRESP)
        Fmix
    end
%#################################################
for n = 1 : size(Fmix,1)% N
    MIXvec      = Fmix{n,4};
    Fmix{n,5}   = sum([-MIXvec(:,FreqIDX_neg) MIXvec(:,FreqIDX_pos)],2);
    Fmix{n,6}   = zeros(length(Fmix{n,5}), 3);
for nMIX = 1 : size(Fmix{n,1},1)
    HD          = Fmix{n,5}(nMIX);
    HDabs       = abs(HD);
	if 0 < length(find(1 == (size(Qmix) < [Q HDabs+1]) ))
     	Qmix{Q,HDabs+1}     	= sym([]);
       	RESPmix{Q,HDabs+1}      = sym([]);
     	RESPmixIDX{Q,HDabs+1}	= [];
   	end
%=========================================
if(Q == 1)%HD-case
        Fmix{n,6}(nMIX,:) = [1 HDabs+1 1];%[Q HD IDX]
            if isempty(Qmix{1,HDabs+1})
                Qmix{1,HDabs+1}(1) = Fmix{n,2}(nMIX,:);%fRESP 
            end
%=========================================
else%(Q > 1)
if(HD == 0)
 	if (Fmix{n,2}(nMIX) == 0)%DC fRESP
    	Fmix{n,6}(nMIX,:) = [1 1 1];%[Q HD IDX]
            if isempty(Qmix{1,1})
                Qmix{1,1}(1) = 0;%fRESP 
            end
    else%ENV-case
        RESPmix{Q,HDabs+1}      = [RESPmix{Q,HDabs+1};   	Fmix{n,2}(nMIX)];%fRESP 
        RESPmixIDX{Q,HDabs+1}	= [RESPmixIDX{Q,HDabs+1};  [Q nRESP n nMIX]];
  	end
elseif(HD < 0)
        RESPmix{Q,HDabs+1}      = [RESPmix{Q,HDabs+1};     -Fmix{n,2}(nMIX)];%fRESP 
        RESPmixIDX{Q,HDabs+1}	= [RESPmixIDX{Q,HDabs+1};  [Q nRESP n nMIX]];
else%(HD > 0)
        RESPmix{Q,HDabs+1}      = [RESPmix{Q,HDabs+1};      Fmix{n,2}(nMIX)];%fRESP 
        RESPmixIDX{Q,HDabs+1}	= [RESPmixIDX{Q,HDabs+1};  [Q nRESP n nMIX]];
end
end
%=========================================
end
    if(Opt_Disp) 
        disp(['%######################## n=' int2str(n)])
        [Fmix{n,2} Fmix{n,5} Fmix{n,6}]%[fRESP HD [Q HD IDX]]
    end
end
%#################################################
    Q_cell{Q,4}{1,nRESP} = Fmix;
end
end

%% ########################### MatRowCondens( RESPmix{nQ,nHD} )
%f_SymVec_cum = [];
for nQ = 1 : size(RESPmix,1)
 	Q       = Q_cell{nQ,1};
 	fVEC    = Q_cell{nQ,2};
        f_SymVEC = fVEC(length(fVEC)/2+1 : end);
        %ADD CODE, HANDLE MTONE CASE
        %if IsEven_Func(length(f_SymVEC))
        %    f_SymVec_cum = [f_SymVec_cum f_SymVEC]
    if(Opt_Disp) 
        disp(['%################################################# Q=' int2str(Q)])
    end
for nHD = 1 : size(RESPmix,2)
    %######################################################
    %ENV-case (need modify to simplify HvCell3_Func)
    if (nHD == 1)
        RESPmix_NUM	= single( subs(RESPmix{nQ,nHD}, f_SymVEC, FmixVec_SubsFunc(f_SymVEC)) );
        ZBB_IDX     = (find(RESPmix_NUM < 0));
        RESPmix{nQ,nHD}(ZBB_IDX) = -RESPmix{nQ,nHD}(ZBB_IDX);
    end
    %######################################################
    [MOD, MOD_IDX, count, MOD_IDXcel, MODnum] = MatRowCondens(RESPmix{nQ,nHD}, f_SymVEC);
    [MODnum IDXsort] = sort(MODnum,'ascend');% IDXsort = index to MOD-before-sort
    for nIDX = 1 : length(IDXsort)
        %+++++++++++++++++
        Qmix{Q,nHD} = [Qmix{Q,nHD};     MOD(IDXsort(nIDX))];%fRESP 
    for nCOUNT = 1 : count(IDXsort(nIDX))
        %[Q nRESP n nMIX]
        %Q      = RESPmixIDX{Q,nHD}(MOD_IDXcel{IDXsort(nIDX)}(nCOUNT),1);
        nRESP   = RESPmixIDX{Q,nHD}(MOD_IDXcel{IDXsort(nIDX)}(nCOUNT),2);
        n       = RESPmixIDX{Q,nHD}(MOD_IDXcel{IDXsort(nIDX)}(nCOUNT),3);
        nMIX    = RESPmixIDX{Q,nHD}(MOD_IDXcel{IDXsort(nIDX)}(nCOUNT),4);
        %               Fmix{n,6}(nMIX,:) = [Q  HD  IDX]
        Q_cell{Q,4}{1,nRESP}{n,6}(nMIX,:) = [Q nHD nIDX];
    end
    end
    %######################################################
    if(Opt_Disp) 
        disp(['%########################### nHD=' int2str(nHD)])
        [RESPmix{nQ,nHD} RESPmixIDX{nQ,nHD}]
        [MOD(IDXsort,:) MODnum]
    end
    %######################################################
end
end
%celldisp(Qmix.')

%% TEST
if (0)
   

end